# generated by datamodel-codegen:
#   filename:  fhir.schema.json
#   timestamp: 2023-11-29T05:34:07+00:00

from __future__ import annotations

from dataclasses import dataclass
from enum import Enum
from typing import Any, List, Optional, Union

from akello.fhir.hl7 import XFHIR

Base64Binary = str


Boolean = bool


Canonical = str


Code = str


Date = str


DateTime = str


Decimal = float


Id = str


Instant = str


Integer = float


Integer64 = str


Markdown = str


Oid = str


PositiveInt = float


String = str


Time = str


UnsignedInt = float


Uri = str


Url = str


Uuid = str


Xhtml = Any


@dataclass
class Base(XFHIR):
    pass


class Status(Enum):
    generated = 'generated'
    extensions = 'extensions'
    additional = 'additional'
    empty = 'empty'


class Use(Enum):
    usual = 'usual'
    official = 'official'
    temp = 'temp'
    secondary = 'secondary'
    old = 'old'


class Comparator(Enum):
    _ = '<'
    __ = '<='
    ___1 = '>='
    __1 = '>'
    ad = 'ad'


class Use1(Enum):
    usual = 'usual'
    official = 'official'
    temp = 'temp'
    nickname = 'nickname'
    anonymous = 'anonymous'
    old = 'old'
    maiden = 'maiden'


class Use2(Enum):
    home = 'home'
    work = 'work'
    temp = 'temp'
    old = 'old'
    billing = 'billing'


class Type(Enum):
    postal = 'postal'
    physical = 'physical'
    both = 'both'


class System(Enum):
    phone = 'phone'
    fax = 'fax'
    email = 'email'
    pager = 'pager'
    url = 'url'
    sms = 'sms'
    other = 'other'


class Use3(Enum):
    home = 'home'
    work = 'work'
    temp = 'temp'
    old = 'old'
    mobile = 'mobile'


class DurationUnit(Enum):
    s = 's'
    min = 'min'
    h = 'h'
    d = 'd'
    wk = 'wk'
    mo = 'mo'
    a = 'a'


class PeriodUnit(Enum):
    s = 's'
    min = 'min'
    h = 'h'
    d = 'd'
    wk = 'wk'
    mo = 'mo'
    a = 'a'


class WhenEnum(Enum):
    MORN = 'MORN'
    MORN_early = 'MORN.early'
    MORN_late = 'MORN.late'
    NOON = 'NOON'
    AFT = 'AFT'
    AFT_early = 'AFT.early'
    AFT_late = 'AFT.late'
    EVE = 'EVE'
    EVE_early = 'EVE.early'
    EVE_late = 'EVE.late'
    NIGHT = 'NIGHT'
    PHS = 'PHS'
    IMD = 'IMD'
    HS = 'HS'
    WAKE = 'WAKE'
    C = 'C'
    CM = 'CM'
    CD = 'CD'
    CV = 'CV'
    AC = 'AC'
    ACM = 'ACM'
    ACD = 'ACD'
    ACV = 'ACV'
    PC = 'PC'
    PCM = 'PCM'
    PCD = 'PCD'
    PCV = 'PCV'


class Type1(Enum):
    author = 'author'
    editor = 'editor'
    reviewer = 'reviewer'
    endorser = 'endorser'


class Direction(Enum):
    ascending = 'ascending'
    descending = 'descending'


class Type2(Enum):
    documentation = 'documentation'
    justification = 'justification'
    citation = 'citation'
    predecessor = 'predecessor'
    successor = 'successor'
    derived_from = 'derived-from'
    depends_on = 'depends-on'
    composed_of = 'composed-of'
    part_of = 'part-of'
    amends = 'amends'
    amended_with = 'amended-with'
    appends = 'appends'
    appended_with = 'appended-with'
    cites = 'cites'
    cited_by = 'cited-by'
    comments_on = 'comments-on'
    comment_in = 'comment-in'
    contains = 'contains'
    contained_in = 'contained-in'
    corrects = 'corrects'
    correction_in = 'correction-in'
    replaces = 'replaces'
    replaced_with = 'replaced-with'
    retracts = 'retracts'
    retracted_by = 'retracted-by'
    signs = 'signs'
    similar_to = 'similar-to'
    supports = 'supports'
    supported_with = 'supported-with'
    transforms = 'transforms'
    transformed_into = 'transformed-into'
    transformed_with = 'transformed-with'
    documents = 'documents'
    specification_of = 'specification-of'
    created_with = 'created-with'
    cite_as = 'cite-as'


class Type3(Enum):
    named_event = 'named-event'
    periodic = 'periodic'
    data_changed = 'data-changed'
    data_added = 'data-added'
    data_modified = 'data-modified'
    data_removed = 'data-removed'
    data_accessed = 'data-accessed'
    data_access_ended = 'data-access-ended'


class RepresentationEnum(Enum):
    xmlAttr = 'xmlAttr'
    xmlText = 'xmlText'
    typeAttr = 'typeAttr'
    cdaText = 'cdaText'
    xhtml = 'xhtml'


class Rules(Enum):
    closed = 'closed'
    open = 'open'
    openAtEnd = 'openAtEnd'


class Type4(Enum):
    value = 'value'
    exists = 'exists'
    pattern = 'pattern'
    type = 'type'
    profile = 'profile'
    position = 'position'


class AggregationEnum(Enum):
    contained = 'contained'
    referenced = 'referenced'
    bundled = 'bundled'


class Versioning(Enum):
    either = 'either'
    independent = 'independent'
    specific = 'specific'


class Severity(Enum):
    error = 'error'
    warning = 'warning'


class Strength(Enum):
    required = 'required'
    extensible = 'extensible'
    preferred = 'preferred'
    example = 'example'



@dataclass
class Element(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None


@dataclass
class DataType(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None


@dataclass
class PrimitiveType(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None


@dataclass
class BackboneType(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class Extension(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueCanonical: Optional[str] = None
    _valueCanonical: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueId: Optional[str] = None
    _valueId: Optional[Element] = None
    valueInstant: Optional[str] = None
    _valueInstant: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueInteger64: Optional[str] = None
    _valueInteger64: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueOid: Optional[str] = None
    _valueOid: Optional[Element] = None
    valuePositiveInt: Optional[float] = None
    _valuePositiveInt: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueUnsignedInt: Optional[float] = None
    _valueUnsignedInt: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueUrl: Optional[str] = None
    _valueUrl: Optional[Element] = None
    valueUuid: Optional[str] = None
    _valueUuid: Optional[Element] = None
    valueAddress: Optional[Address] = None
    valueAge: Optional[Age] = None
    valueAnnotation: Optional[Annotation] = None
    valueAttachment: Optional[Attachment] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueCodeableReference: Optional[CodeableReference] = None
    valueCoding: Optional[Coding] = None
    valueContactPoint: Optional[ContactPoint] = None
    valueCount: Optional[Count] = None
    valueDistance: Optional[Distance] = None
    valueDuration: Optional[Duration] = None
    valueHumanName: Optional[HumanName] = None
    valueIdentifier: Optional[Identifier] = None
    valueMoney: Optional[Money] = None
    valuePeriod: Optional[Period] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueRatioRange: Optional[RatioRange] = None
    valueReference: Optional[Reference] = None
    valueSampledData: Optional[SampledData] = None
    valueSignature: Optional[Signature] = None
    valueTiming: Optional[Timing] = None
    valueContactDetail: Optional[ContactDetail] = None
    valueDataRequirement: Optional[DataRequirement] = None
    valueExpression: Optional[Expression] = None
    valueParameterDefinition: Optional[ParameterDefinition] = None
    valueRelatedArtifact: Optional[RelatedArtifact] = None
    valueTriggerDefinition: Optional[TriggerDefinition] = None
    valueUsageContext: Optional[UsageContext] = None
    valueAvailability: Optional[Availability] = None
    valueExtendedContactDetail: Optional[ExtendedContactDetail] = None
    valueDosage: Optional[Dosage] = None
    valueMeta: Optional[Meta] = None


@dataclass
class Narrative(XFHIR):
    div: Xhtml
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    status: Optional[Status] = None
    _status: Optional[Element] = None


@dataclass
class Annotation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    authorReference: Optional[Reference] = None
    authorString: Optional[str] = None
    _authorString: Optional[Element] = None
    time: Optional[DateTime] = None
    _time: Optional[Element] = None
    text: Optional[Markdown] = None
    _text: Optional[Element] = None


@dataclass
class Attachment(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    contentType: Optional[Code] = None
    _contentType: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    data: Optional[Base64Binary] = None
    _data: Optional[Element] = None
    url: Optional[Url] = None
    _url: Optional[Element] = None
    size: Optional[Integer64] = None
    _size: Optional[Element] = None
    hash: Optional[Base64Binary] = None
    _hash: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    creation: Optional[DateTime] = None
    _creation: Optional[Element] = None
    height: Optional[PositiveInt] = None
    _height: Optional[Element] = None
    width: Optional[PositiveInt] = None
    _width: Optional[Element] = None
    frames: Optional[PositiveInt] = None
    _frames: Optional[Element] = None
    duration: Optional[Decimal] = None
    _duration: Optional[Element] = None
    pages: Optional[PositiveInt] = None
    _pages: Optional[Element] = None


@dataclass
class Identifier(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    use: Optional[Use] = None
    _use: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None
    period: Optional[Period] = None
    assigner: Optional[Reference] = None


@dataclass
class CodeableConcept(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    coding: Optional[List[Coding]] = None
    text: Optional[String] = None
    _text: Optional[Element] = None


@dataclass
class CodeableReference(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    concept: Optional[CodeableConcept] = None
    reference: Optional[Reference] = None


@dataclass
class Coding(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    userSelected: Optional[Boolean] = None
    _userSelected: Optional[Element] = None


@dataclass
class Quantity(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    value: Optional[Decimal] = None
    _value: Optional[Element] = None
    comparator: Optional[Comparator] = None
    _comparator: Optional[Element] = None
    unit: Optional[String] = None
    _unit: Optional[Element] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None


@dataclass
class Duration(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    value: Optional[Decimal] = None
    _value: Optional[Element] = None
    comparator: Optional[Comparator] = None
    _comparator: Optional[Element] = None
    unit: Optional[String] = None
    _unit: Optional[Element] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None


@dataclass
class Distance(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    value: Optional[Decimal] = None
    _value: Optional[Element] = None
    comparator: Optional[Comparator] = None
    _comparator: Optional[Element] = None
    unit: Optional[String] = None
    _unit: Optional[Element] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None


@dataclass
class Count(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    value: Optional[Decimal] = None
    _value: Optional[Element] = None
    comparator: Optional[Comparator] = None
    _comparator: Optional[Element] = None
    unit: Optional[String] = None
    _unit: Optional[Element] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None


@dataclass
class Money(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    value: Optional[Decimal] = None
    _value: Optional[Element] = None
    currency: Optional[Code] = None
    _currency: Optional[Element] = None


@dataclass
class Age(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    value: Optional[Decimal] = None
    _value: Optional[Element] = None
    comparator: Optional[Comparator] = None
    _comparator: Optional[Element] = None
    unit: Optional[String] = None
    _unit: Optional[Element] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None


@dataclass
class Range(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    low: Optional[Quantity] = None
    high: Optional[Quantity] = None


@dataclass
class Period(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    start: Optional[DateTime] = None
    _start: Optional[Element] = None
    end: Optional[DateTime] = None
    _end: Optional[Element] = None


@dataclass
class Ratio(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    numerator: Optional[Quantity] = None
    denominator: Optional[Quantity] = None


@dataclass
class RatioRange(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    lowNumerator: Optional[Quantity] = None
    highNumerator: Optional[Quantity] = None
    denominator: Optional[Quantity] = None


@dataclass
class Reference(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    reference: Optional[String] = None
    _reference: Optional[Element] = None
    type: Optional[Uri] = None
    _type: Optional[Element] = None
    identifier: Optional[Identifier] = None
    display: Optional[String] = None
    _display: Optional[Element] = None


@dataclass
class SampledData(XFHIR):
    origin: Quantity
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    interval: Optional[Decimal] = None
    _interval: Optional[Element] = None
    intervalUnit: Optional[Code] = None
    _intervalUnit: Optional[Element] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    lowerLimit: Optional[Decimal] = None
    _lowerLimit: Optional[Element] = None
    upperLimit: Optional[Decimal] = None
    _upperLimit: Optional[Element] = None
    dimensions: Optional[PositiveInt] = None
    _dimensions: Optional[Element] = None
    codeMap: Optional[Canonical] = None
    offsets: Optional[String] = None
    _offsets: Optional[Element] = None
    data: Optional[String] = None
    _data: Optional[Element] = None


@dataclass
class Signature(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    type: Optional[List[Coding]] = None
    when: Optional[Instant] = None
    _when: Optional[Element] = None
    who: Optional[Reference] = None
    onBehalfOf: Optional[Reference] = None
    targetFormat: Optional[Code] = None
    _targetFormat: Optional[Element] = None
    sigFormat: Optional[Code] = None
    _sigFormat: Optional[Element] = None
    data: Optional[Base64Binary] = None
    _data: Optional[Element] = None


@dataclass
class HumanName(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    use: Optional[Use1] = None
    _use: Optional[Element] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    family: Optional[String] = None
    _family: Optional[Element] = None
    given: Optional[List[String]] = None
    _given: Optional[List[Element]] = None
    prefix: Optional[List[String]] = None
    _prefix: Optional[List[Element]] = None
    suffix: Optional[List[String]] = None
    _suffix: Optional[List[Element]] = None
    period: Optional[Period] = None


@dataclass
class Address(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    use: Optional[Use2] = None
    _use: Optional[Element] = None
    type: Optional[Type] = None
    _type: Optional[Element] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    line: Optional[List[String]] = None
    _line: Optional[List[Element]] = None
    city: Optional[String] = None
    _city: Optional[Element] = None
    district: Optional[String] = None
    _district: Optional[Element] = None
    state: Optional[String] = None
    _state: Optional[Element] = None
    postalCode: Optional[String] = None
    _postalCode: Optional[Element] = None
    country: Optional[String] = None
    _country: Optional[Element] = None
    period: Optional[Period] = None


@dataclass
class ContactPoint(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    system: Optional[System] = None
    _system: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None
    use: Optional[Use3] = None
    _use: Optional[Element] = None
    rank: Optional[PositiveInt] = None
    _rank: Optional[Element] = None
    period: Optional[Period] = None


@dataclass
class Timing(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    event: Optional[List[DateTime]] = None
    _event: Optional[List[Element]] = None
    repeat: Optional[TimingRepeat] = None
    code: Optional[CodeableConcept] = None


@dataclass
class TimingRepeat(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    boundsDuration: Optional[Duration] = None
    boundsRange: Optional[Range] = None
    boundsPeriod: Optional[Period] = None
    count: Optional[PositiveInt] = None
    _count: Optional[Element] = None
    countMax: Optional[PositiveInt] = None
    _countMax: Optional[Element] = None
    duration: Optional[Decimal] = None
    _duration: Optional[Element] = None
    durationMax: Optional[Decimal] = None
    _durationMax: Optional[Element] = None
    durationUnit: Optional[DurationUnit] = None
    _durationUnit: Optional[Element] = None
    frequency: Optional[PositiveInt] = None
    _frequency: Optional[Element] = None
    frequencyMax: Optional[PositiveInt] = None
    _frequencyMax: Optional[Element] = None
    period: Optional[Decimal] = None
    _period: Optional[Element] = None
    periodMax: Optional[Decimal] = None
    _periodMax: Optional[Element] = None
    periodUnit: Optional[PeriodUnit] = None
    _periodUnit: Optional[Element] = None
    dayOfWeek: Optional[List[Code]] = None
    _dayOfWeek: Optional[List[Element]] = None
    timeOfDay: Optional[List[Time]] = None
    _timeOfDay: Optional[List[Element]] = None
    when: Optional[List[WhenEnum]] = None
    _when: Optional[List[Element]] = None
    offset: Optional[UnsignedInt] = None
    _offset: Optional[Element] = None


@dataclass
class RelativeTime(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    contextReference: Optional[Reference] = None
    contextDefinition: Optional[Canonical] = None
    contextPath: Optional[String] = None
    _contextPath: Optional[Element] = None
    contextCode: Optional[CodeableConcept] = None
    offsetDuration: Optional[Duration] = None
    offsetRange: Optional[Range] = None
    text: Optional[String] = None
    _text: Optional[Element] = None


@dataclass
class Meta(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    versionId: Optional[Id] = None
    _versionId: Optional[Element] = None
    lastUpdated: Optional[Instant] = None
    _lastUpdated: Optional[Element] = None
    source: Optional[Uri] = None
    _source: Optional[Element] = None
    profile: Optional[List[Canonical]] = None
    security: Optional[List[Coding]] = None
    tag: Optional[List[Coding]] = None


@dataclass
class ContactDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    telecom: Optional[List[ContactPoint]] = None


@dataclass
class ExtendedContactDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    purpose: Optional[CodeableConcept] = None
    name: Optional[List[HumanName]] = None
    telecom: Optional[List[ContactPoint]] = None
    address: Optional[Address] = None
    organization: Optional[Reference] = None
    period: Optional[Period] = None


@dataclass
class VirtualServiceDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    channelType: Optional[Coding] = None
    addressUrl: Optional[str] = None
    _addressUrl: Optional[Element] = None
    addressString: Optional[str] = None
    _addressString: Optional[Element] = None
    addressContactPoint: Optional[ContactPoint] = None
    addressExtendedContactDetail: Optional[ExtendedContactDetail] = None
    additionalInfo: Optional[List[Url]] = None
    _additionalInfo: Optional[List[Element]] = None
    maxParticipants: Optional[PositiveInt] = None
    _maxParticipants: Optional[Element] = None
    sessionKey: Optional[String] = None
    _sessionKey: Optional[Element] = None


@dataclass
class Availability(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    availableTime: Optional[List[AvailabilityAvailableTime]] = None
    notAvailableTime: Optional[List[AvailabilityNotAvailableTime]] = None


@dataclass
class AvailabilityAvailableTime(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    daysOfWeek: Optional[List[Code]] = None
    _daysOfWeek: Optional[List[Element]] = None
    allDay: Optional[Boolean] = None
    _allDay: Optional[Element] = None
    availableStartTime: Optional[Time] = None
    _availableStartTime: Optional[Element] = None
    availableEndTime: Optional[Time] = None
    _availableEndTime: Optional[Element] = None


@dataclass
class AvailabilityNotAvailableTime(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    during: Optional[Period] = None


@dataclass
class MonetaryComponent(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    amount: Optional[Money] = None


@dataclass
class Contributor(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    type: Optional[Type1] = None
    _type: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None


@dataclass
class DataRequirement(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    profile: Optional[List[Canonical]] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    mustSupport: Optional[List[String]] = None
    _mustSupport: Optional[List[Element]] = None
    codeFilter: Optional[List[DataRequirementCodeFilter]] = None
    dateFilter: Optional[List[DataRequirementDateFilter]] = None
    valueFilter: Optional[List[DataRequirementValueFilter]] = None
    limit: Optional[PositiveInt] = None
    _limit: Optional[Element] = None
    sort: Optional[List[DataRequirementSort]] = None


@dataclass
class DataRequirementCodeFilter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    searchParam: Optional[String] = None
    _searchParam: Optional[Element] = None
    valueSet: Optional[Canonical] = None
    code: Optional[List[Coding]] = None


@dataclass
class DataRequirementDateFilter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    searchParam: Optional[String] = None
    _searchParam: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valuePeriod: Optional[Period] = None
    valueDuration: Optional[Duration] = None


@dataclass
class DataRequirementValueFilter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    searchParam: Optional[String] = None
    _searchParam: Optional[Element] = None
    comparator: Optional[Code] = None
    _comparator: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valuePeriod: Optional[Period] = None
    valueDuration: Optional[Duration] = None


@dataclass
class DataRequirementSort(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    direction: Optional[Direction] = None
    _direction: Optional[Element] = None


@dataclass
class ParameterDefinition(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    name: Optional[Code] = None
    _name: Optional[Element] = None
    use: Optional[Code] = None
    _use: Optional[Element] = None
    min: Optional[Integer] = None
    _min: Optional[Element] = None
    max: Optional[String] = None
    _max: Optional[Element] = None
    documentation: Optional[String] = None
    _documentation: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    profile: Optional[Canonical] = None


@dataclass
class RelatedArtifact(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    type: Optional[Type2] = None
    _type: Optional[Element] = None
    classifier: Optional[List[CodeableConcept]] = None
    label: Optional[String] = None
    _label: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    citation: Optional[Markdown] = None
    _citation: Optional[Element] = None
    document: Optional[Attachment] = None
    resource: Optional[Canonical] = None
    resourceReference: Optional[Reference] = None
    publicationStatus: Optional[Code] = None
    _publicationStatus: Optional[Element] = None
    publicationDate: Optional[Date] = None
    _publicationDate: Optional[Element] = None


@dataclass
class TriggerDefinition(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    type: Optional[Type3] = None
    _type: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    subscriptionTopic: Optional[Canonical] = None
    timingTiming: Optional[Timing] = None
    timingReference: Optional[Reference] = None
    timingDate: Optional[str] = None
    _timingDate: Optional[Element] = None
    timingDateTime: Optional[str] = None
    _timingDateTime: Optional[Element] = None
    data: Optional[List[DataRequirement]] = None
    condition: Optional[Expression] = None


@dataclass
class UsageContext(XFHIR):
    code: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueReference: Optional[Reference] = None


@dataclass
class Dosage(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[Integer] = None
    _sequence: Optional[Element] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    additionalInstruction: Optional[List[CodeableConcept]] = None
    patientInstruction: Optional[String] = None
    _patientInstruction: Optional[Element] = None
    timing: Optional[Timing] = None
    asNeeded: Optional[Boolean] = None
    _asNeeded: Optional[Element] = None
    asNeededFor: Optional[List[CodeableConcept]] = None
    site: Optional[CodeableConcept] = None
    route: Optional[CodeableConcept] = None
    method: Optional[CodeableConcept] = None
    doseAndRate: Optional[List[DosageDoseAndRate]] = None
    maxDosePerPeriod: Optional[List[Ratio]] = None
    maxDosePerAdministration: Optional[Quantity] = None
    maxDosePerLifetime: Optional[Quantity] = None


@dataclass
class DosageDoseAndRate(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    doseRange: Optional[Range] = None
    doseQuantity: Optional[Quantity] = None
    rateRatio: Optional[Ratio] = None
    rateRange: Optional[Range] = None
    rateQuantity: Optional[Quantity] = None


@dataclass
class ProductShelfLife(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    periodDuration: Optional[Duration] = None
    periodString: Optional[str] = None
    _periodString: Optional[Element] = None
    specialPrecautionsForStorage: Optional[List[CodeableConcept]] = None


@dataclass
class MarketingStatus(XFHIR):
    status: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    country: Optional[CodeableConcept] = None
    jurisdiction: Optional[CodeableConcept] = None
    dateRange: Optional[Period] = None
    restoreDate: Optional[DateTime] = None
    _restoreDate: Optional[Element] = None


@dataclass
class Expression(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    name: Optional[Code] = None
    _name: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    expression: Optional[String] = None
    _expression: Optional[Element] = None
    reference: Optional[Uri] = None
    _reference: Optional[Element] = None


@dataclass
class ElementDefinition(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    representation: Optional[List[RepresentationEnum]] = None
    _representation: Optional[List[Element]] = None
    sliceName: Optional[String] = None
    _sliceName: Optional[Element] = None
    sliceIsConstraining: Optional[Boolean] = None
    _sliceIsConstraining: Optional[Element] = None
    label: Optional[String] = None
    _label: Optional[Element] = None
    code: Optional[List[Coding]] = None
    slicing: Optional[ElementDefinitionSlicing] = None
    short: Optional[String] = None
    _short: Optional[Element] = None
    definition: Optional[Markdown] = None
    _definition: Optional[Element] = None
    comment: Optional[Markdown] = None
    _comment: Optional[Element] = None
    requirements: Optional[Markdown] = None
    _requirements: Optional[Element] = None
    alias: Optional[List[String]] = None
    _alias: Optional[List[Element]] = None
    min: Optional[UnsignedInt] = None
    _min: Optional[Element] = None
    max: Optional[String] = None
    _max: Optional[Element] = None
    base: Optional[ElementDefinitionBase] = None
    contentReference: Optional[Uri] = None
    _contentReference: Optional[Element] = None
    type: Optional[List[ElementDefinitionType]] = None
    defaultValueBase64Binary: Optional[str] = None
    _defaultValueBase64Binary: Optional[Element] = None
    defaultValueBoolean: Optional[bool] = None
    _defaultValueBoolean: Optional[Element] = None
    defaultValueCanonical: Optional[str] = None
    _defaultValueCanonical: Optional[Element] = None
    defaultValueCode: Optional[str] = None
    _defaultValueCode: Optional[Element] = None
    defaultValueDate: Optional[str] = None
    _defaultValueDate: Optional[Element] = None
    defaultValueDateTime: Optional[str] = None
    _defaultValueDateTime: Optional[Element] = None
    defaultValueDecimal: Optional[float] = None
    _defaultValueDecimal: Optional[Element] = None
    defaultValueId: Optional[str] = None
    _defaultValueId: Optional[Element] = None
    defaultValueInstant: Optional[str] = None
    _defaultValueInstant: Optional[Element] = None
    defaultValueInteger: Optional[float] = None
    _defaultValueInteger: Optional[Element] = None
    defaultValueInteger64: Optional[str] = None
    _defaultValueInteger64: Optional[Element] = None
    defaultValueMarkdown: Optional[str] = None
    _defaultValueMarkdown: Optional[Element] = None
    defaultValueOid: Optional[str] = None
    _defaultValueOid: Optional[Element] = None
    defaultValuePositiveInt: Optional[float] = None
    _defaultValuePositiveInt: Optional[Element] = None
    defaultValueString: Optional[str] = None
    _defaultValueString: Optional[Element] = None
    defaultValueTime: Optional[str] = None
    _defaultValueTime: Optional[Element] = None
    defaultValueUnsignedInt: Optional[float] = None
    _defaultValueUnsignedInt: Optional[Element] = None
    defaultValueUri: Optional[str] = None
    _defaultValueUri: Optional[Element] = None
    defaultValueUrl: Optional[str] = None
    _defaultValueUrl: Optional[Element] = None
    defaultValueUuid: Optional[str] = None
    _defaultValueUuid: Optional[Element] = None
    defaultValueAddress: Optional[Address] = None
    defaultValueAge: Optional[Age] = None
    defaultValueAnnotation: Optional[Annotation] = None
    defaultValueAttachment: Optional[Attachment] = None
    defaultValueCodeableConcept: Optional[CodeableConcept] = None
    defaultValueCodeableReference: Optional[CodeableReference] = None
    defaultValueCoding: Optional[Coding] = None
    defaultValueContactPoint: Optional[ContactPoint] = None
    defaultValueCount: Optional[Count] = None
    defaultValueDistance: Optional[Distance] = None
    defaultValueDuration: Optional[Duration] = None
    defaultValueHumanName: Optional[HumanName] = None
    defaultValueIdentifier: Optional[Identifier] = None
    defaultValueMoney: Optional[Money] = None
    defaultValuePeriod: Optional[Period] = None
    defaultValueQuantity: Optional[Quantity] = None
    defaultValueRange: Optional[Range] = None
    defaultValueRatio: Optional[Ratio] = None
    defaultValueRatioRange: Optional[RatioRange] = None
    defaultValueReference: Optional[Reference] = None
    defaultValueSampledData: Optional[SampledData] = None
    defaultValueSignature: Optional[Signature] = None
    defaultValueTiming: Optional[Timing] = None
    defaultValueContactDetail: Optional[ContactDetail] = None
    defaultValueDataRequirement: Optional[DataRequirement] = None
    defaultValueExpression: Optional[Expression] = None
    defaultValueParameterDefinition: Optional[ParameterDefinition] = None
    defaultValueRelatedArtifact: Optional[RelatedArtifact] = None
    defaultValueTriggerDefinition: Optional[TriggerDefinition] = None
    defaultValueUsageContext: Optional[UsageContext] = None
    defaultValueAvailability: Optional[Availability] = None
    defaultValueExtendedContactDetail: Optional[ExtendedContactDetail] = None
    defaultValueDosage: Optional[Dosage] = None
    defaultValueMeta: Optional[Meta] = None
    meaningWhenMissing: Optional[Markdown] = None
    _meaningWhenMissing: Optional[Element] = None
    orderMeaning: Optional[String] = None
    _orderMeaning: Optional[Element] = None
    fixedBase64Binary: Optional[str] = None
    _fixedBase64Binary: Optional[Element] = None
    fixedBoolean: Optional[bool] = None
    _fixedBoolean: Optional[Element] = None
    fixedCanonical: Optional[str] = None
    _fixedCanonical: Optional[Element] = None
    fixedCode: Optional[str] = None
    _fixedCode: Optional[Element] = None
    fixedDate: Optional[str] = None
    _fixedDate: Optional[Element] = None
    fixedDateTime: Optional[str] = None
    _fixedDateTime: Optional[Element] = None
    fixedDecimal: Optional[float] = None
    _fixedDecimal: Optional[Element] = None
    fixedId: Optional[str] = None
    _fixedId: Optional[Element] = None
    fixedInstant: Optional[str] = None
    _fixedInstant: Optional[Element] = None
    fixedInteger: Optional[float] = None
    _fixedInteger: Optional[Element] = None
    fixedInteger64: Optional[str] = None
    _fixedInteger64: Optional[Element] = None
    fixedMarkdown: Optional[str] = None
    _fixedMarkdown: Optional[Element] = None
    fixedOid: Optional[str] = None
    _fixedOid: Optional[Element] = None
    fixedPositiveInt: Optional[float] = None
    _fixedPositiveInt: Optional[Element] = None
    fixedString: Optional[str] = None
    _fixedString: Optional[Element] = None
    fixedTime: Optional[str] = None
    _fixedTime: Optional[Element] = None
    fixedUnsignedInt: Optional[float] = None
    _fixedUnsignedInt: Optional[Element] = None
    fixedUri: Optional[str] = None
    _fixedUri: Optional[Element] = None
    fixedUrl: Optional[str] = None
    _fixedUrl: Optional[Element] = None
    fixedUuid: Optional[str] = None
    _fixedUuid: Optional[Element] = None
    fixedAddress: Optional[Address] = None
    fixedAge: Optional[Age] = None
    fixedAnnotation: Optional[Annotation] = None
    fixedAttachment: Optional[Attachment] = None
    fixedCodeableConcept: Optional[CodeableConcept] = None
    fixedCodeableReference: Optional[CodeableReference] = None
    fixedCoding: Optional[Coding] = None
    fixedContactPoint: Optional[ContactPoint] = None
    fixedCount: Optional[Count] = None
    fixedDistance: Optional[Distance] = None
    fixedDuration: Optional[Duration] = None
    fixedHumanName: Optional[HumanName] = None
    fixedIdentifier: Optional[Identifier] = None
    fixedMoney: Optional[Money] = None
    fixedPeriod: Optional[Period] = None
    fixedQuantity: Optional[Quantity] = None
    fixedRange: Optional[Range] = None
    fixedRatio: Optional[Ratio] = None
    fixedRatioRange: Optional[RatioRange] = None
    fixedReference: Optional[Reference] = None
    fixedSampledData: Optional[SampledData] = None
    fixedSignature: Optional[Signature] = None
    fixedTiming: Optional[Timing] = None
    fixedContactDetail: Optional[ContactDetail] = None
    fixedDataRequirement: Optional[DataRequirement] = None
    fixedExpression: Optional[Expression] = None
    fixedParameterDefinition: Optional[ParameterDefinition] = None
    fixedRelatedArtifact: Optional[RelatedArtifact] = None
    fixedTriggerDefinition: Optional[TriggerDefinition] = None
    fixedUsageContext: Optional[UsageContext] = None
    fixedAvailability: Optional[Availability] = None
    fixedExtendedContactDetail: Optional[ExtendedContactDetail] = None
    fixedDosage: Optional[Dosage] = None
    fixedMeta: Optional[Meta] = None
    patternBase64Binary: Optional[str] = None
    _patternBase64Binary: Optional[Element] = None
    patternBoolean: Optional[bool] = None
    _patternBoolean: Optional[Element] = None
    patternCanonical: Optional[str] = None
    _patternCanonical: Optional[Element] = None
    patternCode: Optional[str] = None
    _patternCode: Optional[Element] = None
    patternDate: Optional[str] = None
    _patternDate: Optional[Element] = None
    patternDateTime: Optional[str] = None
    _patternDateTime: Optional[Element] = None
    patternDecimal: Optional[float] = None
    _patternDecimal: Optional[Element] = None
    patternId: Optional[str] = None
    _patternId: Optional[Element] = None
    patternInstant: Optional[str] = None
    _patternInstant: Optional[Element] = None
    patternInteger: Optional[float] = None
    _patternInteger: Optional[Element] = None
    patternInteger64: Optional[str] = None
    _patternInteger64: Optional[Element] = None
    patternMarkdown: Optional[str] = None
    _patternMarkdown: Optional[Element] = None
    patternOid: Optional[str] = None
    _patternOid: Optional[Element] = None
    patternPositiveInt: Optional[float] = None
    _patternPositiveInt: Optional[Element] = None
    patternString: Optional[str] = None
    _patternString: Optional[Element] = None
    patternTime: Optional[str] = None
    _patternTime: Optional[Element] = None
    patternUnsignedInt: Optional[float] = None
    _patternUnsignedInt: Optional[Element] = None
    patternUri: Optional[str] = None
    _patternUri: Optional[Element] = None
    patternUrl: Optional[str] = None
    _patternUrl: Optional[Element] = None
    patternUuid: Optional[str] = None
    _patternUuid: Optional[Element] = None
    patternAddress: Optional[Address] = None
    patternAge: Optional[Age] = None
    patternAnnotation: Optional[Annotation] = None
    patternAttachment: Optional[Attachment] = None
    patternCodeableConcept: Optional[CodeableConcept] = None
    patternCodeableReference: Optional[CodeableReference] = None
    patternCoding: Optional[Coding] = None
    patternContactPoint: Optional[ContactPoint] = None
    patternCount: Optional[Count] = None
    patternDistance: Optional[Distance] = None
    patternDuration: Optional[Duration] = None
    patternHumanName: Optional[HumanName] = None
    patternIdentifier: Optional[Identifier] = None
    patternMoney: Optional[Money] = None
    patternPeriod: Optional[Period] = None
    patternQuantity: Optional[Quantity] = None
    patternRange: Optional[Range] = None
    patternRatio: Optional[Ratio] = None
    patternRatioRange: Optional[RatioRange] = None
    patternReference: Optional[Reference] = None
    patternSampledData: Optional[SampledData] = None
    patternSignature: Optional[Signature] = None
    patternTiming: Optional[Timing] = None
    patternContactDetail: Optional[ContactDetail] = None
    patternDataRequirement: Optional[DataRequirement] = None
    patternExpression: Optional[Expression] = None
    patternParameterDefinition: Optional[ParameterDefinition] = None
    patternRelatedArtifact: Optional[RelatedArtifact] = None
    patternTriggerDefinition: Optional[TriggerDefinition] = None
    patternUsageContext: Optional[UsageContext] = None
    patternAvailability: Optional[Availability] = None
    patternExtendedContactDetail: Optional[ExtendedContactDetail] = None
    patternDosage: Optional[Dosage] = None
    patternMeta: Optional[Meta] = None
    example: Optional[List[ElementDefinitionExample]] = None
    minValueDate: Optional[str] = None
    _minValueDate: Optional[Element] = None
    minValueDateTime: Optional[str] = None
    _minValueDateTime: Optional[Element] = None
    minValueInstant: Optional[str] = None
    _minValueInstant: Optional[Element] = None
    minValueTime: Optional[str] = None
    _minValueTime: Optional[Element] = None
    minValueDecimal: Optional[float] = None
    _minValueDecimal: Optional[Element] = None
    minValueInteger: Optional[float] = None
    _minValueInteger: Optional[Element] = None
    minValueInteger64: Optional[str] = None
    _minValueInteger64: Optional[Element] = None
    minValuePositiveInt: Optional[float] = None
    _minValuePositiveInt: Optional[Element] = None
    minValueUnsignedInt: Optional[float] = None
    _minValueUnsignedInt: Optional[Element] = None
    minValueQuantity: Optional[Quantity] = None
    maxValueDate: Optional[str] = None
    _maxValueDate: Optional[Element] = None
    maxValueDateTime: Optional[str] = None
    _maxValueDateTime: Optional[Element] = None
    maxValueInstant: Optional[str] = None
    _maxValueInstant: Optional[Element] = None
    maxValueTime: Optional[str] = None
    _maxValueTime: Optional[Element] = None
    maxValueDecimal: Optional[float] = None
    _maxValueDecimal: Optional[Element] = None
    maxValueInteger: Optional[float] = None
    _maxValueInteger: Optional[Element] = None
    maxValueInteger64: Optional[str] = None
    _maxValueInteger64: Optional[Element] = None
    maxValuePositiveInt: Optional[float] = None
    _maxValuePositiveInt: Optional[Element] = None
    maxValueUnsignedInt: Optional[float] = None
    _maxValueUnsignedInt: Optional[Element] = None
    maxValueQuantity: Optional[Quantity] = None
    maxLength: Optional[Integer] = None
    _maxLength: Optional[Element] = None
    condition: Optional[List[Id]] = None
    _condition: Optional[List[Element]] = None
    constraint: Optional[List[ElementDefinitionConstraint]] = None
    mustHaveValue: Optional[Boolean] = None
    _mustHaveValue: Optional[Element] = None
    valueAlternatives: Optional[List[Canonical]] = None
    mustSupport: Optional[Boolean] = None
    _mustSupport: Optional[Element] = None
    isModifier: Optional[Boolean] = None
    _isModifier: Optional[Element] = None
    isModifierReason: Optional[String] = None
    _isModifierReason: Optional[Element] = None
    isSummary: Optional[Boolean] = None
    _isSummary: Optional[Element] = None
    binding: Optional[ElementDefinitionBinding] = None
    mapping: Optional[List[ElementDefinitionMapping]] = None


@dataclass
class ElementDefinitionSlicing(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    discriminator: Optional[List[ElementDefinitionDiscriminator]] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    ordered: Optional[Boolean] = None
    _ordered: Optional[Element] = None
    rules: Optional[Rules] = None
    _rules: Optional[Element] = None


@dataclass
class ElementDefinitionDiscriminator(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Type4] = None
    _type: Optional[Element] = None
    path: Optional[String] = None
    _path: Optional[Element] = None


@dataclass
class ElementDefinitionBase(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    min: Optional[UnsignedInt] = None
    _min: Optional[Element] = None
    max: Optional[String] = None
    _max: Optional[Element] = None


@dataclass
class ElementDefinitionType(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Uri] = None
    _code: Optional[Element] = None
    profile: Optional[List[Canonical]] = None
    targetProfile: Optional[List[Canonical]] = None
    aggregation: Optional[List[AggregationEnum]] = None
    _aggregation: Optional[List[Element]] = None
    versioning: Optional[Versioning] = None
    _versioning: Optional[Element] = None


@dataclass
class ElementDefinitionExample(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    label: Optional[String] = None
    _label: Optional[Element] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueCanonical: Optional[str] = None
    _valueCanonical: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueId: Optional[str] = None
    _valueId: Optional[Element] = None
    valueInstant: Optional[str] = None
    _valueInstant: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueInteger64: Optional[str] = None
    _valueInteger64: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueOid: Optional[str] = None
    _valueOid: Optional[Element] = None
    valuePositiveInt: Optional[float] = None
    _valuePositiveInt: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueUnsignedInt: Optional[float] = None
    _valueUnsignedInt: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueUrl: Optional[str] = None
    _valueUrl: Optional[Element] = None
    valueUuid: Optional[str] = None
    _valueUuid: Optional[Element] = None
    valueAddress: Optional[Address] = None
    valueAge: Optional[Age] = None
    valueAnnotation: Optional[Annotation] = None
    valueAttachment: Optional[Attachment] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueCodeableReference: Optional[CodeableReference] = None
    valueCoding: Optional[Coding] = None
    valueContactPoint: Optional[ContactPoint] = None
    valueCount: Optional[Count] = None
    valueDistance: Optional[Distance] = None
    valueDuration: Optional[Duration] = None
    valueHumanName: Optional[HumanName] = None
    valueIdentifier: Optional[Identifier] = None
    valueMoney: Optional[Money] = None
    valuePeriod: Optional[Period] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueRatioRange: Optional[RatioRange] = None
    valueReference: Optional[Reference] = None
    valueSampledData: Optional[SampledData] = None
    valueSignature: Optional[Signature] = None
    valueTiming: Optional[Timing] = None
    valueContactDetail: Optional[ContactDetail] = None
    valueDataRequirement: Optional[DataRequirement] = None
    valueExpression: Optional[Expression] = None
    valueParameterDefinition: Optional[ParameterDefinition] = None
    valueRelatedArtifact: Optional[RelatedArtifact] = None
    valueTriggerDefinition: Optional[TriggerDefinition] = None
    valueUsageContext: Optional[UsageContext] = None
    valueAvailability: Optional[Availability] = None
    valueExtendedContactDetail: Optional[ExtendedContactDetail] = None
    valueDosage: Optional[Dosage] = None
    valueMeta: Optional[Meta] = None


@dataclass
class ElementDefinitionConstraint(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    key: Optional[Id] = None
    _key: Optional[Element] = None
    requirements: Optional[Markdown] = None
    _requirements: Optional[Element] = None
    severity: Optional[Severity] = None
    _severity: Optional[Element] = None
    suppress: Optional[Boolean] = None
    _suppress: Optional[Element] = None
    human: Optional[String] = None
    _human: Optional[Element] = None
    expression: Optional[String] = None
    _expression: Optional[Element] = None
    source: Optional[Canonical] = None


@dataclass
class ElementDefinitionBinding(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    strength: Optional[Strength] = None
    _strength: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    valueSet: Optional[Canonical] = None
    additional: Optional[List[ElementDefinitionAdditional]] = None


@dataclass
class ElementDefinitionAdditional(XFHIR):
    valueSet: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    purpose: Optional[Code] = None
    _purpose: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None
    shortDoco: Optional[String] = None
    _shortDoco: Optional[Element] = None
    usage: Optional[List[UsageContext]] = None
    any: Optional[Boolean] = None
    _any: Optional[Element] = None


@dataclass
class ElementDefinitionMapping(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identity: Optional[Id] = None
    _identity: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    map: Optional[String] = None
    _map: Optional[Element] = None
    comment: Optional[Markdown] = None
    _comment: Optional[Element] = None


@dataclass
class Account(XFHIR):
    resourceType: str = 'Account'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    billingStatus: Optional[CodeableConcept] = None
    type: Optional[CodeableConcept] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    subject: Optional[List[Reference]] = None
    servicePeriod: Optional[Period] = None
    covers: Optional[List[Reference]] = None
    coverage: Optional[List[AccountCoverage]] = None
    owner: Optional[Reference] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    guarantor: Optional[List[AccountGuarantor]] = None
    diagnosis: Optional[List[AccountDiagnosis]] = None
    procedure: Optional[List[AccountProcedure]] = None
    relatedAccount: Optional[List[AccountRelatedAccount]] = None
    currency: Optional[CodeableConcept] = None
    balance: Optional[List[AccountBalance]] = None
    calculatedAt: Optional[Instant] = None
    _calculatedAt: Optional[Element] = None


@dataclass
class AccountCoverage(XFHIR):
    coverage: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    priority: Optional[PositiveInt] = None
    _priority: Optional[Element] = None


@dataclass
class AccountGuarantor(XFHIR):
    party: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    onHold: Optional[Boolean] = None
    _onHold: Optional[Element] = None
    period: Optional[Period] = None


@dataclass
class AccountDiagnosis(XFHIR):
    condition: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    dateOfDiagnosis: Optional[DateTime] = None
    _dateOfDiagnosis: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    onAdmission: Optional[Boolean] = None
    _onAdmission: Optional[Element] = None
    packageCode: Optional[List[CodeableConcept]] = None


@dataclass
class AccountProcedure(XFHIR):
    code: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    dateOfService: Optional[DateTime] = None
    _dateOfService: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    packageCode: Optional[List[CodeableConcept]] = None
    device: Optional[List[Reference]] = None


@dataclass
class AccountRelatedAccount(XFHIR):
    account: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    relationship: Optional[CodeableConcept] = None


@dataclass
class AccountBalance(XFHIR):
    amount: Money
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    aggregate: Optional[CodeableConcept] = None
    term: Optional[CodeableConcept] = None
    estimate: Optional[Boolean] = None
    _estimate: Optional[Element] = None


@dataclass
class ActivityDefinition(XFHIR):
    resourceType: str = 'ActivityDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    subtitle: Optional[String] = None
    _subtitle: Optional[Element] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    subjectCanonical: Optional[str] = None
    _subjectCanonical: Optional[Element] = None
    usage: Optional[Markdown] = None
    _usage: Optional[Element] = None
    library: Optional[List[Canonical]] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    profile: Optional[Canonical] = None
    code: Optional[CodeableConcept] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    doNotPerform: Optional[Boolean] = None
    _doNotPerform: Optional[Element] = None
    timingTiming: Optional[Timing] = None
    timingAge: Optional[Age] = None
    timingRange: Optional[Range] = None
    timingDuration: Optional[Duration] = None
    asNeededBoolean: Optional[bool] = None
    _asNeededBoolean: Optional[Element] = None
    asNeededCodeableConcept: Optional[CodeableConcept] = None
    location: Optional[CodeableReference] = None
    participant: Optional[List[ActivityDefinitionParticipant]] = None
    productReference: Optional[Reference] = None
    productCodeableConcept: Optional[CodeableConcept] = None
    quantity: Optional[Quantity] = None
    dosage: Optional[List[Dosage]] = None
    bodySite: Optional[List[CodeableConcept]] = None
    specimenRequirement: Optional[List[Canonical]] = None
    observationRequirement: Optional[List[Canonical]] = None
    observationResultRequirement: Optional[List[Canonical]] = None
    transform: Optional[Canonical] = None
    dynamicValue: Optional[List[ActivityDefinitionDynamicValue]] = None


@dataclass
class ActivityDefinitionParticipant(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    typeCanonical: Optional[Canonical] = None
    typeReference: Optional[Reference] = None
    role: Optional[CodeableConcept] = None
    function: Optional[CodeableConcept] = None


@dataclass
class ActivityDefinitionDynamicValue(XFHIR):
    expression: Expression
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None


@dataclass
class ActorDefinition(XFHIR):
    resourceType: str = 'ActorDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None
    reference: Optional[List[Url]] = None
    _reference: Optional[List[Element]] = None
    capabilities: Optional[Canonical] = None
    derivedFrom: Optional[List[Canonical]] = None


@dataclass
class AdministrableProductDefinition(XFHIR):
    routeOfAdministration: List[AdministrableProductDefinitionRouteOfAdministration]
    resourceType: str = 'AdministrableProductDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    formOf: Optional[List[Reference]] = None
    administrableDoseForm: Optional[CodeableConcept] = None
    unitOfPresentation: Optional[CodeableConcept] = None
    producedFrom: Optional[List[Reference]] = None
    ingredient: Optional[List[CodeableConcept]] = None
    device: Optional[Reference] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    property: Optional[List[AdministrableProductDefinitionProperty]] = None


@dataclass
class AdministrableProductDefinitionProperty(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None
    valueReference: Optional[Reference] = None
    status: Optional[CodeableConcept] = None


@dataclass
class AdministrableProductDefinitionRouteOfAdministration(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    firstDose: Optional[Quantity] = None
    maxSingleDose: Optional[Quantity] = None
    maxDosePerDay: Optional[Quantity] = None
    maxDosePerTreatmentPeriod: Optional[Ratio] = None
    maxTreatmentPeriod: Optional[Duration] = None
    targetSpecies: Optional[List[AdministrableProductDefinitionTargetSpecies]] = None


@dataclass
class AdministrableProductDefinitionTargetSpecies(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    withdrawalPeriod: Optional[
        List[AdministrableProductDefinitionWithdrawalPeriod]
    ] = None


@dataclass
class AdministrableProductDefinitionWithdrawalPeriod(XFHIR):
    tissue: CodeableConcept
    value: Quantity
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    supportingInformation: Optional[String] = None
    _supportingInformation: Optional[Element] = None


@dataclass
class AdverseEvent(XFHIR):
    subject: Reference
    resourceType: str = 'AdverseEvent'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    actuality: Optional[Code] = None
    _actuality: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    code: Optional[CodeableConcept] = None
    encounter: Optional[Reference] = None
    causeDateTime: Optional[str] = None
    _causeDateTime: Optional[Element] = None
    causePeriod: Optional[Period] = None
    effectDateTime: Optional[str] = None
    _effectDateTime: Optional[Element] = None
    effectPeriod: Optional[Period] = None
    detected: Optional[DateTime] = None
    _detected: Optional[Element] = None
    recordedDate: Optional[DateTime] = None
    _recordedDate: Optional[Element] = None
    resultingEffect: Optional[List[Reference]] = None
    location: Optional[Reference] = None
    seriousness: Optional[CodeableConcept] = None
    outcome: Optional[List[CodeableConcept]] = None
    recorder: Optional[Reference] = None
    participant: Optional[List[AdverseEventParticipant]] = None
    study: Optional[List[Reference]] = None
    expectedInResearchStudy: Optional[Boolean] = None
    _expectedInResearchStudy: Optional[Element] = None
    suspectEntity: Optional[List[AdverseEventSuspectEntity]] = None
    contributingFactor: Optional[List[AdverseEventContributingFactor]] = None
    preventiveAction: Optional[List[AdverseEventPreventiveAction]] = None
    mitigatingAction: Optional[List[AdverseEventMitigatingAction]] = None
    supportingInfo: Optional[List[AdverseEventSupportingInfo]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class AdverseEventParticipant(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class AdverseEventSuspectEntity(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    instanceCodeableConcept: Optional[CodeableConcept] = None
    instanceReference: Optional[Reference] = None
    causality: Optional[AdverseEventCausality] = None


@dataclass
class AdverseEventCausality(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    assessmentMethod: Optional[CodeableConcept] = None
    entityRelatedness: Optional[CodeableConcept] = None
    author: Optional[Reference] = None


@dataclass
class AdverseEventContributingFactor(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemReference: Optional[Reference] = None
    itemCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class AdverseEventPreventiveAction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemReference: Optional[Reference] = None
    itemCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class AdverseEventMitigatingAction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemReference: Optional[Reference] = None
    itemCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class AdverseEventSupportingInfo(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemReference: Optional[Reference] = None
    itemCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class AllergyIntolerance(XFHIR):
    patient: Reference
    resourceType: str = 'AllergyIntolerance'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    clinicalStatus: Optional[CodeableConcept] = None
    verificationStatus: Optional[CodeableConcept] = None
    type: Optional[CodeableConcept] = None
    category: Optional[List[Code]] = None
    _category: Optional[List[Element]] = None
    criticality: Optional[Code] = None
    _criticality: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    encounter: Optional[Reference] = None
    onsetDateTime: Optional[str] = None
    _onsetDateTime: Optional[Element] = None
    onsetAge: Optional[Age] = None
    onsetPeriod: Optional[Period] = None
    onsetRange: Optional[Range] = None
    onsetString: Optional[str] = None
    _onsetString: Optional[Element] = None
    recordedDate: Optional[DateTime] = None
    _recordedDate: Optional[Element] = None
    participant: Optional[List[AllergyIntoleranceParticipant]] = None
    lastOccurrence: Optional[DateTime] = None
    _lastOccurrence: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    reaction: Optional[List[AllergyIntoleranceReaction]] = None


@dataclass
class AllergyIntoleranceParticipant(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class AllergyIntoleranceReaction(XFHIR):
    manifestation: List[CodeableReference]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    substance: Optional[CodeableConcept] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    onset: Optional[DateTime] = None
    _onset: Optional[Element] = None
    severity: Optional[Code] = None
    _severity: Optional[Element] = None
    exposureRoute: Optional[CodeableConcept] = None
    note: Optional[List[Annotation]] = None


@dataclass
class Appointment(XFHIR):
    participant: List[AppointmentParticipant]
    resourceType: str = 'Appointment'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    cancellationReason: Optional[CodeableConcept] = None
    class_: Optional[List[CodeableConcept]] = None
    serviceCategory: Optional[List[CodeableConcept]] = None
    serviceType: Optional[List[CodeableReference]] = None
    specialty: Optional[List[CodeableConcept]] = None
    appointmentType: Optional[CodeableConcept] = None
    reason: Optional[List[CodeableReference]] = None
    priority: Optional[CodeableConcept] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    replaces: Optional[List[Reference]] = None
    virtualService: Optional[List[VirtualServiceDetail]] = None
    supportingInformation: Optional[List[Reference]] = None
    previousAppointment: Optional[Reference] = None
    originatingAppointment: Optional[Reference] = None
    start: Optional[Instant] = None
    _start: Optional[Element] = None
    end: Optional[Instant] = None
    _end: Optional[Element] = None
    minutesDuration: Optional[PositiveInt] = None
    _minutesDuration: Optional[Element] = None
    requestedPeriod: Optional[List[Period]] = None
    slot: Optional[List[Reference]] = None
    account: Optional[List[Reference]] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    cancellationDate: Optional[DateTime] = None
    _cancellationDate: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    patientInstruction: Optional[List[CodeableReference]] = None
    basedOn: Optional[List[Reference]] = None
    subject: Optional[Reference] = None
    recurrenceId: Optional[PositiveInt] = None
    _recurrenceId: Optional[Element] = None
    occurrenceChanged: Optional[Boolean] = None
    _occurrenceChanged: Optional[Element] = None
    recurrenceTemplate: Optional[List[AppointmentRecurrenceTemplate]] = None


@dataclass
class AppointmentParticipant(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[List[CodeableConcept]] = None
    period: Optional[Period] = None
    actor: Optional[Reference] = None
    required: Optional[Boolean] = None
    _required: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None


@dataclass
class AppointmentRecurrenceTemplate(XFHIR):
    recurrenceType: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    timezone: Optional[CodeableConcept] = None
    lastOccurrenceDate: Optional[Date] = None
    _lastOccurrenceDate: Optional[Element] = None
    occurrenceCount: Optional[PositiveInt] = None
    _occurrenceCount: Optional[Element] = None
    occurrenceDate: Optional[List[Date]] = None
    _occurrenceDate: Optional[List[Element]] = None
    weeklyTemplate: Optional[AppointmentWeeklyTemplate] = None
    monthlyTemplate: Optional[AppointmentMonthlyTemplate] = None
    yearlyTemplate: Optional[AppointmentYearlyTemplate] = None
    excludingDate: Optional[List[Date]] = None
    _excludingDate: Optional[List[Element]] = None
    excludingRecurrenceId: Optional[List[PositiveInt]] = None
    _excludingRecurrenceId: Optional[List[Element]] = None


@dataclass
class AppointmentWeeklyTemplate(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    monday: Optional[Boolean] = None
    _monday: Optional[Element] = None
    tuesday: Optional[Boolean] = None
    _tuesday: Optional[Element] = None
    wednesday: Optional[Boolean] = None
    _wednesday: Optional[Element] = None
    thursday: Optional[Boolean] = None
    _thursday: Optional[Element] = None
    friday: Optional[Boolean] = None
    _friday: Optional[Element] = None
    saturday: Optional[Boolean] = None
    _saturday: Optional[Element] = None
    sunday: Optional[Boolean] = None
    _sunday: Optional[Element] = None
    weekInterval: Optional[PositiveInt] = None
    _weekInterval: Optional[Element] = None


@dataclass
class AppointmentMonthlyTemplate(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    dayOfMonth: Optional[PositiveInt] = None
    _dayOfMonth: Optional[Element] = None
    nthWeekOfMonth: Optional[Coding] = None
    dayOfWeek: Optional[Coding] = None
    monthInterval: Optional[PositiveInt] = None
    _monthInterval: Optional[Element] = None


@dataclass
class AppointmentYearlyTemplate(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    yearInterval: Optional[PositiveInt] = None
    _yearInterval: Optional[Element] = None


@dataclass
class AppointmentResponse(XFHIR):
    appointment: Reference
    resourceType: str = 'AppointmentResponse'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    proposedNewTime: Optional[Boolean] = None
    _proposedNewTime: Optional[Element] = None
    start: Optional[Instant] = None
    _start: Optional[Element] = None
    end: Optional[Instant] = None
    _end: Optional[Element] = None
    participantType: Optional[List[CodeableConcept]] = None
    actor: Optional[Reference] = None
    participantStatus: Optional[Code] = None
    _participantStatus: Optional[Element] = None
    comment: Optional[Markdown] = None
    _comment: Optional[Element] = None
    recurring: Optional[Boolean] = None
    _recurring: Optional[Element] = None
    occurrenceDate: Optional[Date] = None
    _occurrenceDate: Optional[Element] = None
    recurrenceId: Optional[PositiveInt] = None
    _recurrenceId: Optional[Element] = None


@dataclass
class ArtifactAssessment(XFHIR):
    resourceType: str = 'ArtifactAssessment'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    citeAsReference: Optional[Reference] = None
    citeAsMarkdown: Optional[str] = None
    _citeAsMarkdown: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    artifactReference: Optional[Reference] = None
    artifactCanonical: Optional[str] = None
    _artifactCanonical: Optional[Element] = None
    artifactUri: Optional[str] = None
    _artifactUri: Optional[Element] = None
    content: Optional[List[ArtifactAssessmentContent]] = None
    workflowStatus: Optional[Code] = None
    _workflowStatus: Optional[Element] = None
    disposition: Optional[Code] = None
    _disposition: Optional[Element] = None


@dataclass
class ArtifactAssessmentContent(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    informationType: Optional[Code] = None
    _informationType: Optional[Element] = None
    summary: Optional[Markdown] = None
    _summary: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    classifier: Optional[List[CodeableConcept]] = None
    quantity: Optional[Quantity] = None
    author: Optional[Reference] = None
    path: Optional[List[Uri]] = None
    _path: Optional[List[Element]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    freeToShare: Optional[Boolean] = None
    _freeToShare: Optional[Element] = None
    component: Optional[List[ArtifactAssessmentContent]] = None


@dataclass
class AuditEvent(XFHIR):
    code: CodeableConcept
    agent: List[AuditEventAgent]
    source: AuditEventSource
    resourceType: str = 'AuditEvent'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    category: Optional[List[CodeableConcept]] = None
    action: Optional[Code] = None
    _action: Optional[Element] = None
    severity: Optional[Code] = None
    _severity: Optional[Element] = None
    occurredPeriod: Optional[Period] = None
    occurredDateTime: Optional[str] = None
    _occurredDateTime: Optional[Element] = None
    recorded: Optional[Instant] = None
    _recorded: Optional[Element] = None
    outcome: Optional[AuditEventOutcome] = None
    authorization: Optional[List[CodeableConcept]] = None
    basedOn: Optional[List[Reference]] = None
    patient: Optional[Reference] = None
    encounter: Optional[Reference] = None
    entity: Optional[List[AuditEventEntity]] = None


@dataclass
class AuditEventOutcome(XFHIR):
    code: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    detail: Optional[List[CodeableConcept]] = None


@dataclass
class AuditEventAgent(XFHIR):
    who: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    role: Optional[List[CodeableConcept]] = None
    requestor: Optional[Boolean] = None
    _requestor: Optional[Element] = None
    location: Optional[Reference] = None
    policy: Optional[List[Uri]] = None
    _policy: Optional[List[Element]] = None
    networkReference: Optional[Reference] = None
    networkUri: Optional[str] = None
    _networkUri: Optional[Element] = None
    networkString: Optional[str] = None
    _networkString: Optional[Element] = None
    authorization: Optional[List[CodeableConcept]] = None


@dataclass
class AuditEventSource(XFHIR):
    observer: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    site: Optional[Reference] = None
    type: Optional[List[CodeableConcept]] = None


@dataclass
class AuditEventEntity(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    what: Optional[Reference] = None
    role: Optional[CodeableConcept] = None
    securityLabel: Optional[List[CodeableConcept]] = None
    query: Optional[Base64Binary] = None
    _query: Optional[Element] = None
    detail: Optional[List[AuditEventDetail]] = None
    agent: Optional[List[AuditEventAgent]] = None


@dataclass
class AuditEventDetail(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueQuantity: Optional[Quantity] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valuePeriod: Optional[Period] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None


@dataclass
class Basic(XFHIR):
    code: CodeableConcept
    resourceType: str = 'Basic'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    subject: Optional[Reference] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    author: Optional[Reference] = None


@dataclass
class Binary(XFHIR):
    resourceType: str = 'Binary'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    contentType: Optional[Code] = None
    _contentType: Optional[Element] = None
    securityContext: Optional[Reference] = None
    data: Optional[Base64Binary] = None
    _data: Optional[Element] = None


@dataclass
class BiologicallyDerivedProduct(XFHIR):
    resourceType: str = 'BiologicallyDerivedProduct'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    productCategory: Optional[Coding] = None
    productCode: Optional[CodeableConcept] = None
    parent: Optional[List[Reference]] = None
    request: Optional[List[Reference]] = None
    identifier: Optional[List[Identifier]] = None
    biologicalSourceEvent: Optional[Identifier] = None
    processingFacility: Optional[List[Reference]] = None
    division: Optional[String] = None
    _division: Optional[Element] = None
    productStatus: Optional[Coding] = None
    expirationDate: Optional[DateTime] = None
    _expirationDate: Optional[Element] = None
    collection: Optional[BiologicallyDerivedProductCollection] = None
    storageTempRequirements: Optional[Range] = None
    property: Optional[List[BiologicallyDerivedProductProperty]] = None


@dataclass
class BiologicallyDerivedProductCollection(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    collector: Optional[Reference] = None
    source: Optional[Reference] = None
    collectedDateTime: Optional[str] = None
    _collectedDateTime: Optional[Element] = None
    collectedPeriod: Optional[Period] = None


@dataclass
class BiologicallyDerivedProductProperty(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valuePeriod: Optional[Period] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None


@dataclass
class BiologicallyDerivedProductDispense(XFHIR):
    product: Reference
    patient: Reference
    resourceType: str = 'BiologicallyDerivedProductDispense'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    originRelationshipType: Optional[CodeableConcept] = None
    matchStatus: Optional[CodeableConcept] = None
    performer: Optional[List[BiologicallyDerivedProductDispensePerformer]] = None
    location: Optional[Reference] = None
    quantity: Optional[Quantity] = None
    preparedDate: Optional[DateTime] = None
    _preparedDate: Optional[Element] = None
    whenHandedOver: Optional[DateTime] = None
    _whenHandedOver: Optional[Element] = None
    destination: Optional[Reference] = None
    note: Optional[List[Annotation]] = None
    usageInstruction: Optional[String] = None
    _usageInstruction: Optional[Element] = None


@dataclass
class BiologicallyDerivedProductDispensePerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class BodyStructure(XFHIR):
    includedStructure: List[BodyStructureIncludedStructure]
    patient: Reference
    resourceType: str = 'BodyStructure'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    morphology: Optional[CodeableConcept] = None
    excludedStructure: Optional[List[BodyStructureIncludedStructure]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    image: Optional[List[Attachment]] = None


@dataclass
class BodyStructureIncludedStructure(XFHIR):
    structure: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    laterality: Optional[CodeableConcept] = None
    bodyLandmarkOrientation: Optional[List[BodyStructureBodyLandmarkOrientation]] = None
    spatialReference: Optional[List[Reference]] = None
    qualifier: Optional[List[CodeableConcept]] = None


@dataclass
class BodyStructureBodyLandmarkOrientation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    landmarkDescription: Optional[List[CodeableConcept]] = None
    clockFacePosition: Optional[List[CodeableConcept]] = None
    distanceFromLandmark: Optional[List[BodyStructureDistanceFromLandmark]] = None
    surfaceOrientation: Optional[List[CodeableConcept]] = None


@dataclass
class BodyStructureDistanceFromLandmark(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    device: Optional[List[CodeableReference]] = None
    value: Optional[List[Quantity]] = None


@dataclass
class Bundle(XFHIR):
    resourceType: str = 'Bundle'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    identifier: Optional[Identifier] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    timestamp: Optional[Instant] = None
    _timestamp: Optional[Element] = None
    total: Optional[UnsignedInt] = None
    _total: Optional[Element] = None
    link: Optional[List[BundleLink]] = None
    entry: Optional[List[BundleEntry]] = None
    signature: Optional[Signature] = None
    issues: Optional[ResourceList] = None


@dataclass
class BundleLink(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    relation: Optional[Code] = None
    _relation: Optional[Element] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None


@dataclass
class BundleEntry(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    link: Optional[List[BundleLink]] = None
    fullUrl: Optional[Uri] = None
    _fullUrl: Optional[Element] = None
    resource: Optional[ResourceList] = None
    search: Optional[BundleSearch] = None
    request: Optional[BundleRequest] = None
    response: Optional[BundleResponse] = None


@dataclass
class BundleSearch(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    score: Optional[Decimal] = None
    _score: Optional[Element] = None


@dataclass
class BundleRequest(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    method: Optional[Code] = None
    _method: Optional[Element] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    ifNoneMatch: Optional[String] = None
    _ifNoneMatch: Optional[Element] = None
    ifModifiedSince: Optional[Instant] = None
    _ifModifiedSince: Optional[Element] = None
    ifMatch: Optional[String] = None
    _ifMatch: Optional[Element] = None
    ifNoneExist: Optional[String] = None
    _ifNoneExist: Optional[Element] = None


@dataclass
class BundleResponse(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    status: Optional[String] = None
    _status: Optional[Element] = None
    location: Optional[Uri] = None
    _location: Optional[Element] = None
    etag: Optional[String] = None
    _etag: Optional[Element] = None
    lastModified: Optional[Instant] = None
    _lastModified: Optional[Element] = None
    outcome: Optional[ResourceList] = None


@dataclass
class CapabilityStatement(XFHIR):
    resourceType: str = 'CapabilityStatement'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    instantiates: Optional[List[Canonical]] = None
    imports: Optional[List[Canonical]] = None
    software: Optional[CapabilityStatementSoftware] = None
    implementation: Optional[CapabilityStatementImplementation] = None
    fhirVersion: Optional[Code] = None
    _fhirVersion: Optional[Element] = None
    format: Optional[List[Code]] = None
    _format: Optional[List[Element]] = None
    patchFormat: Optional[List[Code]] = None
    _patchFormat: Optional[List[Element]] = None
    acceptLanguage: Optional[List[Code]] = None
    _acceptLanguage: Optional[List[Element]] = None
    implementationGuide: Optional[List[Canonical]] = None
    rest: Optional[List[CapabilityStatementRest]] = None
    messaging: Optional[List[CapabilityStatementMessaging]] = None
    document: Optional[List[CapabilityStatementDocument]] = None


@dataclass
class CapabilityStatementSoftware(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    releaseDate: Optional[DateTime] = None
    _releaseDate: Optional[Element] = None


@dataclass
class CapabilityStatementImplementation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    url: Optional[Url] = None
    _url: Optional[Element] = None
    custodian: Optional[Reference] = None


@dataclass
class CapabilityStatementRest(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None
    security: Optional[CapabilityStatementSecurity] = None
    resource: Optional[List[CapabilityStatementResource]] = None
    interaction: Optional[List[CapabilityStatementInteraction1]] = None
    searchParam: Optional[List[CapabilityStatementSearchParam]] = None
    operation: Optional[List[CapabilityStatementOperation]] = None
    compartment: Optional[List[Canonical]] = None


@dataclass
class CapabilityStatementSecurity(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    cors: Optional[Boolean] = None
    _cors: Optional[Element] = None
    service: Optional[List[CodeableConcept]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None


@dataclass
class CapabilityStatementResource(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    profile: Optional[Canonical] = None
    supportedProfile: Optional[List[Canonical]] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None
    interaction: Optional[List[CapabilityStatementInteraction]] = None
    versioning: Optional[Code] = None
    _versioning: Optional[Element] = None
    readHistory: Optional[Boolean] = None
    _readHistory: Optional[Element] = None
    updateCreate: Optional[Boolean] = None
    _updateCreate: Optional[Element] = None
    conditionalCreate: Optional[Boolean] = None
    _conditionalCreate: Optional[Element] = None
    conditionalRead: Optional[Code] = None
    _conditionalRead: Optional[Element] = None
    conditionalUpdate: Optional[Boolean] = None
    _conditionalUpdate: Optional[Element] = None
    conditionalPatch: Optional[Boolean] = None
    _conditionalPatch: Optional[Element] = None
    conditionalDelete: Optional[Code] = None
    _conditionalDelete: Optional[Element] = None
    referencePolicy: Optional[List[Code]] = None
    _referencePolicy: Optional[List[Element]] = None
    searchInclude: Optional[List[String]] = None
    _searchInclude: Optional[List[Element]] = None
    searchRevInclude: Optional[List[String]] = None
    _searchRevInclude: Optional[List[Element]] = None
    searchParam: Optional[List[CapabilityStatementSearchParam]] = None
    operation: Optional[List[CapabilityStatementOperation]] = None


@dataclass
class CapabilityStatementInteraction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None


@dataclass
class CapabilityStatementSearchParam(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    definition: Optional[Canonical] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None


@dataclass
class CapabilityStatementOperation(XFHIR):
    definition: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None


@dataclass
class CapabilityStatementInteraction1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None


@dataclass
class CapabilityStatementMessaging(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    endpoint: Optional[List[CapabilityStatementEndpoint]] = None
    reliableCache: Optional[UnsignedInt] = None
    _reliableCache: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None
    supportedMessage: Optional[List[CapabilityStatementSupportedMessage]] = None


@dataclass
class CapabilityStatementEndpoint(XFHIR):
    protocol: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    address: Optional[Url] = None
    _address: Optional[Element] = None


@dataclass
class CapabilityStatementSupportedMessage(XFHIR):
    definition: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None


@dataclass
class CapabilityStatementDocument(XFHIR):
    profile: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None


@dataclass
class CarePlan(XFHIR):
    subject: Reference
    resourceType: str = 'CarePlan'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    basedOn: Optional[List[Reference]] = None
    replaces: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    encounter: Optional[Reference] = None
    period: Optional[Period] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    custodian: Optional[Reference] = None
    contributor: Optional[List[Reference]] = None
    careTeam: Optional[List[Reference]] = None
    addresses: Optional[List[CodeableReference]] = None
    supportingInfo: Optional[List[Reference]] = None
    goal: Optional[List[Reference]] = None
    activity: Optional[List[CarePlanActivity]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class CarePlanActivity(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    performedActivity: Optional[List[CodeableReference]] = None
    progress: Optional[List[Annotation]] = None
    plannedActivityReference: Optional[Reference] = None


@dataclass
class CareTeam(XFHIR):
    resourceType: str = 'CareTeam'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    subject: Optional[Reference] = None
    period: Optional[Period] = None
    participant: Optional[List[CareTeamParticipant]] = None
    reason: Optional[List[CodeableReference]] = None
    managingOrganization: Optional[List[Reference]] = None
    telecom: Optional[List[ContactPoint]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class CareTeamParticipant(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    role: Optional[CodeableConcept] = None
    member: Optional[Reference] = None
    onBehalfOf: Optional[Reference] = None
    coveragePeriod: Optional[Period] = None
    coverageTiming: Optional[Timing] = None


@dataclass
class ChargeItem(XFHIR):
    code: CodeableConcept
    subject: Reference
    resourceType: str = 'ChargeItem'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    definitionUri: Optional[List[Uri]] = None
    _definitionUri: Optional[List[Element]] = None
    definitionCanonical: Optional[List[Canonical]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    partOf: Optional[List[Reference]] = None
    encounter: Optional[Reference] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    occurrenceTiming: Optional[Timing] = None
    performer: Optional[List[ChargeItemPerformer]] = None
    performingOrganization: Optional[Reference] = None
    requestingOrganization: Optional[Reference] = None
    costCenter: Optional[Reference] = None
    quantity: Optional[Quantity] = None
    bodysite: Optional[List[CodeableConcept]] = None
    unitPriceComponent: Optional[MonetaryComponent] = None
    totalPriceComponent: Optional[MonetaryComponent] = None
    overrideReason: Optional[CodeableConcept] = None
    enterer: Optional[Reference] = None
    enteredDate: Optional[DateTime] = None
    _enteredDate: Optional[Element] = None
    reason: Optional[List[CodeableConcept]] = None
    service: Optional[List[CodeableReference]] = None
    product: Optional[List[CodeableReference]] = None
    account: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    supportingInformation: Optional[List[Reference]] = None


@dataclass
class ChargeItemPerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class ChargeItemDefinition(XFHIR):
    resourceType: str = 'ChargeItemDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    derivedFromUri: Optional[List[Uri]] = None
    _derivedFromUri: Optional[List[Element]] = None
    partOf: Optional[List[Canonical]] = None
    replaces: Optional[List[Canonical]] = None
    code: Optional[CodeableConcept] = None
    instance: Optional[List[Reference]] = None
    applicability: Optional[List[ChargeItemDefinitionApplicability]] = None
    propertyGroup: Optional[List[ChargeItemDefinitionPropertyGroup]] = None


@dataclass
class ChargeItemDefinitionApplicability(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    condition: Optional[Expression] = None
    effectivePeriod: Optional[Period] = None
    relatedArtifact: Optional[RelatedArtifact] = None


@dataclass
class ChargeItemDefinitionPropertyGroup(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    applicability: Optional[List[ChargeItemDefinitionApplicability]] = None
    priceComponent: Optional[List[MonetaryComponent]] = None


@dataclass
class Citation(XFHIR):
    resourceType: str = 'Citation'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    summary: Optional[List[CitationSummary]] = None
    classification: Optional[List[CitationClassification]] = None
    note: Optional[List[Annotation]] = None
    currentState: Optional[List[CodeableConcept]] = None
    statusDate: Optional[List[CitationStatusDate]] = None
    citedArtifact: Optional[CitationCitedArtifact] = None


@dataclass
class CitationSummary(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    style: Optional[CodeableConcept] = None
    text: Optional[Markdown] = None
    _text: Optional[Element] = None


@dataclass
class CitationClassification(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    classifier: Optional[List[CodeableConcept]] = None


@dataclass
class CitationStatusDate(XFHIR):
    activity: CodeableConcept
    period: Period
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    actual: Optional[Boolean] = None
    _actual: Optional[Element] = None


@dataclass
class CitationCitedArtifact(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    relatedIdentifier: Optional[List[Identifier]] = None
    dateAccessed: Optional[DateTime] = None
    _dateAccessed: Optional[Element] = None
    version: Optional[CitationVersion] = None
    currentState: Optional[List[CodeableConcept]] = None
    statusDate: Optional[List[CitationStatusDate1]] = None
    title: Optional[List[CitationTitle]] = None
    abstract: Optional[List[CitationAbstract]] = None
    part: Optional[CitationPart] = None
    relatesTo: Optional[List[CitationRelatesTo]] = None
    publicationForm: Optional[List[CitationPublicationForm]] = None
    webLocation: Optional[List[CitationWebLocation]] = None
    classification: Optional[List[CitationClassification1]] = None
    contributorship: Optional[CitationContributorship] = None
    note: Optional[List[Annotation]] = None


@dataclass
class CitationVersion(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    value: Optional[String] = None
    _value: Optional[Element] = None
    baseCitation: Optional[Reference] = None


@dataclass
class CitationStatusDate1(XFHIR):
    activity: CodeableConcept
    period: Period
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    actual: Optional[Boolean] = None
    _actual: Optional[Element] = None


@dataclass
class CitationTitle(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[List[CodeableConcept]] = None
    language: Optional[CodeableConcept] = None
    text: Optional[Markdown] = None
    _text: Optional[Element] = None


@dataclass
class CitationAbstract(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    language: Optional[CodeableConcept] = None
    text: Optional[Markdown] = None
    _text: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None


@dataclass
class CitationPart(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    value: Optional[String] = None
    _value: Optional[Element] = None
    baseCitation: Optional[Reference] = None


@dataclass
class CitationRelatesTo(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    classifier: Optional[List[CodeableConcept]] = None
    label: Optional[String] = None
    _label: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    citation: Optional[Markdown] = None
    _citation: Optional[Element] = None
    document: Optional[Attachment] = None
    resource: Optional[Canonical] = None
    _resource: Optional[Element] = None
    resourceReference: Optional[Reference] = None


@dataclass
class CitationPublicationForm(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    publishedIn: Optional[CitationPublishedIn] = None
    citedMedium: Optional[CodeableConcept] = None
    volume: Optional[String] = None
    _volume: Optional[Element] = None
    issue: Optional[String] = None
    _issue: Optional[Element] = None
    articleDate: Optional[DateTime] = None
    _articleDate: Optional[Element] = None
    publicationDateText: Optional[String] = None
    _publicationDateText: Optional[Element] = None
    publicationDateSeason: Optional[String] = None
    _publicationDateSeason: Optional[Element] = None
    lastRevisionDate: Optional[DateTime] = None
    _lastRevisionDate: Optional[Element] = None
    language: Optional[List[CodeableConcept]] = None
    accessionNumber: Optional[String] = None
    _accessionNumber: Optional[Element] = None
    pageString: Optional[String] = None
    _pageString: Optional[Element] = None
    firstPage: Optional[String] = None
    _firstPage: Optional[Element] = None
    lastPage: Optional[String] = None
    _lastPage: Optional[Element] = None
    pageCount: Optional[String] = None
    _pageCount: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None


@dataclass
class CitationPublishedIn(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    identifier: Optional[List[Identifier]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    publisher: Optional[Reference] = None
    publisherLocation: Optional[String] = None
    _publisherLocation: Optional[Element] = None


@dataclass
class CitationWebLocation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    classifier: Optional[List[CodeableConcept]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None


@dataclass
class CitationClassification1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    classifier: Optional[List[CodeableConcept]] = None
    artifactAssessment: Optional[List[Reference]] = None


@dataclass
class CitationContributorship(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    complete: Optional[Boolean] = None
    _complete: Optional[Element] = None
    entry: Optional[List[CitationEntry]] = None
    summary: Optional[List[CitationSummary1]] = None


@dataclass
class CitationEntry(XFHIR):
    contributor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    forenameInitials: Optional[String] = None
    _forenameInitials: Optional[Element] = None
    affiliation: Optional[List[Reference]] = None
    contributionType: Optional[List[CodeableConcept]] = None
    role: Optional[CodeableConcept] = None
    contributionInstance: Optional[List[CitationContributionInstance]] = None
    correspondingContact: Optional[Boolean] = None
    _correspondingContact: Optional[Element] = None
    rankingOrder: Optional[PositiveInt] = None
    _rankingOrder: Optional[Element] = None


@dataclass
class CitationContributionInstance(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    time: Optional[DateTime] = None
    _time: Optional[Element] = None


@dataclass
class CitationSummary1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    style: Optional[CodeableConcept] = None
    source: Optional[CodeableConcept] = None
    value: Optional[Markdown] = None
    _value: Optional[Element] = None


@dataclass
class Claim(XFHIR):
    type: CodeableConcept
    patient: Reference
    resourceType: str = 'Claim'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    traceNumber: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    subType: Optional[CodeableConcept] = None
    use: Optional[Code] = None
    _use: Optional[Element] = None
    billablePeriod: Optional[Period] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    enterer: Optional[Reference] = None
    insurer: Optional[Reference] = None
    provider: Optional[Reference] = None
    priority: Optional[CodeableConcept] = None
    fundsReserve: Optional[CodeableConcept] = None
    related: Optional[List[ClaimRelated]] = None
    prescription: Optional[Reference] = None
    originalPrescription: Optional[Reference] = None
    payee: Optional[ClaimPayee] = None
    referral: Optional[Reference] = None
    encounter: Optional[List[Reference]] = None
    facility: Optional[Reference] = None
    diagnosisRelatedGroup: Optional[CodeableConcept] = None
    event: Optional[List[ClaimEvent]] = None
    careTeam: Optional[List[ClaimCareTeam]] = None
    supportingInfo: Optional[List[ClaimSupportingInfo]] = None
    diagnosis: Optional[List[ClaimDiagnosis]] = None
    procedure: Optional[List[ClaimProcedure]] = None
    insurance: Optional[List[ClaimInsurance]] = None
    accident: Optional[ClaimAccident] = None
    patientPaid: Optional[Money] = None
    item: Optional[List[ClaimItem]] = None
    total: Optional[Money] = None


@dataclass
class ClaimRelated(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    claim: Optional[Reference] = None
    relationship: Optional[CodeableConcept] = None
    reference: Optional[Identifier] = None


@dataclass
class ClaimPayee(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    party: Optional[Reference] = None


@dataclass
class ClaimEvent(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    whenDateTime: Optional[str] = None
    _whenDateTime: Optional[Element] = None
    whenPeriod: Optional[Period] = None


@dataclass
class ClaimCareTeam(XFHIR):
    provider: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    responsible: Optional[Boolean] = None
    _responsible: Optional[Element] = None
    role: Optional[CodeableConcept] = None
    specialty: Optional[CodeableConcept] = None


@dataclass
class ClaimSupportingInfo(XFHIR):
    category: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    timingDate: Optional[str] = None
    _timingDate: Optional[Element] = None
    timingPeriod: Optional[Period] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueAttachment: Optional[Attachment] = None
    valueReference: Optional[Reference] = None
    valueIdentifier: Optional[Identifier] = None
    reason: Optional[CodeableConcept] = None


@dataclass
class ClaimDiagnosis(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    diagnosisCodeableConcept: Optional[CodeableConcept] = None
    diagnosisReference: Optional[Reference] = None
    type: Optional[List[CodeableConcept]] = None
    onAdmission: Optional[CodeableConcept] = None


@dataclass
class ClaimProcedure(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    procedureCodeableConcept: Optional[CodeableConcept] = None
    procedureReference: Optional[Reference] = None
    udi: Optional[List[Reference]] = None


@dataclass
class ClaimInsurance(XFHIR):
    coverage: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    focal: Optional[Boolean] = None
    _focal: Optional[Element] = None
    identifier: Optional[Identifier] = None
    businessArrangement: Optional[String] = None
    _businessArrangement: Optional[Element] = None
    preAuthRef: Optional[List[String]] = None
    _preAuthRef: Optional[List[Element]] = None
    claimResponse: Optional[Reference] = None


@dataclass
class ClaimAccident(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    date: Optional[Date] = None
    _date: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    locationAddress: Optional[Address] = None
    locationReference: Optional[Reference] = None


@dataclass
class ClaimItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    traceNumber: Optional[List[Identifier]] = None
    careTeamSequence: Optional[List[PositiveInt]] = None
    _careTeamSequence: Optional[List[Element]] = None
    diagnosisSequence: Optional[List[PositiveInt]] = None
    _diagnosisSequence: Optional[List[Element]] = None
    procedureSequence: Optional[List[PositiveInt]] = None
    _procedureSequence: Optional[List[Element]] = None
    informationSequence: Optional[List[PositiveInt]] = None
    _informationSequence: Optional[List[Element]] = None
    revenue: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    request: Optional[List[Reference]] = None
    modifier: Optional[List[CodeableConcept]] = None
    programCode: Optional[List[CodeableConcept]] = None
    servicedDate: Optional[str] = None
    _servicedDate: Optional[Element] = None
    servicedPeriod: Optional[Period] = None
    locationCodeableConcept: Optional[CodeableConcept] = None
    locationAddress: Optional[Address] = None
    locationReference: Optional[Reference] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    udi: Optional[List[Reference]] = None
    bodySite: Optional[List[ClaimBodySite]] = None
    encounter: Optional[List[Reference]] = None
    detail: Optional[List[ClaimDetail]] = None


@dataclass
class ClaimBodySite(XFHIR):
    site: List[CodeableReference]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subSite: Optional[List[CodeableConcept]] = None


@dataclass
class ClaimDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    programCode: Optional[List[CodeableConcept]] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    udi: Optional[List[Reference]] = None
    subDetail: Optional[List[ClaimSubDetail]] = None


@dataclass
class ClaimSubDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    programCode: Optional[List[CodeableConcept]] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    udi: Optional[List[Reference]] = None


@dataclass
class ClaimResponse(XFHIR):
    type: CodeableConcept
    patient: Reference
    resourceType: str = 'ClaimResponse'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    traceNumber: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    subType: Optional[CodeableConcept] = None
    use: Optional[Code] = None
    _use: Optional[Element] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    insurer: Optional[Reference] = None
    requestor: Optional[Reference] = None
    request: Optional[Reference] = None
    outcome: Optional[Code] = None
    _outcome: Optional[Element] = None
    decision: Optional[CodeableConcept] = None
    disposition: Optional[String] = None
    _disposition: Optional[Element] = None
    preAuthRef: Optional[String] = None
    _preAuthRef: Optional[Element] = None
    preAuthPeriod: Optional[Period] = None
    event: Optional[List[ClaimResponseEvent]] = None
    payeeType: Optional[CodeableConcept] = None
    encounter: Optional[List[Reference]] = None
    diagnosisRelatedGroup: Optional[CodeableConcept] = None
    item: Optional[List[ClaimResponseItem]] = None
    addItem: Optional[List[ClaimResponseAddItem]] = None
    adjudication: Optional[List[ClaimResponseAdjudication]] = None
    total: Optional[List[ClaimResponseTotal]] = None
    payment: Optional[ClaimResponsePayment] = None
    fundsReserve: Optional[CodeableConcept] = None
    formCode: Optional[CodeableConcept] = None
    form: Optional[Attachment] = None
    processNote: Optional[List[ClaimResponseProcessNote]] = None
    communicationRequest: Optional[List[Reference]] = None
    insurance: Optional[List[ClaimResponseInsurance]] = None
    error: Optional[List[ClaimResponseError]] = None


@dataclass
class ClaimResponseEvent(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    whenDateTime: Optional[str] = None
    _whenDateTime: Optional[Element] = None
    whenPeriod: Optional[Period] = None


@dataclass
class ClaimResponseItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemSequence: Optional[PositiveInt] = None
    _itemSequence: Optional[Element] = None
    traceNumber: Optional[List[Identifier]] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ClaimResponseReviewOutcome] = None
    adjudication: Optional[List[ClaimResponseAdjudication]] = None
    detail: Optional[List[ClaimResponseDetail]] = None


@dataclass
class ClaimResponseReviewOutcome(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    decision: Optional[CodeableConcept] = None
    reason: Optional[List[CodeableConcept]] = None
    preAuthRef: Optional[String] = None
    _preAuthRef: Optional[Element] = None
    preAuthPeriod: Optional[Period] = None


@dataclass
class ClaimResponseAdjudication(XFHIR):
    category: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    reason: Optional[CodeableConcept] = None
    amount: Optional[Money] = None
    quantity: Optional[Quantity] = None


@dataclass
class ClaimResponseDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    detailSequence: Optional[PositiveInt] = None
    _detailSequence: Optional[Element] = None
    traceNumber: Optional[List[Identifier]] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ClaimResponseReviewOutcome] = None
    adjudication: Optional[List[ClaimResponseAdjudication]] = None
    subDetail: Optional[List[ClaimResponseSubDetail]] = None


@dataclass
class ClaimResponseSubDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subDetailSequence: Optional[PositiveInt] = None
    _subDetailSequence: Optional[Element] = None
    traceNumber: Optional[List[Identifier]] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ClaimResponseReviewOutcome] = None
    adjudication: Optional[List[ClaimResponseAdjudication]] = None


@dataclass
class ClaimResponseAddItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemSequence: Optional[List[PositiveInt]] = None
    _itemSequence: Optional[List[Element]] = None
    detailSequence: Optional[List[PositiveInt]] = None
    _detailSequence: Optional[List[Element]] = None
    subdetailSequence: Optional[List[PositiveInt]] = None
    _subdetailSequence: Optional[List[Element]] = None
    traceNumber: Optional[List[Identifier]] = None
    provider: Optional[List[Reference]] = None
    revenue: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    request: Optional[List[Reference]] = None
    modifier: Optional[List[CodeableConcept]] = None
    programCode: Optional[List[CodeableConcept]] = None
    servicedDate: Optional[str] = None
    _servicedDate: Optional[Element] = None
    servicedPeriod: Optional[Period] = None
    locationCodeableConcept: Optional[CodeableConcept] = None
    locationAddress: Optional[Address] = None
    locationReference: Optional[Reference] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    bodySite: Optional[List[ClaimResponseBodySite]] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ClaimResponseReviewOutcome] = None
    adjudication: Optional[List[ClaimResponseAdjudication]] = None
    detail: Optional[List[ClaimResponseDetail1]] = None


@dataclass
class ClaimResponseBodySite(XFHIR):
    site: List[CodeableReference]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subSite: Optional[List[CodeableConcept]] = None


@dataclass
class ClaimResponseDetail1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ClaimResponseReviewOutcome] = None
    adjudication: Optional[List[ClaimResponseAdjudication]] = None
    subDetail: Optional[List[ClaimResponseSubDetail1]] = None


@dataclass
class ClaimResponseSubDetail1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ClaimResponseReviewOutcome] = None
    adjudication: Optional[List[ClaimResponseAdjudication]] = None


@dataclass
class ClaimResponseTotal(XFHIR):
    category: CodeableConcept
    amount: Money
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class ClaimResponsePayment(XFHIR):
    type: CodeableConcept
    amount: Money
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    adjustment: Optional[Money] = None
    adjustmentReason: Optional[CodeableConcept] = None
    date: Optional[Date] = None
    _date: Optional[Element] = None
    identifier: Optional[Identifier] = None


@dataclass
class ClaimResponseProcessNote(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    number: Optional[PositiveInt] = None
    _number: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    language: Optional[CodeableConcept] = None


@dataclass
class ClaimResponseInsurance(XFHIR):
    coverage: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    focal: Optional[Boolean] = None
    _focal: Optional[Element] = None
    businessArrangement: Optional[String] = None
    _businessArrangement: Optional[Element] = None
    claimResponse: Optional[Reference] = None


@dataclass
class ClaimResponseError(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemSequence: Optional[PositiveInt] = None
    _itemSequence: Optional[Element] = None
    detailSequence: Optional[PositiveInt] = None
    _detailSequence: Optional[Element] = None
    subDetailSequence: Optional[PositiveInt] = None
    _subDetailSequence: Optional[Element] = None
    expression: Optional[List[String]] = None
    _expression: Optional[List[Element]] = None


@dataclass
class ClinicalImpression(XFHIR):
    subject: Reference
    resourceType: str = 'ClinicalImpression'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableConcept] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    encounter: Optional[Reference] = None
    effectiveDateTime: Optional[str] = None
    _effectiveDateTime: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    performer: Optional[Reference] = None
    previous: Optional[Reference] = None
    problem: Optional[List[Reference]] = None
    changePattern: Optional[CodeableConcept] = None
    protocol: Optional[List[Uri]] = None
    _protocol: Optional[List[Element]] = None
    summary: Optional[Markdown] = None
    _summary: Optional[Element] = None
    finding: Optional[List[ClinicalImpressionFinding]] = None
    prognosisCodeableConcept: Optional[List[CodeableConcept]] = None
    prognosisReference: Optional[List[Reference]] = None
    supportingInfo: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class ClinicalImpressionFinding(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    item: Optional[CodeableReference] = None
    basis: Optional[String] = None
    _basis: Optional[Element] = None


@dataclass
class ClinicalUseDefinition(XFHIR):
    resourceType: str = 'ClinicalUseDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    subject: Optional[List[Reference]] = None
    status: Optional[CodeableConcept] = None
    contraindication: Optional[ClinicalUseDefinitionContraindication] = None
    indication: Optional[ClinicalUseDefinitionIndication] = None
    interaction: Optional[ClinicalUseDefinitionInteraction] = None
    population: Optional[List[Reference]] = None
    library: Optional[List[Canonical]] = None
    undesirableEffect: Optional[ClinicalUseDefinitionUndesirableEffect] = None
    warning: Optional[ClinicalUseDefinitionWarning] = None


@dataclass
class ClinicalUseDefinitionContraindication(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    diseaseSymptomProcedure: Optional[CodeableReference] = None
    diseaseStatus: Optional[CodeableReference] = None
    comorbidity: Optional[List[CodeableReference]] = None
    indication: Optional[List[Reference]] = None
    applicability: Optional[Expression] = None
    otherTherapy: Optional[List[ClinicalUseDefinitionOtherTherapy]] = None


@dataclass
class ClinicalUseDefinitionOtherTherapy(XFHIR):
    relationshipType: CodeableConcept
    treatment: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class ClinicalUseDefinitionIndication(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    diseaseSymptomProcedure: Optional[CodeableReference] = None
    diseaseStatus: Optional[CodeableReference] = None
    comorbidity: Optional[List[CodeableReference]] = None
    intendedEffect: Optional[CodeableReference] = None
    durationRange: Optional[Range] = None
    durationString: Optional[str] = None
    _durationString: Optional[Element] = None
    undesirableEffect: Optional[List[Reference]] = None
    applicability: Optional[Expression] = None
    otherTherapy: Optional[List[ClinicalUseDefinitionOtherTherapy]] = None


@dataclass
class ClinicalUseDefinitionInteraction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    interactant: Optional[List[ClinicalUseDefinitionInteractant]] = None
    type: Optional[CodeableConcept] = None
    effect: Optional[CodeableReference] = None
    incidence: Optional[CodeableConcept] = None
    management: Optional[List[CodeableConcept]] = None


@dataclass
class ClinicalUseDefinitionInteractant(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemReference: Optional[Reference] = None
    itemCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class ClinicalUseDefinitionUndesirableEffect(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    symptomConditionEffect: Optional[CodeableReference] = None
    classification: Optional[CodeableConcept] = None
    frequencyOfOccurrence: Optional[CodeableConcept] = None


@dataclass
class ClinicalUseDefinitionWarning(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    code: Optional[CodeableConcept] = None


@dataclass
class CodeSystem(XFHIR):
    resourceType: str = 'CodeSystem'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    caseSensitive: Optional[Boolean] = None
    _caseSensitive: Optional[Element] = None
    valueSet: Optional[Canonical] = None
    hierarchyMeaning: Optional[Code] = None
    _hierarchyMeaning: Optional[Element] = None
    compositional: Optional[Boolean] = None
    _compositional: Optional[Element] = None
    versionNeeded: Optional[Boolean] = None
    _versionNeeded: Optional[Element] = None
    content: Optional[Code] = None
    _content: Optional[Element] = None
    supplements: Optional[Canonical] = None
    count: Optional[UnsignedInt] = None
    _count: Optional[Element] = None
    filter: Optional[List[CodeSystemFilter]] = None
    property: Optional[List[CodeSystemProperty]] = None
    concept: Optional[List[CodeSystemConcept]] = None


@dataclass
class CodeSystemFilter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    operator: Optional[List[Code]] = None
    _operator: Optional[List[Element]] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class CodeSystemProperty(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    uri: Optional[Uri] = None
    _uri: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None


@dataclass
class CodeSystemConcept(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    definition: Optional[String] = None
    _definition: Optional[Element] = None
    designation: Optional[List[CodeSystemDesignation]] = None
    property: Optional[List[CodeSystemProperty1]] = None
    concept: Optional[List[CodeSystemConcept]] = None


@dataclass
class CodeSystemDesignation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    use: Optional[Coding] = None
    additionalUse: Optional[List[Coding]] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class CodeSystemProperty1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueCoding: Optional[Coding] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None


@dataclass
class Communication(XFHIR):
    resourceType: str = 'Communication'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    inResponseTo: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableConcept] = None
    category: Optional[List[CodeableConcept]] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    medium: Optional[List[CodeableConcept]] = None
    subject: Optional[Reference] = None
    topic: Optional[CodeableConcept] = None
    about: Optional[List[Reference]] = None
    encounter: Optional[Reference] = None
    sent: Optional[DateTime] = None
    _sent: Optional[Element] = None
    received: Optional[DateTime] = None
    _received: Optional[Element] = None
    recipient: Optional[List[Reference]] = None
    sender: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    payload: Optional[List[CommunicationPayload]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class CommunicationPayload(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    contentAttachment: Optional[Attachment] = None
    contentReference: Optional[Reference] = None
    contentCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class CommunicationRequest(XFHIR):
    resourceType: str = 'CommunicationRequest'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    replaces: Optional[List[Reference]] = None
    groupIdentifier: Optional[Identifier] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableConcept] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    doNotPerform: Optional[Boolean] = None
    _doNotPerform: Optional[Element] = None
    medium: Optional[List[CodeableConcept]] = None
    subject: Optional[Reference] = None
    about: Optional[List[Reference]] = None
    encounter: Optional[Reference] = None
    payload: Optional[List[CommunicationRequestPayload]] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    authoredOn: Optional[DateTime] = None
    _authoredOn: Optional[Element] = None
    requester: Optional[Reference] = None
    recipient: Optional[List[Reference]] = None
    informationProvider: Optional[List[Reference]] = None
    reason: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class CommunicationRequestPayload(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    contentAttachment: Optional[Attachment] = None
    contentReference: Optional[Reference] = None
    contentCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class CompartmentDefinition(XFHIR):
    resourceType: str = 'CompartmentDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    search: Optional[Boolean] = None
    _search: Optional[Element] = None
    resource: Optional[List[CompartmentDefinitionResource]] = None


@dataclass
class CompartmentDefinitionResource(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    param: Optional[List[String]] = None
    _param: Optional[List[Element]] = None
    documentation: Optional[String] = None
    _documentation: Optional[Element] = None
    startParam: Optional[Uri] = None
    _startParam: Optional[Element] = None
    endParam: Optional[Uri] = None
    _endParam: Optional[Element] = None


@dataclass
class Composition(XFHIR):
    type: CodeableConcept
    author: List[Reference]
    resourceType: str = 'Composition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    subject: Optional[List[Reference]] = None
    encounter: Optional[Reference] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    attester: Optional[List[CompositionAttester]] = None
    custodian: Optional[Reference] = None
    relatesTo: Optional[List[RelatedArtifact]] = None
    event: Optional[List[CompositionEvent]] = None
    section: Optional[List[CompositionSection]] = None


@dataclass
class CompositionAttester(XFHIR):
    mode: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    time: Optional[DateTime] = None
    _time: Optional[Element] = None
    party: Optional[Reference] = None


@dataclass
class CompositionEvent(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    period: Optional[Period] = None
    detail: Optional[List[CodeableReference]] = None


@dataclass
class CompositionSection(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    author: Optional[List[Reference]] = None
    focus: Optional[Reference] = None
    text: Optional[Narrative] = None
    orderedBy: Optional[CodeableConcept] = None
    entry: Optional[List[Reference]] = None
    emptyReason: Optional[CodeableConcept] = None
    section: Optional[List[CompositionSection]] = None


@dataclass
class ConceptMap(XFHIR):
    resourceType: str = 'ConceptMap'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    property: Optional[List[ConceptMapProperty]] = None
    additionalAttribute: Optional[List[ConceptMapAdditionalAttribute]] = None
    sourceScopeUri: Optional[str] = None
    _sourceScopeUri: Optional[Element] = None
    sourceScopeCanonical: Optional[str] = None
    _sourceScopeCanonical: Optional[Element] = None
    targetScopeUri: Optional[str] = None
    _targetScopeUri: Optional[Element] = None
    targetScopeCanonical: Optional[str] = None
    _targetScopeCanonical: Optional[Element] = None
    group: Optional[List[ConceptMapGroup]] = None


@dataclass
class ConceptMapProperty(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    uri: Optional[Uri] = None
    _uri: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    system: Optional[Canonical] = None


@dataclass
class ConceptMapAdditionalAttribute(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    uri: Optional[Uri] = None
    _uri: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None


@dataclass
class ConceptMapGroup(XFHIR):
    element: List[ConceptMapElement]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    source: Optional[Canonical] = None
    target: Optional[Canonical] = None
    unmapped: Optional[ConceptMapUnmapped] = None


@dataclass
class ConceptMapElement(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    valueSet: Optional[Canonical] = None
    noMap: Optional[Boolean] = None
    _noMap: Optional[Element] = None
    target: Optional[List[ConceptMapTarget]] = None


@dataclass
class ConceptMapTarget(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    valueSet: Optional[Canonical] = None
    relationship: Optional[Code] = None
    _relationship: Optional[Element] = None
    comment: Optional[String] = None
    _comment: Optional[Element] = None
    property: Optional[List[ConceptMapProperty1]] = None
    dependsOn: Optional[List[ConceptMapDependsOn]] = None
    product: Optional[List[ConceptMapDependsOn]] = None


@dataclass
class ConceptMapProperty1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    valueCoding: Optional[Coding] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None


@dataclass
class ConceptMapDependsOn(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    attribute: Optional[Code] = None
    _attribute: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueCoding: Optional[Coding] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueSet: Optional[Canonical] = None


@dataclass
class ConceptMapUnmapped(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    valueSet: Optional[Canonical] = None
    relationship: Optional[Code] = None
    _relationship: Optional[Element] = None
    otherMap: Optional[Canonical] = None


@dataclass
class Condition(XFHIR):
    clinicalStatus: CodeableConcept
    subject: Reference
    resourceType: str = 'Condition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    verificationStatus: Optional[CodeableConcept] = None
    category: Optional[List[CodeableConcept]] = None
    severity: Optional[CodeableConcept] = None
    code: Optional[CodeableConcept] = None
    bodySite: Optional[List[CodeableConcept]] = None
    bodyStructure: Optional[Reference] = None
    encounter: Optional[Reference] = None
    onsetDateTime: Optional[str] = None
    _onsetDateTime: Optional[Element] = None
    onsetAge: Optional[Age] = None
    onsetPeriod: Optional[Period] = None
    onsetRange: Optional[Range] = None
    onsetString: Optional[str] = None
    _onsetString: Optional[Element] = None
    abatementDateTime: Optional[str] = None
    _abatementDateTime: Optional[Element] = None
    abatementAge: Optional[Age] = None
    abatementPeriod: Optional[Period] = None
    abatementRange: Optional[Range] = None
    abatementString: Optional[str] = None
    _abatementString: Optional[Element] = None
    recordedDate: Optional[DateTime] = None
    _recordedDate: Optional[Element] = None
    participant: Optional[List[ConditionParticipant]] = None
    stage: Optional[List[ConditionStage]] = None
    evidence: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class ConditionParticipant(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class ConditionStage(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    summary: Optional[CodeableConcept] = None
    assessment: Optional[List[Reference]] = None
    type: Optional[CodeableConcept] = None


@dataclass
class ConditionDefinition(XFHIR):
    code: CodeableConcept
    resourceType: str = 'ConditionDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    subtitle: Optional[String] = None
    _subtitle: Optional[Element] = None
    severity: Optional[CodeableConcept] = None
    bodySite: Optional[CodeableConcept] = None
    stage: Optional[CodeableConcept] = None
    hasSeverity: Optional[Boolean] = None
    _hasSeverity: Optional[Element] = None
    hasBodySite: Optional[Boolean] = None
    _hasBodySite: Optional[Element] = None
    hasStage: Optional[Boolean] = None
    _hasStage: Optional[Element] = None
    definition: Optional[List[Uri]] = None
    _definition: Optional[List[Element]] = None
    observation: Optional[List[Canonical]] = None
    medication: Optional[List[ConditionDefinitionMedication]] = None
    precondition: Optional[List[ConditionDefinitionPrecondition]] = None
    team: Optional[List[Reference]] = None
    questionnaire: Optional[List[ConditionDefinitionQuestionnaire]] = None
    plan: Optional[List[ConditionDefinitionPlan]] = None


@dataclass
class ConditionDefinitionMedication(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    category: Optional[CodeableConcept] = None
    code: Optional[CodeableConcept] = None


@dataclass
class ConditionDefinitionPrecondition(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None


@dataclass
class ConditionDefinitionQuestionnaire(XFHIR):
    reference: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    purpose: Optional[Code] = None
    _purpose: Optional[Element] = None


@dataclass
class ConditionDefinitionPlan(XFHIR):
    reference: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    role: Optional[CodeableConcept] = None


@dataclass
class Consent(XFHIR):
    resourceType: str = 'Consent'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    subject: Optional[Reference] = None
    date: Optional[Date] = None
    _date: Optional[Element] = None
    period: Optional[Period] = None
    grantor: Optional[List[Reference]] = None
    grantee: Optional[List[Reference]] = None
    manager: Optional[List[Reference]] = None
    controller: Optional[List[Reference]] = None
    sourceAttachment: Optional[List[Attachment]] = None
    sourceReference: Optional[List[Reference]] = None
    regulatoryBasis: Optional[List[CodeableConcept]] = None
    policyBasis: Optional[ConsentPolicyBasis] = None
    policyText: Optional[List[Reference]] = None
    verification: Optional[List[ConsentVerification]] = None
    decision: Optional[Code] = None
    _decision: Optional[Element] = None
    provision: Optional[List[ConsentProvision]] = None


@dataclass
class ConsentPolicyBasis(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    reference: Optional[Reference] = None
    url: Optional[Url] = None
    _url: Optional[Element] = None


@dataclass
class ConsentVerification(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    verified: Optional[Boolean] = None
    _verified: Optional[Element] = None
    verificationType: Optional[CodeableConcept] = None
    verifiedBy: Optional[Reference] = None
    verifiedWith: Optional[Reference] = None
    verificationDate: Optional[List[DateTime]] = None
    _verificationDate: Optional[List[Element]] = None


@dataclass
class ConsentProvision(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    period: Optional[Period] = None
    actor: Optional[List[ConsentActor]] = None
    action: Optional[List[CodeableConcept]] = None
    securityLabel: Optional[List[Coding]] = None
    purpose: Optional[List[Coding]] = None
    documentType: Optional[List[Coding]] = None
    resourceType: Optional[List[Coding]] = None
    code: Optional[List[CodeableConcept]] = None
    dataPeriod: Optional[Period] = None
    data: Optional[List[ConsentData]] = None
    expression: Optional[Expression] = None
    provision: Optional[List[ConsentProvision]] = None


@dataclass
class ConsentActor(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    role: Optional[CodeableConcept] = None
    reference: Optional[Reference] = None


@dataclass
class ConsentData(XFHIR):
    reference: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    meaning: Optional[Code] = None
    _meaning: Optional[Element] = None


@dataclass
class Contract(XFHIR):
    resourceType: str = 'Contract'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    legalState: Optional[CodeableConcept] = None
    instantiatesCanonical: Optional[Reference] = None
    instantiatesUri: Optional[Uri] = None
    _instantiatesUri: Optional[Element] = None
    contentDerivative: Optional[CodeableConcept] = None
    issued: Optional[DateTime] = None
    _issued: Optional[Element] = None
    applies: Optional[Period] = None
    expirationType: Optional[CodeableConcept] = None
    subject: Optional[List[Reference]] = None
    authority: Optional[List[Reference]] = None
    domain: Optional[List[Reference]] = None
    site: Optional[List[Reference]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    subtitle: Optional[String] = None
    _subtitle: Optional[Element] = None
    alias: Optional[List[String]] = None
    _alias: Optional[List[Element]] = None
    author: Optional[Reference] = None
    scope: Optional[CodeableConcept] = None
    topicCodeableConcept: Optional[CodeableConcept] = None
    topicReference: Optional[Reference] = None
    type: Optional[CodeableConcept] = None
    subType: Optional[List[CodeableConcept]] = None
    contentDefinition: Optional[ContractContentDefinition] = None
    term: Optional[List[ContractTerm]] = None
    supportingInfo: Optional[List[Reference]] = None
    relevantHistory: Optional[List[Reference]] = None
    signer: Optional[List[ContractSigner]] = None
    friendly: Optional[List[ContractFriendly]] = None
    legal: Optional[List[ContractLegal]] = None
    rule: Optional[List[ContractRule]] = None
    legallyBindingAttachment: Optional[Attachment] = None
    legallyBindingReference: Optional[Reference] = None


@dataclass
class ContractContentDefinition(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subType: Optional[CodeableConcept] = None
    publisher: Optional[Reference] = None
    publicationDate: Optional[DateTime] = None
    _publicationDate: Optional[Element] = None
    publicationStatus: Optional[Code] = None
    _publicationStatus: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None


@dataclass
class ContractTerm(XFHIR):
    offer: ContractOffer
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Identifier] = None
    issued: Optional[DateTime] = None
    _issued: Optional[Element] = None
    applies: Optional[Period] = None
    topicCodeableConcept: Optional[CodeableConcept] = None
    topicReference: Optional[Reference] = None
    type: Optional[CodeableConcept] = None
    subType: Optional[CodeableConcept] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    securityLabel: Optional[List[ContractSecurityLabel]] = None
    asset: Optional[List[ContractAsset]] = None
    action: Optional[List[ContractAction]] = None
    group: Optional[List[ContractTerm]] = None


@dataclass
class ContractSecurityLabel(XFHIR):
    classification: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    number: Optional[List[UnsignedInt]] = None
    _number: Optional[List[Element]] = None
    category: Optional[List[Coding]] = None
    control: Optional[List[Coding]] = None


@dataclass
class ContractOffer(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    party: Optional[List[ContractParty]] = None
    topic: Optional[Reference] = None
    type: Optional[CodeableConcept] = None
    decision: Optional[CodeableConcept] = None
    decisionMode: Optional[List[CodeableConcept]] = None
    answer: Optional[List[ContractAnswer]] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    linkId: Optional[List[String]] = None
    _linkId: Optional[List[Element]] = None
    securityLabelNumber: Optional[List[UnsignedInt]] = None
    _securityLabelNumber: Optional[List[Element]] = None


@dataclass
class ContractParty(XFHIR):
    reference: List[Reference]
    role: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class ContractAnswer(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None
    valueCoding: Optional[Coding] = None
    valueQuantity: Optional[Quantity] = None
    valueReference: Optional[Reference] = None


@dataclass
class ContractAsset(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    scope: Optional[CodeableConcept] = None
    type: Optional[List[CodeableConcept]] = None
    typeReference: Optional[List[Reference]] = None
    subtype: Optional[List[CodeableConcept]] = None
    relationship: Optional[Coding] = None
    context: Optional[List[ContractContext]] = None
    condition: Optional[String] = None
    _condition: Optional[Element] = None
    periodType: Optional[List[CodeableConcept]] = None
    period: Optional[List[Period]] = None
    usePeriod: Optional[List[Period]] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    linkId: Optional[List[String]] = None
    _linkId: Optional[List[Element]] = None
    answer: Optional[List[ContractAnswer]] = None
    securityLabelNumber: Optional[List[UnsignedInt]] = None
    _securityLabelNumber: Optional[List[Element]] = None
    valuedItem: Optional[List[ContractValuedItem]] = None


@dataclass
class ContractContext(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    reference: Optional[Reference] = None
    code: Optional[List[CodeableConcept]] = None
    text: Optional[String] = None
    _text: Optional[Element] = None


@dataclass
class ContractValuedItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    entityCodeableConcept: Optional[CodeableConcept] = None
    entityReference: Optional[Reference] = None
    identifier: Optional[Identifier] = None
    effectiveTime: Optional[DateTime] = None
    _effectiveTime: Optional[Element] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    points: Optional[Decimal] = None
    _points: Optional[Element] = None
    net: Optional[Money] = None
    payment: Optional[String] = None
    _payment: Optional[Element] = None
    paymentDate: Optional[DateTime] = None
    _paymentDate: Optional[Element] = None
    responsible: Optional[Reference] = None
    recipient: Optional[Reference] = None
    linkId: Optional[List[String]] = None
    _linkId: Optional[List[Element]] = None
    securityLabelNumber: Optional[List[UnsignedInt]] = None
    _securityLabelNumber: Optional[List[Element]] = None


@dataclass
class ContractAction(XFHIR):
    type: CodeableConcept
    intent: CodeableConcept
    status: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    doNotPerform: Optional[Boolean] = None
    _doNotPerform: Optional[Element] = None
    subject: Optional[List[ContractSubject]] = None
    linkId: Optional[List[String]] = None
    _linkId: Optional[List[Element]] = None
    context: Optional[Reference] = None
    contextLinkId: Optional[List[String]] = None
    _contextLinkId: Optional[List[Element]] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    occurrenceTiming: Optional[Timing] = None
    requester: Optional[List[Reference]] = None
    requesterLinkId: Optional[List[String]] = None
    _requesterLinkId: Optional[List[Element]] = None
    performerType: Optional[List[CodeableConcept]] = None
    performerRole: Optional[CodeableConcept] = None
    performer: Optional[Reference] = None
    performerLinkId: Optional[List[String]] = None
    _performerLinkId: Optional[List[Element]] = None
    reason: Optional[List[CodeableReference]] = None
    reasonLinkId: Optional[List[String]] = None
    _reasonLinkId: Optional[List[Element]] = None
    note: Optional[List[Annotation]] = None
    securityLabelNumber: Optional[List[UnsignedInt]] = None
    _securityLabelNumber: Optional[List[Element]] = None


@dataclass
class ContractSubject(XFHIR):
    reference: List[Reference]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    role: Optional[CodeableConcept] = None


@dataclass
class ContractSigner(XFHIR):
    type: Coding
    party: Reference
    signature: List[Signature]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class ContractFriendly(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    contentAttachment: Optional[Attachment] = None
    contentReference: Optional[Reference] = None


@dataclass
class ContractLegal(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    contentAttachment: Optional[Attachment] = None
    contentReference: Optional[Reference] = None


@dataclass
class ContractRule(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    contentAttachment: Optional[Attachment] = None
    contentReference: Optional[Reference] = None


@dataclass
class Coverage(XFHIR):
    beneficiary: Reference
    resourceType: str = 'Coverage'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    paymentBy: Optional[List[CoveragePaymentBy]] = None
    type: Optional[CodeableConcept] = None
    policyHolder: Optional[Reference] = None
    subscriber: Optional[Reference] = None
    subscriberId: Optional[List[Identifier]] = None
    dependent: Optional[String] = None
    _dependent: Optional[Element] = None
    relationship: Optional[CodeableConcept] = None
    period: Optional[Period] = None
    insurer: Optional[Reference] = None
    class_: Optional[List[CoverageClass]] = None
    order: Optional[PositiveInt] = None
    _order: Optional[Element] = None
    network: Optional[String] = None
    _network: Optional[Element] = None
    costToBeneficiary: Optional[List[CoverageCostToBeneficiary]] = None
    subrogation: Optional[Boolean] = None
    _subrogation: Optional[Element] = None
    contract: Optional[List[Reference]] = None
    insurancePlan: Optional[Reference] = None


@dataclass
class CoveragePaymentBy(XFHIR):
    party: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    responsibility: Optional[String] = None
    _responsibility: Optional[Element] = None


@dataclass
class CoverageClass(XFHIR):
    type: CodeableConcept
    value: Identifier
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None


@dataclass
class CoverageCostToBeneficiary(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    network: Optional[CodeableConcept] = None
    unit: Optional[CodeableConcept] = None
    term: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueMoney: Optional[Money] = None
    exception: Optional[List[CoverageException]] = None


@dataclass
class CoverageException(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    period: Optional[Period] = None


@dataclass
class CoverageEligibilityRequest(XFHIR):
    patient: Reference
    insurer: Reference
    resourceType: str = 'CoverageEligibilityRequest'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    priority: Optional[CodeableConcept] = None
    purpose: Optional[List[Code]] = None
    _purpose: Optional[List[Element]] = None
    event: Optional[List[CoverageEligibilityRequestEvent]] = None
    servicedDate: Optional[str] = None
    _servicedDate: Optional[Element] = None
    servicedPeriod: Optional[Period] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    enterer: Optional[Reference] = None
    provider: Optional[Reference] = None
    facility: Optional[Reference] = None
    supportingInfo: Optional[List[CoverageEligibilityRequestSupportingInfo]] = None
    insurance: Optional[List[CoverageEligibilityRequestInsurance]] = None
    item: Optional[List[CoverageEligibilityRequestItem]] = None


@dataclass
class CoverageEligibilityRequestEvent(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    whenDateTime: Optional[str] = None
    _whenDateTime: Optional[Element] = None
    whenPeriod: Optional[Period] = None


@dataclass
class CoverageEligibilityRequestSupportingInfo(XFHIR):
    information: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    appliesToAll: Optional[Boolean] = None
    _appliesToAll: Optional[Element] = None


@dataclass
class CoverageEligibilityRequestInsurance(XFHIR):
    coverage: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    focal: Optional[Boolean] = None
    _focal: Optional[Element] = None
    businessArrangement: Optional[String] = None
    _businessArrangement: Optional[Element] = None


@dataclass
class CoverageEligibilityRequestItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    supportingInfoSequence: Optional[List[PositiveInt]] = None
    _supportingInfoSequence: Optional[List[Element]] = None
    category: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    provider: Optional[Reference] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    facility: Optional[Reference] = None
    diagnosis: Optional[List[CoverageEligibilityRequestDiagnosis]] = None
    detail: Optional[List[Reference]] = None


@dataclass
class CoverageEligibilityRequestDiagnosis(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    diagnosisCodeableConcept: Optional[CodeableConcept] = None
    diagnosisReference: Optional[Reference] = None


@dataclass
class CoverageEligibilityResponse(XFHIR):
    patient: Reference
    request: Reference
    insurer: Reference
    resourceType: str = 'CoverageEligibilityResponse'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    purpose: Optional[List[Code]] = None
    _purpose: Optional[List[Element]] = None
    event: Optional[List[CoverageEligibilityResponseEvent]] = None
    servicedDate: Optional[str] = None
    _servicedDate: Optional[Element] = None
    servicedPeriod: Optional[Period] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    requestor: Optional[Reference] = None
    outcome: Optional[Code] = None
    _outcome: Optional[Element] = None
    disposition: Optional[String] = None
    _disposition: Optional[Element] = None
    insurance: Optional[List[CoverageEligibilityResponseInsurance]] = None
    preAuthRef: Optional[String] = None
    _preAuthRef: Optional[Element] = None
    form: Optional[CodeableConcept] = None
    error: Optional[List[CoverageEligibilityResponseError]] = None


@dataclass
class CoverageEligibilityResponseEvent(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    whenDateTime: Optional[str] = None
    _whenDateTime: Optional[Element] = None
    whenPeriod: Optional[Period] = None


@dataclass
class CoverageEligibilityResponseInsurance(XFHIR):
    coverage: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    inforce: Optional[Boolean] = None
    _inforce: Optional[Element] = None
    benefitPeriod: Optional[Period] = None
    item: Optional[List[CoverageEligibilityResponseItem]] = None


@dataclass
class CoverageEligibilityResponseItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    category: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    provider: Optional[Reference] = None
    excluded: Optional[Boolean] = None
    _excluded: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    network: Optional[CodeableConcept] = None
    unit: Optional[CodeableConcept] = None
    term: Optional[CodeableConcept] = None
    benefit: Optional[List[CoverageEligibilityResponseBenefit]] = None
    authorizationRequired: Optional[Boolean] = None
    _authorizationRequired: Optional[Element] = None
    authorizationSupporting: Optional[List[CodeableConcept]] = None
    authorizationUrl: Optional[Uri] = None
    _authorizationUrl: Optional[Element] = None


@dataclass
class CoverageEligibilityResponseBenefit(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    allowedUnsignedInt: Optional[float] = None
    _allowedUnsignedInt: Optional[Element] = None
    allowedString: Optional[str] = None
    _allowedString: Optional[Element] = None
    allowedMoney: Optional[Money] = None
    usedUnsignedInt: Optional[float] = None
    _usedUnsignedInt: Optional[Element] = None
    usedString: Optional[str] = None
    _usedString: Optional[Element] = None
    usedMoney: Optional[Money] = None


@dataclass
class CoverageEligibilityResponseError(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    expression: Optional[List[String]] = None
    _expression: Optional[List[Element]] = None


@dataclass
class DetectedIssue(XFHIR):
    resourceType: str = 'DetectedIssue'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    code: Optional[CodeableConcept] = None
    severity: Optional[Code] = None
    _severity: Optional[Element] = None
    subject: Optional[Reference] = None
    encounter: Optional[Reference] = None
    identifiedDateTime: Optional[str] = None
    _identifiedDateTime: Optional[Element] = None
    identifiedPeriod: Optional[Period] = None
    author: Optional[Reference] = None
    implicated: Optional[List[Reference]] = None
    evidence: Optional[List[DetectedIssueEvidence]] = None
    detail: Optional[Markdown] = None
    _detail: Optional[Element] = None
    reference: Optional[Uri] = None
    _reference: Optional[Element] = None
    mitigation: Optional[List[DetectedIssueMitigation]] = None


@dataclass
class DetectedIssueEvidence(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[List[CodeableConcept]] = None
    detail: Optional[List[Reference]] = None


@dataclass
class DetectedIssueMitigation(XFHIR):
    action: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    author: Optional[Reference] = None
    note: Optional[List[Annotation]] = None


@dataclass
class Device(XFHIR):
    resourceType: str = 'Device'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    displayName: Optional[String] = None
    _displayName: Optional[Element] = None
    definition: Optional[CodeableReference] = None
    udiCarrier: Optional[List[DeviceUdiCarrier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    availabilityStatus: Optional[CodeableConcept] = None
    biologicalSourceEvent: Optional[Identifier] = None
    manufacturer: Optional[String] = None
    _manufacturer: Optional[Element] = None
    manufactureDate: Optional[DateTime] = None
    _manufactureDate: Optional[Element] = None
    expirationDate: Optional[DateTime] = None
    _expirationDate: Optional[Element] = None
    lotNumber: Optional[String] = None
    _lotNumber: Optional[Element] = None
    serialNumber: Optional[String] = None
    _serialNumber: Optional[Element] = None
    name: Optional[List[DeviceName]] = None
    modelNumber: Optional[String] = None
    _modelNumber: Optional[Element] = None
    partNumber: Optional[String] = None
    _partNumber: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    type: Optional[List[CodeableConcept]] = None
    version: Optional[List[DeviceVersion]] = None
    conformsTo: Optional[List[DeviceConformsTo]] = None
    property: Optional[List[DeviceProperty]] = None
    mode: Optional[CodeableConcept] = None
    cycle: Optional[Count] = None
    duration: Optional[Duration] = None
    owner: Optional[Reference] = None
    contact: Optional[List[ContactPoint]] = None
    location: Optional[Reference] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    endpoint: Optional[List[Reference]] = None
    gateway: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None
    safety: Optional[List[CodeableConcept]] = None
    parent: Optional[Reference] = None


@dataclass
class DeviceUdiCarrier(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    deviceIdentifier: Optional[String] = None
    _deviceIdentifier: Optional[Element] = None
    issuer: Optional[Uri] = None
    _issuer: Optional[Element] = None
    jurisdiction: Optional[Uri] = None
    _jurisdiction: Optional[Element] = None
    carrierAIDC: Optional[Base64Binary] = None
    _carrierAIDC: Optional[Element] = None
    carrierHRF: Optional[String] = None
    _carrierHRF: Optional[Element] = None
    entryType: Optional[Code] = None
    _entryType: Optional[Element] = None


@dataclass
class DeviceName(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    value: Optional[String] = None
    _value: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    display: Optional[Boolean] = None
    _display: Optional[Element] = None


@dataclass
class DeviceVersion(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    component: Optional[Identifier] = None
    installDate: Optional[DateTime] = None
    _installDate: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class DeviceConformsTo(XFHIR):
    specification: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    category: Optional[CodeableConcept] = None
    version: Optional[String] = None
    _version: Optional[Element] = None


@dataclass
class DeviceProperty(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueQuantity: Optional[Quantity] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueRange: Optional[Range] = None
    valueAttachment: Optional[Attachment] = None


@dataclass
class DeviceAssociation(XFHIR):
    device: Reference
    status: CodeableConcept
    resourceType: str = 'DeviceAssociation'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    category: Optional[List[CodeableConcept]] = None
    statusReason: Optional[List[CodeableConcept]] = None
    subject: Optional[Reference] = None
    bodyStructure: Optional[Reference] = None
    period: Optional[Period] = None
    operation: Optional[List[DeviceAssociationOperation]] = None


@dataclass
class DeviceAssociationOperation(XFHIR):
    status: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    operator: Optional[List[Reference]] = None
    period: Optional[Period] = None


@dataclass
class DeviceDefinition(XFHIR):
    resourceType: str = 'DeviceDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    udiDeviceIdentifier: Optional[List[DeviceDefinitionUdiDeviceIdentifier]] = None
    regulatoryIdentifier: Optional[List[DeviceDefinitionRegulatoryIdentifier]] = None
    partNumber: Optional[String] = None
    _partNumber: Optional[Element] = None
    manufacturer: Optional[Reference] = None
    deviceName: Optional[List[DeviceDefinitionDeviceName]] = None
    modelNumber: Optional[String] = None
    _modelNumber: Optional[Element] = None
    classification: Optional[List[DeviceDefinitionClassification]] = None
    conformsTo: Optional[List[DeviceDefinitionConformsTo]] = None
    hasPart: Optional[List[DeviceDefinitionHasPart]] = None
    packaging: Optional[List[DeviceDefinitionPackaging]] = None
    version: Optional[List[DeviceDefinitionVersion]] = None
    safety: Optional[List[CodeableConcept]] = None
    shelfLifeStorage: Optional[List[ProductShelfLife]] = None
    languageCode: Optional[List[CodeableConcept]] = None
    property: Optional[List[DeviceDefinitionProperty]] = None
    owner: Optional[Reference] = None
    contact: Optional[List[ContactPoint]] = None
    link: Optional[List[DeviceDefinitionLink]] = None
    note: Optional[List[Annotation]] = None
    material: Optional[List[DeviceDefinitionMaterial]] = None
    productionIdentifierInUDI: Optional[List[Code]] = None
    _productionIdentifierInUDI: Optional[List[Element]] = None
    guideline: Optional[DeviceDefinitionGuideline] = None
    correctiveAction: Optional[DeviceDefinitionCorrectiveAction] = None
    chargeItem: Optional[List[DeviceDefinitionChargeItem]] = None


@dataclass
class DeviceDefinitionUdiDeviceIdentifier(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    deviceIdentifier: Optional[String] = None
    _deviceIdentifier: Optional[Element] = None
    issuer: Optional[Uri] = None
    _issuer: Optional[Element] = None
    jurisdiction: Optional[Uri] = None
    _jurisdiction: Optional[Element] = None
    marketDistribution: Optional[List[DeviceDefinitionMarketDistribution]] = None


@dataclass
class DeviceDefinitionMarketDistribution(XFHIR):
    marketPeriod: Period
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subJurisdiction: Optional[Uri] = None
    _subJurisdiction: Optional[Element] = None


@dataclass
class DeviceDefinitionRegulatoryIdentifier(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    deviceIdentifier: Optional[String] = None
    _deviceIdentifier: Optional[Element] = None
    issuer: Optional[Uri] = None
    _issuer: Optional[Element] = None
    jurisdiction: Optional[Uri] = None
    _jurisdiction: Optional[Element] = None


@dataclass
class DeviceDefinitionDeviceName(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None


@dataclass
class DeviceDefinitionClassification(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    justification: Optional[List[RelatedArtifact]] = None


@dataclass
class DeviceDefinitionConformsTo(XFHIR):
    specification: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    category: Optional[CodeableConcept] = None
    version: Optional[List[String]] = None
    _version: Optional[List[Element]] = None
    source: Optional[List[RelatedArtifact]] = None


@dataclass
class DeviceDefinitionHasPart(XFHIR):
    reference: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    count: Optional[Integer] = None
    _count: Optional[Element] = None


@dataclass
class DeviceDefinitionPackaging(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Identifier] = None
    type: Optional[CodeableConcept] = None
    count: Optional[Integer] = None
    _count: Optional[Element] = None
    distributor: Optional[List[DeviceDefinitionDistributor]] = None
    udiDeviceIdentifier: Optional[List[DeviceDefinitionUdiDeviceIdentifier]] = None
    packaging: Optional[List[DeviceDefinitionPackaging]] = None


@dataclass
class DeviceDefinitionDistributor(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    organizationReference: Optional[List[Reference]] = None


@dataclass
class DeviceDefinitionVersion(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    component: Optional[Identifier] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class DeviceDefinitionProperty(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueQuantity: Optional[Quantity] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueRange: Optional[Range] = None
    valueAttachment: Optional[Attachment] = None


@dataclass
class DeviceDefinitionLink(XFHIR):
    relation: Coding
    relatedDevice: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class DeviceDefinitionMaterial(XFHIR):
    substance: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    alternate: Optional[Boolean] = None
    _alternate: Optional[Element] = None
    allergenicIndicator: Optional[Boolean] = None
    _allergenicIndicator: Optional[Element] = None


@dataclass
class DeviceDefinitionGuideline(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    useContext: Optional[List[UsageContext]] = None
    usageInstruction: Optional[Markdown] = None
    _usageInstruction: Optional[Element] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    indication: Optional[List[CodeableConcept]] = None
    contraindication: Optional[List[CodeableConcept]] = None
    warning: Optional[List[CodeableConcept]] = None
    intendedUse: Optional[String] = None
    _intendedUse: Optional[Element] = None


@dataclass
class DeviceDefinitionCorrectiveAction(XFHIR):
    period: Period
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    recall: Optional[Boolean] = None
    _recall: Optional[Element] = None
    scope: Optional[Code] = None
    _scope: Optional[Element] = None


@dataclass
class DeviceDefinitionChargeItem(XFHIR):
    chargeItemCode: CodeableReference
    count: Quantity
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    effectivePeriod: Optional[Period] = None
    useContext: Optional[List[UsageContext]] = None


@dataclass
class DeviceDispense(XFHIR):
    device: CodeableReference
    subject: Reference
    resourceType: str = 'DeviceDispense'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableReference] = None
    category: Optional[List[CodeableConcept]] = None
    receiver: Optional[Reference] = None
    encounter: Optional[Reference] = None
    supportingInformation: Optional[List[Reference]] = None
    performer: Optional[List[DeviceDispensePerformer]] = None
    location: Optional[Reference] = None
    type: Optional[CodeableConcept] = None
    quantity: Optional[Quantity] = None
    preparedDate: Optional[DateTime] = None
    _preparedDate: Optional[Element] = None
    whenHandedOver: Optional[DateTime] = None
    _whenHandedOver: Optional[Element] = None
    destination: Optional[Reference] = None
    note: Optional[List[Annotation]] = None
    usageInstruction: Optional[Markdown] = None
    _usageInstruction: Optional[Element] = None
    eventHistory: Optional[List[Reference]] = None


@dataclass
class DeviceDispensePerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class DeviceMetric(XFHIR):
    type: CodeableConcept
    device: Reference
    resourceType: str = 'DeviceMetric'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    unit: Optional[CodeableConcept] = None
    operationalStatus: Optional[Code] = None
    _operationalStatus: Optional[Element] = None
    color: Optional[Code] = None
    _color: Optional[Element] = None
    category: Optional[Code] = None
    _category: Optional[Element] = None
    measurementFrequency: Optional[Quantity] = None
    calibration: Optional[List[DeviceMetricCalibration]] = None


@dataclass
class DeviceMetricCalibration(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    state: Optional[Code] = None
    _state: Optional[Element] = None
    time: Optional[Instant] = None
    _time: Optional[Element] = None


@dataclass
class DeviceRequest(XFHIR):
    code: CodeableReference
    subject: Reference
    resourceType: str = 'DeviceRequest'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    basedOn: Optional[List[Reference]] = None
    replaces: Optional[List[Reference]] = None
    groupIdentifier: Optional[Identifier] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    doNotPerform: Optional[Boolean] = None
    _doNotPerform: Optional[Element] = None
    quantity: Optional[Integer] = None
    _quantity: Optional[Element] = None
    parameter: Optional[List[DeviceRequestParameter]] = None
    encounter: Optional[Reference] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    occurrenceTiming: Optional[Timing] = None
    authoredOn: Optional[DateTime] = None
    _authoredOn: Optional[Element] = None
    requester: Optional[Reference] = None
    performer: Optional[CodeableReference] = None
    reason: Optional[List[CodeableReference]] = None
    asNeeded: Optional[Boolean] = None
    _asNeeded: Optional[Element] = None
    asNeededFor: Optional[CodeableConcept] = None
    insurance: Optional[List[Reference]] = None
    supportingInfo: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    relevantHistory: Optional[List[Reference]] = None


@dataclass
class DeviceRequestParameter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[CodeableConcept] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None


@dataclass
class DeviceUsage(XFHIR):
    patient: Reference
    device: CodeableReference
    resourceType: str = 'DeviceUsage'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    derivedFrom: Optional[List[Reference]] = None
    context: Optional[Reference] = None
    timingTiming: Optional[Timing] = None
    timingPeriod: Optional[Period] = None
    timingDateTime: Optional[str] = None
    _timingDateTime: Optional[Element] = None
    dateAsserted: Optional[DateTime] = None
    _dateAsserted: Optional[Element] = None
    usageStatus: Optional[CodeableConcept] = None
    usageReason: Optional[List[CodeableConcept]] = None
    adherence: Optional[DeviceUsageAdherence] = None
    informationSource: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    bodySite: Optional[CodeableReference] = None
    note: Optional[List[Annotation]] = None


@dataclass
class DeviceUsageAdherence(XFHIR):
    code: CodeableConcept
    reason: List[CodeableConcept]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class DiagnosticReport(XFHIR):
    code: CodeableConcept
    resourceType: str = 'DiagnosticReport'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    subject: Optional[Reference] = None
    encounter: Optional[Reference] = None
    effectiveDateTime: Optional[str] = None
    _effectiveDateTime: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    issued: Optional[Instant] = None
    _issued: Optional[Element] = None
    performer: Optional[List[Reference]] = None
    resultsInterpreter: Optional[List[Reference]] = None
    specimen: Optional[List[Reference]] = None
    result: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    study: Optional[List[Reference]] = None
    supportingInfo: Optional[List[DiagnosticReportSupportingInfo]] = None
    media: Optional[List[DiagnosticReportMedia]] = None
    composition: Optional[Reference] = None
    conclusion: Optional[Markdown] = None
    _conclusion: Optional[Element] = None
    conclusionCode: Optional[List[CodeableConcept]] = None
    presentedForm: Optional[List[Attachment]] = None


@dataclass
class DiagnosticReportSupportingInfo(XFHIR):
    type: CodeableConcept
    reference: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class DiagnosticReportMedia(XFHIR):
    link: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    comment: Optional[String] = None
    _comment: Optional[Element] = None


@dataclass
class DocumentReference(XFHIR):
    content: List[DocumentReferenceContent]
    resourceType: str = 'DocumentReference'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    basedOn: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    docStatus: Optional[Code] = None
    _docStatus: Optional[Element] = None
    modality: Optional[List[CodeableConcept]] = None
    type: Optional[CodeableConcept] = None
    category: Optional[List[CodeableConcept]] = None
    subject: Optional[Reference] = None
    context: Optional[List[Reference]] = None
    event: Optional[List[CodeableReference]] = None
    bodySite: Optional[List[CodeableReference]] = None
    facilityType: Optional[CodeableConcept] = None
    practiceSetting: Optional[CodeableConcept] = None
    period: Optional[Period] = None
    date: Optional[Instant] = None
    _date: Optional[Element] = None
    author: Optional[List[Reference]] = None
    attester: Optional[List[DocumentReferenceAttester]] = None
    custodian: Optional[Reference] = None
    relatesTo: Optional[List[DocumentReferenceRelatesTo]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    securityLabel: Optional[List[CodeableConcept]] = None


@dataclass
class DocumentReferenceAttester(XFHIR):
    mode: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    time: Optional[DateTime] = None
    _time: Optional[Element] = None
    party: Optional[Reference] = None


@dataclass
class DocumentReferenceRelatesTo(XFHIR):
    code: CodeableConcept
    target: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class DocumentReferenceContent(XFHIR):
    attachment: Attachment
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    profile: Optional[List[DocumentReferenceProfile]] = None


@dataclass
class DocumentReferenceProfile(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCoding: Optional[Coding] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueCanonical: Optional[str] = None
    _valueCanonical: Optional[Element] = None


@dataclass
class Encounter(XFHIR):
    resourceType: str = 'Encounter'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    class_: Optional[List[CodeableConcept]] = None
    priority: Optional[CodeableConcept] = None
    type: Optional[List[CodeableConcept]] = None
    serviceType: Optional[List[CodeableReference]] = None
    subject: Optional[Reference] = None
    subjectStatus: Optional[CodeableConcept] = None
    episodeOfCare: Optional[List[Reference]] = None
    basedOn: Optional[List[Reference]] = None
    careTeam: Optional[List[Reference]] = None
    partOf: Optional[Reference] = None
    serviceProvider: Optional[Reference] = None
    participant: Optional[List[EncounterParticipant]] = None
    appointment: Optional[List[Reference]] = None
    virtualService: Optional[List[VirtualServiceDetail]] = None
    actualPeriod: Optional[Period] = None
    plannedStartDate: Optional[DateTime] = None
    _plannedStartDate: Optional[Element] = None
    plannedEndDate: Optional[DateTime] = None
    _plannedEndDate: Optional[Element] = None
    length: Optional[Duration] = None
    reason: Optional[List[EncounterReason]] = None
    diagnosis: Optional[List[EncounterDiagnosis]] = None
    account: Optional[List[Reference]] = None
    dietPreference: Optional[List[CodeableConcept]] = None
    specialArrangement: Optional[List[CodeableConcept]] = None
    specialCourtesy: Optional[List[CodeableConcept]] = None
    admission: Optional[EncounterAdmission] = None
    location: Optional[List[EncounterLocation]] = None


@dataclass
class EncounterParticipant(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[List[CodeableConcept]] = None
    period: Optional[Period] = None
    actor: Optional[Reference] = None


@dataclass
class EncounterReason(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    use: Optional[List[CodeableConcept]] = None
    value: Optional[List[CodeableReference]] = None


@dataclass
class EncounterDiagnosis(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    condition: Optional[List[CodeableReference]] = None
    use: Optional[List[CodeableConcept]] = None


@dataclass
class EncounterAdmission(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    preAdmissionIdentifier: Optional[Identifier] = None
    origin: Optional[Reference] = None
    admitSource: Optional[CodeableConcept] = None
    reAdmission: Optional[CodeableConcept] = None
    destination: Optional[Reference] = None
    dischargeDisposition: Optional[CodeableConcept] = None


@dataclass
class EncounterLocation(XFHIR):
    location: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    form: Optional[CodeableConcept] = None
    period: Optional[Period] = None


@dataclass
class EncounterHistory(XFHIR):
    class_: CodeableConcept
    resourceType: str = 'EncounterHistory'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    encounter: Optional[Reference] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    serviceType: Optional[List[CodeableReference]] = None
    subject: Optional[Reference] = None
    subjectStatus: Optional[CodeableConcept] = None
    actualPeriod: Optional[Period] = None
    plannedStartDate: Optional[DateTime] = None
    _plannedStartDate: Optional[Element] = None
    plannedEndDate: Optional[DateTime] = None
    _plannedEndDate: Optional[Element] = None
    length: Optional[Duration] = None
    location: Optional[List[EncounterHistoryLocation]] = None


@dataclass
class EncounterHistoryLocation(XFHIR):
    location: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    form: Optional[CodeableConcept] = None


@dataclass
class Endpoint(XFHIR):
    connectionType: List[CodeableConcept]
    resourceType: str = 'Endpoint'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    environmentType: Optional[List[CodeableConcept]] = None
    managingOrganization: Optional[Reference] = None
    contact: Optional[List[ContactPoint]] = None
    period: Optional[Period] = None
    availability: Optional[Availability] = None
    payload: Optional[List[EndpointPayload]] = None
    address: Optional[Url] = None
    _address: Optional[Element] = None
    header: Optional[List[String]] = None
    _header: Optional[List[Element]] = None


@dataclass
class EndpointPayload(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[List[CodeableConcept]] = None
    mimeType: Optional[List[Code]] = None
    _mimeType: Optional[List[Element]] = None


@dataclass
class EnrollmentRequest(XFHIR):
    resourceType: str = 'EnrollmentRequest'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    insurer: Optional[Reference] = None
    provider: Optional[Reference] = None
    candidate: Optional[Reference] = None
    coverage: Optional[Reference] = None


@dataclass
class EnrollmentResponse(XFHIR):
    resourceType: str = 'EnrollmentResponse'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    request: Optional[Reference] = None
    outcome: Optional[Code] = None
    _outcome: Optional[Element] = None
    disposition: Optional[String] = None
    _disposition: Optional[Element] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    organization: Optional[Reference] = None
    requestProvider: Optional[Reference] = None


@dataclass
class EpisodeOfCare(XFHIR):
    patient: Reference
    resourceType: str = 'EpisodeOfCare'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusHistory: Optional[List[EpisodeOfCareStatusHistory]] = None
    type: Optional[List[CodeableConcept]] = None
    reason: Optional[List[EpisodeOfCareReason]] = None
    diagnosis: Optional[List[EpisodeOfCareDiagnosis]] = None
    managingOrganization: Optional[Reference] = None
    period: Optional[Period] = None
    referralRequest: Optional[List[Reference]] = None
    careManager: Optional[Reference] = None
    careTeam: Optional[List[Reference]] = None
    account: Optional[List[Reference]] = None


@dataclass
class EpisodeOfCareStatusHistory(XFHIR):
    period: Period
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None


@dataclass
class EpisodeOfCareReason(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    use: Optional[CodeableConcept] = None
    value: Optional[List[CodeableReference]] = None


@dataclass
class EpisodeOfCareDiagnosis(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    condition: Optional[List[CodeableReference]] = None
    use: Optional[CodeableConcept] = None


@dataclass
class EventDefinition(XFHIR):
    trigger: List[TriggerDefinition]
    resourceType: str = 'EventDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    subtitle: Optional[String] = None
    _subtitle: Optional[Element] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    usage: Optional[Markdown] = None
    _usage: Optional[Element] = None


@dataclass
class Evidence(XFHIR):
    variableDefinition: List[EvidenceVariableDefinition]
    resourceType: str = 'Evidence'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    citeAsReference: Optional[Reference] = None
    citeAsMarkdown: Optional[str] = None
    _citeAsMarkdown: Optional[Element] = None
    assertion: Optional[Markdown] = None
    _assertion: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    synthesisType: Optional[CodeableConcept] = None
    studyDesign: Optional[List[CodeableConcept]] = None
    statistic: Optional[List[EvidenceStatistic]] = None
    certainty: Optional[List[EvidenceCertainty]] = None


@dataclass
class EvidenceVariableDefinition(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    variableRole: Optional[Code] = None
    _variableRole: Optional[Element] = None
    roleSubtype: Optional[CodeableConcept] = None
    comparatorCategory: Optional[String] = None
    _comparatorCategory: Optional[Element] = None
    observed: Optional[Reference] = None
    intended: Optional[Reference] = None
    directnessMatch: Optional[CodeableConcept] = None


@dataclass
class EvidenceStatistic(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    statisticType: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    quantity: Optional[Quantity] = None
    numberOfEvents: Optional[UnsignedInt] = None
    _numberOfEvents: Optional[Element] = None
    numberAffected: Optional[UnsignedInt] = None
    _numberAffected: Optional[Element] = None
    sampleSize: Optional[EvidenceSampleSize] = None
    attributeEstimate: Optional[List[EvidenceAttributeEstimate]] = None
    modelCharacteristic: Optional[List[EvidenceModelCharacteristic]] = None


@dataclass
class EvidenceSampleSize(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    numberOfStudies: Optional[UnsignedInt] = None
    _numberOfStudies: Optional[Element] = None
    numberOfParticipants: Optional[UnsignedInt] = None
    _numberOfParticipants: Optional[Element] = None
    knownDataCount: Optional[UnsignedInt] = None
    _knownDataCount: Optional[Element] = None


@dataclass
class EvidenceAttributeEstimate(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    type: Optional[CodeableConcept] = None
    quantity: Optional[Quantity] = None
    level: Optional[Decimal] = None
    _level: Optional[Element] = None
    range: Optional[Range] = None
    attributeEstimate: Optional[List[EvidenceAttributeEstimate]] = None


@dataclass
class EvidenceModelCharacteristic(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    conditionCodeableConcept: Optional[CodeableConcept] = None
    conditionExpression: Optional[Expression] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    intended: Optional[Boolean] = None
    _intended: Optional[Element] = None
    applied: Optional[Boolean] = None
    _applied: Optional[Element] = None
    variable: Optional[List[EvidenceVariable]] = None
    attributeEstimate: Optional[List[EvidenceAttributeEstimate]] = None
    modelCharacteristic: Optional[List[EvidenceModelCharacteristic]] = None


@dataclass
class EvidenceVariable(XFHIR):
    variableDefinition: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    handling: Optional[Code] = None
    _handling: Optional[Element] = None
    valueCategory: Optional[List[CodeableConcept]] = None
    valueQuantity: Optional[List[Quantity]] = None
    valueRange: Optional[List[Range]] = None


@dataclass
class EvidenceCertainty(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    type: Optional[CodeableConcept] = None
    rating: Optional[CodeableConcept] = None
    rater: Optional[String] = None
    _rater: Optional[Element] = None
    subcomponent: Optional[List[EvidenceCertainty]] = None


@dataclass
class EvidenceReport(XFHIR):
    subject: EvidenceReportSubject
    resourceType: str = 'EvidenceReport'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    relatedIdentifier: Optional[List[Identifier]] = None
    citeAsReference: Optional[Reference] = None
    citeAsMarkdown: Optional[str] = None
    _citeAsMarkdown: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    note: Optional[List[Annotation]] = None
    relatesTo: Optional[List[EvidenceReportRelatesTo]] = None
    section: Optional[List[EvidenceReportSection]] = None


@dataclass
class EvidenceReportSubject(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    characteristic: Optional[List[EvidenceReportCharacteristic]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class EvidenceReportCharacteristic(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueReference: Optional[Reference] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    exclude: Optional[Boolean] = None
    _exclude: Optional[Element] = None
    period: Optional[Period] = None


@dataclass
class EvidenceReportRelatesTo(XFHIR):
    target: EvidenceReportTarget
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None


@dataclass
class EvidenceReportTarget(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[Identifier] = None
    display: Optional[Markdown] = None
    _display: Optional[Element] = None
    resource: Optional[Reference] = None


@dataclass
class EvidenceReportSection(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    focus: Optional[CodeableConcept] = None
    focusReference: Optional[Reference] = None
    author: Optional[List[Reference]] = None
    text: Optional[Narrative] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    orderedBy: Optional[CodeableConcept] = None
    entryClassifier: Optional[List[CodeableConcept]] = None
    entryReference: Optional[List[Reference]] = None
    entryQuantity: Optional[List[Quantity]] = None
    emptyReason: Optional[CodeableConcept] = None
    section: Optional[List[EvidenceReportSection]] = None


@dataclass
class EvidenceVariableModel(XFHIR):
    resourceType: str = 'EvidenceVariable'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    shortTitle: Optional[String] = None
    _shortTitle: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    actual: Optional[Boolean] = None
    _actual: Optional[Element] = None
    definition: Optional[CodeableReference] = None
    handling: Optional[Code] = None
    _handling: Optional[Element] = None
    category: Optional[List[EvidenceVariableCategory]] = None


@dataclass
class EvidenceVariableCategory(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueReference: Optional[Reference] = None


@dataclass
class ExampleScenario(XFHIR):
    resourceType: str = 'ExampleScenario'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    actor: Optional[List[ExampleScenarioActor]] = None
    instance: Optional[List[ExampleScenarioInstance]] = None
    process: Optional[List[ExampleScenarioProcess]] = None


@dataclass
class ExampleScenarioActor(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    key: Optional[String] = None
    _key: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None


@dataclass
class ExampleScenarioInstance(XFHIR):
    structureType: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    key: Optional[String] = None
    _key: Optional[Element] = None
    structureVersion: Optional[String] = None
    _structureVersion: Optional[Element] = None
    structureProfileCanonical: Optional[str] = None
    _structureProfileCanonical: Optional[Element] = None
    structureProfileUri: Optional[str] = None
    _structureProfileUri: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    content: Optional[Reference] = None
    version: Optional[List[ExampleScenarioVersion]] = None
    containedInstance: Optional[List[ExampleScenarioContainedInstance]] = None


@dataclass
class ExampleScenarioVersion(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    key: Optional[String] = None
    _key: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    content: Optional[Reference] = None


@dataclass
class ExampleScenarioContainedInstance(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    instanceReference: Optional[String] = None
    _instanceReference: Optional[Element] = None
    versionReference: Optional[String] = None
    _versionReference: Optional[Element] = None


@dataclass
class ExampleScenarioProcess(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    preConditions: Optional[Markdown] = None
    _preConditions: Optional[Element] = None
    postConditions: Optional[Markdown] = None
    _postConditions: Optional[Element] = None
    step: Optional[List[ExampleScenarioStep]] = None


@dataclass
class ExampleScenarioStep(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    number: Optional[String] = None
    _number: Optional[Element] = None
    process: Optional[ExampleScenarioProcess] = None
    workflow: Optional[Canonical] = None
    operation: Optional[ExampleScenarioOperation] = None
    alternative: Optional[List[ExampleScenarioAlternative]] = None
    pause: Optional[Boolean] = None
    _pause: Optional[Element] = None


@dataclass
class ExampleScenarioOperation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Coding] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    initiator: Optional[String] = None
    _initiator: Optional[Element] = None
    receiver: Optional[String] = None
    _receiver: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    initiatorActive: Optional[Boolean] = None
    _initiatorActive: Optional[Element] = None
    receiverActive: Optional[Boolean] = None
    _receiverActive: Optional[Element] = None
    request: Optional[ExampleScenarioContainedInstance] = None
    response: Optional[ExampleScenarioContainedInstance] = None


@dataclass
class ExampleScenarioAlternative(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    step: Optional[List[ExampleScenarioStep]] = None


@dataclass
class ExplanationOfBenefit(XFHIR):
    type: CodeableConcept
    patient: Reference
    resourceType: str = 'ExplanationOfBenefit'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    traceNumber: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    subType: Optional[CodeableConcept] = None
    use: Optional[Code] = None
    _use: Optional[Element] = None
    billablePeriod: Optional[Period] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    enterer: Optional[Reference] = None
    insurer: Optional[Reference] = None
    provider: Optional[Reference] = None
    priority: Optional[CodeableConcept] = None
    fundsReserveRequested: Optional[CodeableConcept] = None
    fundsReserve: Optional[CodeableConcept] = None
    related: Optional[List[ExplanationOfBenefitRelated]] = None
    prescription: Optional[Reference] = None
    originalPrescription: Optional[Reference] = None
    event: Optional[List[ExplanationOfBenefitEvent]] = None
    payee: Optional[ExplanationOfBenefitPayee] = None
    referral: Optional[Reference] = None
    encounter: Optional[List[Reference]] = None
    facility: Optional[Reference] = None
    claim: Optional[Reference] = None
    claimResponse: Optional[Reference] = None
    outcome: Optional[Code] = None
    _outcome: Optional[Element] = None
    decision: Optional[CodeableConcept] = None
    disposition: Optional[String] = None
    _disposition: Optional[Element] = None
    preAuthRef: Optional[List[String]] = None
    _preAuthRef: Optional[List[Element]] = None
    preAuthRefPeriod: Optional[List[Period]] = None
    diagnosisRelatedGroup: Optional[CodeableConcept] = None
    careTeam: Optional[List[ExplanationOfBenefitCareTeam]] = None
    supportingInfo: Optional[List[ExplanationOfBenefitSupportingInfo]] = None
    diagnosis: Optional[List[ExplanationOfBenefitDiagnosis]] = None
    procedure: Optional[List[ExplanationOfBenefitProcedure]] = None
    precedence: Optional[PositiveInt] = None
    _precedence: Optional[Element] = None
    insurance: Optional[List[ExplanationOfBenefitInsurance]] = None
    accident: Optional[ExplanationOfBenefitAccident] = None
    patientPaid: Optional[Money] = None
    item: Optional[List[ExplanationOfBenefitItem]] = None
    addItem: Optional[List[ExplanationOfBenefitAddItem]] = None
    adjudication: Optional[List[ExplanationOfBenefitAdjudication]] = None
    total: Optional[List[ExplanationOfBenefitTotal]] = None
    payment: Optional[ExplanationOfBenefitPayment] = None
    formCode: Optional[CodeableConcept] = None
    form: Optional[Attachment] = None
    processNote: Optional[List[ExplanationOfBenefitProcessNote]] = None
    benefitPeriod: Optional[Period] = None
    benefitBalance: Optional[List[ExplanationOfBenefitBenefitBalance]] = None


@dataclass
class ExplanationOfBenefitRelated(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    claim: Optional[Reference] = None
    relationship: Optional[CodeableConcept] = None
    reference: Optional[Identifier] = None


@dataclass
class ExplanationOfBenefitEvent(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    whenDateTime: Optional[str] = None
    _whenDateTime: Optional[Element] = None
    whenPeriod: Optional[Period] = None


@dataclass
class ExplanationOfBenefitPayee(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    party: Optional[Reference] = None


@dataclass
class ExplanationOfBenefitCareTeam(XFHIR):
    provider: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    responsible: Optional[Boolean] = None
    _responsible: Optional[Element] = None
    role: Optional[CodeableConcept] = None
    specialty: Optional[CodeableConcept] = None


@dataclass
class ExplanationOfBenefitSupportingInfo(XFHIR):
    category: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    timingDate: Optional[str] = None
    _timingDate: Optional[Element] = None
    timingPeriod: Optional[Period] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueAttachment: Optional[Attachment] = None
    valueReference: Optional[Reference] = None
    valueIdentifier: Optional[Identifier] = None
    reason: Optional[Coding] = None


@dataclass
class ExplanationOfBenefitDiagnosis(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    diagnosisCodeableConcept: Optional[CodeableConcept] = None
    diagnosisReference: Optional[Reference] = None
    type: Optional[List[CodeableConcept]] = None
    onAdmission: Optional[CodeableConcept] = None


@dataclass
class ExplanationOfBenefitProcedure(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    procedureCodeableConcept: Optional[CodeableConcept] = None
    procedureReference: Optional[Reference] = None
    udi: Optional[List[Reference]] = None


@dataclass
class ExplanationOfBenefitInsurance(XFHIR):
    coverage: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    focal: Optional[Boolean] = None
    _focal: Optional[Element] = None
    preAuthRef: Optional[List[String]] = None
    _preAuthRef: Optional[List[Element]] = None


@dataclass
class ExplanationOfBenefitAccident(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    date: Optional[Date] = None
    _date: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    locationAddress: Optional[Address] = None
    locationReference: Optional[Reference] = None


@dataclass
class ExplanationOfBenefitItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    careTeamSequence: Optional[List[PositiveInt]] = None
    _careTeamSequence: Optional[List[Element]] = None
    diagnosisSequence: Optional[List[PositiveInt]] = None
    _diagnosisSequence: Optional[List[Element]] = None
    procedureSequence: Optional[List[PositiveInt]] = None
    _procedureSequence: Optional[List[Element]] = None
    informationSequence: Optional[List[PositiveInt]] = None
    _informationSequence: Optional[List[Element]] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    request: Optional[List[Reference]] = None
    modifier: Optional[List[CodeableConcept]] = None
    programCode: Optional[List[CodeableConcept]] = None
    servicedDate: Optional[str] = None
    _servicedDate: Optional[Element] = None
    servicedPeriod: Optional[Period] = None
    locationCodeableConcept: Optional[CodeableConcept] = None
    locationAddress: Optional[Address] = None
    locationReference: Optional[Reference] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    udi: Optional[List[Reference]] = None
    bodySite: Optional[List[ExplanationOfBenefitBodySite]] = None
    encounter: Optional[List[Reference]] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ExplanationOfBenefitReviewOutcome] = None
    adjudication: Optional[List[ExplanationOfBenefitAdjudication]] = None
    detail: Optional[List[ExplanationOfBenefitDetail]] = None


@dataclass
class ExplanationOfBenefitBodySite(XFHIR):
    site: List[CodeableReference]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subSite: Optional[List[CodeableConcept]] = None


@dataclass
class ExplanationOfBenefitReviewOutcome(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    decision: Optional[CodeableConcept] = None
    reason: Optional[List[CodeableConcept]] = None
    preAuthRef: Optional[String] = None
    _preAuthRef: Optional[Element] = None
    preAuthPeriod: Optional[Period] = None


@dataclass
class ExplanationOfBenefitAdjudication(XFHIR):
    category: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    reason: Optional[CodeableConcept] = None
    amount: Optional[Money] = None
    quantity: Optional[Quantity] = None


@dataclass
class ExplanationOfBenefitDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    programCode: Optional[List[CodeableConcept]] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    udi: Optional[List[Reference]] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ExplanationOfBenefitReviewOutcome] = None
    adjudication: Optional[List[ExplanationOfBenefitAdjudication]] = None
    subDetail: Optional[List[ExplanationOfBenefitSubDetail]] = None


@dataclass
class ExplanationOfBenefitSubDetail(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    programCode: Optional[List[CodeableConcept]] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    udi: Optional[List[Reference]] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ExplanationOfBenefitReviewOutcome] = None
    adjudication: Optional[List[ExplanationOfBenefitAdjudication]] = None


@dataclass
class ExplanationOfBenefitAddItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    itemSequence: Optional[List[PositiveInt]] = None
    _itemSequence: Optional[List[Element]] = None
    detailSequence: Optional[List[PositiveInt]] = None
    _detailSequence: Optional[List[Element]] = None
    subDetailSequence: Optional[List[PositiveInt]] = None
    _subDetailSequence: Optional[List[Element]] = None
    traceNumber: Optional[List[Identifier]] = None
    provider: Optional[List[Reference]] = None
    revenue: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    request: Optional[List[Reference]] = None
    modifier: Optional[List[CodeableConcept]] = None
    programCode: Optional[List[CodeableConcept]] = None
    servicedDate: Optional[str] = None
    _servicedDate: Optional[Element] = None
    servicedPeriod: Optional[Period] = None
    locationCodeableConcept: Optional[CodeableConcept] = None
    locationAddress: Optional[Address] = None
    locationReference: Optional[Reference] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    bodySite: Optional[List[ExplanationOfBenefitBodySite1]] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ExplanationOfBenefitReviewOutcome] = None
    adjudication: Optional[List[ExplanationOfBenefitAdjudication]] = None
    detail: Optional[List[ExplanationOfBenefitDetail1]] = None


@dataclass
class ExplanationOfBenefitBodySite1(XFHIR):
    site: List[CodeableReference]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subSite: Optional[List[CodeableConcept]] = None


@dataclass
class ExplanationOfBenefitDetail1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ExplanationOfBenefitReviewOutcome] = None
    adjudication: Optional[List[ExplanationOfBenefitAdjudication]] = None
    subDetail: Optional[List[ExplanationOfBenefitSubDetail1]] = None


@dataclass
class ExplanationOfBenefitSubDetail1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    traceNumber: Optional[List[Identifier]] = None
    revenue: Optional[CodeableConcept] = None
    productOrService: Optional[CodeableConcept] = None
    productOrServiceEnd: Optional[CodeableConcept] = None
    modifier: Optional[List[CodeableConcept]] = None
    patientPaid: Optional[Money] = None
    quantity: Optional[Quantity] = None
    unitPrice: Optional[Money] = None
    factor: Optional[Decimal] = None
    _factor: Optional[Element] = None
    tax: Optional[Money] = None
    net: Optional[Money] = None
    noteNumber: Optional[List[PositiveInt]] = None
    _noteNumber: Optional[List[Element]] = None
    reviewOutcome: Optional[ExplanationOfBenefitReviewOutcome] = None
    adjudication: Optional[List[ExplanationOfBenefitAdjudication]] = None


@dataclass
class ExplanationOfBenefitTotal(XFHIR):
    category: CodeableConcept
    amount: Money
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class ExplanationOfBenefitPayment(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    adjustment: Optional[Money] = None
    adjustmentReason: Optional[CodeableConcept] = None
    date: Optional[Date] = None
    _date: Optional[Element] = None
    amount: Optional[Money] = None
    identifier: Optional[Identifier] = None


@dataclass
class ExplanationOfBenefitProcessNote(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    number: Optional[PositiveInt] = None
    _number: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    language: Optional[CodeableConcept] = None


@dataclass
class ExplanationOfBenefitBenefitBalance(XFHIR):
    category: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    excluded: Optional[Boolean] = None
    _excluded: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    network: Optional[CodeableConcept] = None
    unit: Optional[CodeableConcept] = None
    term: Optional[CodeableConcept] = None
    financial: Optional[List[ExplanationOfBenefitFinancial]] = None


@dataclass
class ExplanationOfBenefitFinancial(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    allowedUnsignedInt: Optional[float] = None
    _allowedUnsignedInt: Optional[Element] = None
    allowedString: Optional[str] = None
    _allowedString: Optional[Element] = None
    allowedMoney: Optional[Money] = None
    usedUnsignedInt: Optional[float] = None
    _usedUnsignedInt: Optional[Element] = None
    usedMoney: Optional[Money] = None


@dataclass
class FamilyMemberHistory(XFHIR):
    patient: Reference
    relationship: CodeableConcept
    resourceType: str = 'FamilyMemberHistory'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    dataAbsentReason: Optional[CodeableConcept] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    participant: Optional[List[FamilyMemberHistoryParticipant]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    sex: Optional[CodeableConcept] = None
    bornPeriod: Optional[Period] = None
    bornDate: Optional[str] = None
    _bornDate: Optional[Element] = None
    bornString: Optional[str] = None
    _bornString: Optional[Element] = None
    ageAge: Optional[Age] = None
    ageRange: Optional[Range] = None
    ageString: Optional[str] = None
    _ageString: Optional[Element] = None
    estimatedAge: Optional[Boolean] = None
    _estimatedAge: Optional[Element] = None
    deceasedBoolean: Optional[bool] = None
    _deceasedBoolean: Optional[Element] = None
    deceasedAge: Optional[Age] = None
    deceasedRange: Optional[Range] = None
    deceasedDate: Optional[str] = None
    _deceasedDate: Optional[Element] = None
    deceasedString: Optional[str] = None
    _deceasedString: Optional[Element] = None
    reason: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None
    condition: Optional[List[FamilyMemberHistoryCondition]] = None
    procedure: Optional[List[FamilyMemberHistoryProcedure]] = None


@dataclass
class FamilyMemberHistoryParticipant(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class FamilyMemberHistoryCondition(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    outcome: Optional[CodeableConcept] = None
    contributedToDeath: Optional[Boolean] = None
    _contributedToDeath: Optional[Element] = None
    onsetAge: Optional[Age] = None
    onsetRange: Optional[Range] = None
    onsetPeriod: Optional[Period] = None
    onsetString: Optional[str] = None
    _onsetString: Optional[Element] = None
    note: Optional[List[Annotation]] = None


@dataclass
class FamilyMemberHistoryProcedure(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    outcome: Optional[CodeableConcept] = None
    contributedToDeath: Optional[Boolean] = None
    _contributedToDeath: Optional[Element] = None
    performedAge: Optional[Age] = None
    performedRange: Optional[Range] = None
    performedPeriod: Optional[Period] = None
    performedString: Optional[str] = None
    _performedString: Optional[Element] = None
    performedDateTime: Optional[str] = None
    _performedDateTime: Optional[Element] = None
    note: Optional[List[Annotation]] = None


@dataclass
class Flag(XFHIR):
    code: CodeableConcept
    subject: Reference
    resourceType: str = 'Flag'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    period: Optional[Period] = None
    encounter: Optional[Reference] = None
    author: Optional[Reference] = None
    supportingInfo: Optional[List[Reference]] = None


@dataclass
class FormularyItem(XFHIR):
    resourceType: str = 'FormularyItem'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    code: Optional[CodeableConcept] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None


@dataclass
class GenomicStudy(XFHIR):
    subject: Reference
    resourceType: str = 'GenomicStudy'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    encounter: Optional[Reference] = None
    startDate: Optional[DateTime] = None
    _startDate: Optional[Element] = None
    basedOn: Optional[List[Reference]] = None
    referrer: Optional[Reference] = None
    interpreter: Optional[List[Reference]] = None
    reason: Optional[List[CodeableReference]] = None
    instantiatesCanonical: Optional[Canonical] = None
    instantiatesUri: Optional[Uri] = None
    _instantiatesUri: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    analysis: Optional[List[GenomicStudyAnalysis]] = None


@dataclass
class GenomicStudyAnalysis(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    methodType: Optional[List[CodeableConcept]] = None
    changeType: Optional[List[CodeableConcept]] = None
    genomeBuild: Optional[CodeableConcept] = None
    instantiatesCanonical: Optional[Canonical] = None
    instantiatesUri: Optional[Uri] = None
    _instantiatesUri: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    focus: Optional[List[Reference]] = None
    specimen: Optional[List[Reference]] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    protocolPerformed: Optional[Reference] = None
    regionsStudied: Optional[List[Reference]] = None
    regionsCalled: Optional[List[Reference]] = None
    input: Optional[List[GenomicStudyInput]] = None
    output: Optional[List[GenomicStudyOutput]] = None
    performer: Optional[List[GenomicStudyPerformer]] = None
    device: Optional[List[GenomicStudyDevice]] = None


@dataclass
class GenomicStudyInput(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    file: Optional[Reference] = None
    type: Optional[CodeableConcept] = None
    generatedByIdentifier: Optional[Identifier] = None
    generatedByReference: Optional[Reference] = None


@dataclass
class GenomicStudyOutput(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    file: Optional[Reference] = None
    type: Optional[CodeableConcept] = None


@dataclass
class GenomicStudyPerformer(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    actor: Optional[Reference] = None
    role: Optional[CodeableConcept] = None


@dataclass
class GenomicStudyDevice(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    device: Optional[Reference] = None
    function: Optional[CodeableConcept] = None


@dataclass
class Goal(XFHIR):
    description: CodeableConcept
    subject: Reference
    resourceType: str = 'Goal'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    lifecycleStatus: Optional[Code] = None
    _lifecycleStatus: Optional[Element] = None
    achievementStatus: Optional[CodeableConcept] = None
    category: Optional[List[CodeableConcept]] = None
    continuous: Optional[Boolean] = None
    _continuous: Optional[Element] = None
    priority: Optional[CodeableConcept] = None
    startDate: Optional[str] = None
    _startDate: Optional[Element] = None
    startCodeableConcept: Optional[CodeableConcept] = None
    target: Optional[List[GoalTarget]] = None
    statusDate: Optional[Date] = None
    _statusDate: Optional[Element] = None
    statusReason: Optional[String] = None
    _statusReason: Optional[Element] = None
    source: Optional[Reference] = None
    addresses: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    outcome: Optional[List[CodeableReference]] = None


@dataclass
class GoalTarget(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    measure: Optional[CodeableConcept] = None
    detailQuantity: Optional[Quantity] = None
    detailRange: Optional[Range] = None
    detailCodeableConcept: Optional[CodeableConcept] = None
    detailString: Optional[str] = None
    _detailString: Optional[Element] = None
    detailBoolean: Optional[bool] = None
    _detailBoolean: Optional[Element] = None
    detailInteger: Optional[float] = None
    _detailInteger: Optional[Element] = None
    detailRatio: Optional[Ratio] = None
    dueDate: Optional[str] = None
    _dueDate: Optional[Element] = None
    dueDuration: Optional[Duration] = None


@dataclass
class GraphDefinition(XFHIR):
    resourceType: str = 'GraphDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    start: Optional[Id] = None
    _start: Optional[Element] = None
    node: Optional[List[GraphDefinitionNode]] = None
    link: Optional[List[GraphDefinitionLink]] = None


@dataclass
class GraphDefinitionNode(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    nodeId: Optional[Id] = None
    _nodeId: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    profile: Optional[Canonical] = None


@dataclass
class GraphDefinitionLink(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    min: Optional[Integer] = None
    _min: Optional[Element] = None
    max: Optional[String] = None
    _max: Optional[Element] = None
    sourceId: Optional[Id] = None
    _sourceId: Optional[Element] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    sliceName: Optional[String] = None
    _sliceName: Optional[Element] = None
    targetId: Optional[Id] = None
    _targetId: Optional[Element] = None
    params: Optional[String] = None
    _params: Optional[Element] = None
    compartment: Optional[List[GraphDefinitionCompartment]] = None


@dataclass
class GraphDefinitionCompartment(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    use: Optional[Code] = None
    _use: Optional[Element] = None
    rule: Optional[Code] = None
    _rule: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    expression: Optional[String] = None
    _expression: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None


@dataclass
class Group(XFHIR):
    resourceType: str = 'Group'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    membership: Optional[Code] = None
    _membership: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    quantity: Optional[UnsignedInt] = None
    _quantity: Optional[Element] = None
    managingEntity: Optional[Reference] = None
    combinationMethod: Optional[Code] = None
    _combinationMethod: Optional[Element] = None
    combinationThreshold: Optional[PositiveInt] = None
    _combinationThreshold: Optional[Element] = None
    characteristic: Optional[List[GroupCharacteristic]] = None
    member: Optional[List[GroupMember]] = None


@dataclass
class GroupCharacteristic(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueReference: Optional[Reference] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueExpression: Optional[Expression] = None
    exclude: Optional[Boolean] = None
    _exclude: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    method: Optional[List[CodeableConcept]] = None
    determinedByReference: Optional[Reference] = None
    determinedByExpression: Optional[Expression] = None
    offset: Optional[CodeableConcept] = None
    instancesQuantity: Optional[Quantity] = None
    instancesRange: Optional[Range] = None
    durationDuration: Optional[Duration] = None
    durationRange: Optional[Range] = None
    period: Optional[Period] = None
    timing: Optional[List[RelativeTime]] = None


@dataclass
class GroupMember(XFHIR):
    entity: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    period: Optional[Period] = None
    inactive: Optional[Boolean] = None
    _inactive: Optional[Element] = None


@dataclass
class GuidanceResponse(XFHIR):
    resourceType: str = 'GuidanceResponse'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    requestIdentifier: Optional[Identifier] = None
    identifier: Optional[List[Identifier]] = None
    moduleUri: Optional[str] = None
    _moduleUri: Optional[Element] = None
    moduleCanonical: Optional[str] = None
    _moduleCanonical: Optional[Element] = None
    moduleCodeableConcept: Optional[CodeableConcept] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    subject: Optional[Reference] = None
    encounter: Optional[Reference] = None
    occurrenceDateTime: Optional[DateTime] = None
    _occurrenceDateTime: Optional[Element] = None
    performer: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None
    evaluationMessage: Optional[Reference] = None
    outputParameters: Optional[Reference] = None
    result: Optional[List[Reference]] = None
    dataRequirement: Optional[List[DataRequirement]] = None


@dataclass
class HealthcareService(XFHIR):
    resourceType: str = 'HealthcareService'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    providedBy: Optional[Reference] = None
    offeredIn: Optional[List[Reference]] = None
    category: Optional[List[CodeableConcept]] = None
    type: Optional[List[CodeableConcept]] = None
    specialty: Optional[List[CodeableConcept]] = None
    location: Optional[List[Reference]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    comment: Optional[Markdown] = None
    _comment: Optional[Element] = None
    extraDetails: Optional[Markdown] = None
    _extraDetails: Optional[Element] = None
    photo: Optional[Attachment] = None
    contact: Optional[List[ExtendedContactDetail]] = None
    coverageArea: Optional[List[Reference]] = None
    serviceProvisionCode: Optional[List[CodeableConcept]] = None
    eligibility: Optional[List[HealthcareServiceEligibility]] = None
    program: Optional[List[CodeableConcept]] = None
    characteristic: Optional[List[CodeableConcept]] = None
    communication: Optional[List[CodeableConcept]] = None
    referralMethod: Optional[List[CodeableConcept]] = None
    appointmentRequired: Optional[Boolean] = None
    _appointmentRequired: Optional[Element] = None
    availability: Optional[Availability] = None
    endpoint: Optional[List[Reference]] = None


@dataclass
class HealthcareServiceEligibility(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[CodeableConcept] = None
    comment: Optional[Markdown] = None
    _comment: Optional[Element] = None


@dataclass
class ImagingSelection(XFHIR):
    code: CodeableConcept
    resourceType: str = 'ImagingSelection'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    subject: Optional[Reference] = None
    issued: Optional[Instant] = None
    _issued: Optional[Element] = None
    performer: Optional[List[ImagingSelectionPerformer]] = None
    basedOn: Optional[List[Reference]] = None
    category: Optional[List[CodeableConcept]] = None
    studyUid: Optional[Id] = None
    _studyUid: Optional[Element] = None
    derivedFrom: Optional[List[Reference]] = None
    endpoint: Optional[List[Reference]] = None
    seriesUid: Optional[Id] = None
    _seriesUid: Optional[Element] = None
    seriesNumber: Optional[UnsignedInt] = None
    _seriesNumber: Optional[Element] = None
    frameOfReferenceUid: Optional[Id] = None
    _frameOfReferenceUid: Optional[Element] = None
    bodySite: Optional[CodeableReference] = None
    focus: Optional[List[Reference]] = None
    instance: Optional[List[ImagingSelectionInstance]] = None
    imageRegion3D: Optional[List[ImagingSelectionImageRegion3D]] = None


@dataclass
class ImagingSelectionPerformer(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None
    actor: Optional[Reference] = None


@dataclass
class ImagingSelectionInstance(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    uid: Optional[Id] = None
    _uid: Optional[Element] = None
    number: Optional[UnsignedInt] = None
    _number: Optional[Element] = None
    sopClass: Optional[Coding] = None
    subset: Optional[List[String]] = None
    _subset: Optional[List[Element]] = None
    imageRegion2D: Optional[List[ImagingSelectionImageRegion2D]] = None


@dataclass
class ImagingSelectionImageRegion2D(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    regionType: Optional[Code] = None
    _regionType: Optional[Element] = None
    coordinate: Optional[List[Decimal]] = None
    _coordinate: Optional[List[Element]] = None


@dataclass
class ImagingSelectionImageRegion3D(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    regionType: Optional[Code] = None
    _regionType: Optional[Element] = None
    coordinate: Optional[List[Decimal]] = None
    _coordinate: Optional[List[Element]] = None


@dataclass
class ImagingStudy(XFHIR):
    subject: Reference
    resourceType: str = 'ImagingStudy'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    modality: Optional[List[CodeableConcept]] = None
    encounter: Optional[Reference] = None
    started: Optional[DateTime] = None
    _started: Optional[Element] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    referrer: Optional[Reference] = None
    endpoint: Optional[List[Reference]] = None
    numberOfSeries: Optional[UnsignedInt] = None
    _numberOfSeries: Optional[Element] = None
    numberOfInstances: Optional[UnsignedInt] = None
    _numberOfInstances: Optional[Element] = None
    procedure: Optional[List[CodeableReference]] = None
    location: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    series: Optional[List[ImagingStudySeries]] = None


@dataclass
class ImagingStudySeries(XFHIR):
    modality: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    uid: Optional[Id] = None
    _uid: Optional[Element] = None
    number: Optional[UnsignedInt] = None
    _number: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    numberOfInstances: Optional[UnsignedInt] = None
    _numberOfInstances: Optional[Element] = None
    endpoint: Optional[List[Reference]] = None
    bodySite: Optional[CodeableReference] = None
    laterality: Optional[CodeableConcept] = None
    specimen: Optional[List[Reference]] = None
    started: Optional[DateTime] = None
    _started: Optional[Element] = None
    performer: Optional[List[ImagingStudyPerformer]] = None
    instance: Optional[List[ImagingStudyInstance]] = None


@dataclass
class ImagingStudyPerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class ImagingStudyInstance(XFHIR):
    sopClass: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    uid: Optional[Id] = None
    _uid: Optional[Element] = None
    number: Optional[UnsignedInt] = None
    _number: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None


@dataclass
class Immunization(XFHIR):
    vaccineCode: CodeableConcept
    patient: Reference
    resourceType: str = 'Immunization'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableConcept] = None
    administeredProduct: Optional[CodeableReference] = None
    manufacturer: Optional[CodeableReference] = None
    lotNumber: Optional[String] = None
    _lotNumber: Optional[Element] = None
    expirationDate: Optional[Date] = None
    _expirationDate: Optional[Element] = None
    encounter: Optional[Reference] = None
    supportingInformation: Optional[List[Reference]] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrenceString: Optional[str] = None
    _occurrenceString: Optional[Element] = None
    primarySource: Optional[Boolean] = None
    _primarySource: Optional[Element] = None
    informationSource: Optional[CodeableReference] = None
    location: Optional[Reference] = None
    site: Optional[CodeableConcept] = None
    route: Optional[CodeableConcept] = None
    doseQuantity: Optional[Quantity] = None
    performer: Optional[List[ImmunizationPerformer]] = None
    note: Optional[List[Annotation]] = None
    reason: Optional[List[CodeableReference]] = None
    isSubpotent: Optional[Boolean] = None
    _isSubpotent: Optional[Element] = None
    subpotentReason: Optional[List[CodeableConcept]] = None
    programEligibility: Optional[List[ImmunizationProgramEligibility]] = None
    fundingSource: Optional[CodeableConcept] = None
    reaction: Optional[List[ImmunizationReaction]] = None
    protocolApplied: Optional[List[ImmunizationProtocolApplied]] = None


@dataclass
class ImmunizationPerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class ImmunizationProgramEligibility(XFHIR):
    program: CodeableConcept
    programStatus: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class ImmunizationReaction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    manifestation: Optional[CodeableReference] = None
    reported: Optional[Boolean] = None
    _reported: Optional[Element] = None


@dataclass
class ImmunizationProtocolApplied(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    series: Optional[String] = None
    _series: Optional[Element] = None
    authority: Optional[Reference] = None
    targetDisease: Optional[List[CodeableConcept]] = None
    doseNumber: Optional[String] = None
    _doseNumber: Optional[Element] = None
    seriesDoses: Optional[String] = None
    _seriesDoses: Optional[Element] = None


@dataclass
class ImmunizationEvaluation(XFHIR):
    patient: Reference
    targetDisease: CodeableConcept
    immunizationEvent: Reference
    doseStatus: CodeableConcept
    resourceType: str = 'ImmunizationEvaluation'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    authority: Optional[Reference] = None
    doseStatusReason: Optional[List[CodeableConcept]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    series: Optional[String] = None
    _series: Optional[Element] = None
    doseNumber: Optional[String] = None
    _doseNumber: Optional[Element] = None
    seriesDoses: Optional[String] = None
    _seriesDoses: Optional[Element] = None


@dataclass
class ImmunizationRecommendation(XFHIR):
    patient: Reference
    recommendation: List[ImmunizationRecommendationRecommendation]
    resourceType: str = 'ImmunizationRecommendation'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    authority: Optional[Reference] = None


@dataclass
class ImmunizationRecommendationRecommendation(XFHIR):
    forecastStatus: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    vaccineCode: Optional[List[CodeableConcept]] = None
    targetDisease: Optional[List[CodeableConcept]] = None
    contraindicatedVaccineCode: Optional[List[CodeableConcept]] = None
    forecastReason: Optional[List[CodeableConcept]] = None
    dateCriterion: Optional[List[ImmunizationRecommendationDateCriterion]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    series: Optional[String] = None
    _series: Optional[Element] = None
    doseNumber: Optional[String] = None
    _doseNumber: Optional[Element] = None
    seriesDoses: Optional[String] = None
    _seriesDoses: Optional[Element] = None
    supportingImmunization: Optional[List[Reference]] = None
    supportingPatientInformation: Optional[List[Reference]] = None


@dataclass
class ImmunizationRecommendationDateCriterion(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    value: Optional[DateTime] = None
    _value: Optional[Element] = None


@dataclass
class ImplementationGuide(XFHIR):
    resourceType: str = 'ImplementationGuide'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    packageId: Optional[Id] = None
    _packageId: Optional[Element] = None
    license: Optional[Code] = None
    _license: Optional[Element] = None
    fhirVersion: Optional[List[Code]] = None
    _fhirVersion: Optional[List[Element]] = None
    dependsOn: Optional[List[ImplementationGuideDependsOn]] = None
    global_: Optional[List[ImplementationGuideGlobal]] = None
    definition: Optional[ImplementationGuideDefinition] = None
    manifest: Optional[ImplementationGuideManifest] = None


@dataclass
class ImplementationGuideDependsOn(XFHIR):
    uri: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    packageId: Optional[Id] = None
    _packageId: Optional[Element] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    reason: Optional[Markdown] = None
    _reason: Optional[Element] = None


@dataclass
class ImplementationGuideGlobal(XFHIR):
    profile: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None


@dataclass
class ImplementationGuideDefinition(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    grouping: Optional[List[ImplementationGuideGrouping]] = None
    resource: Optional[List[ImplementationGuideResource]] = None
    page: Optional[ImplementationGuidePage] = None
    parameter: Optional[List[ImplementationGuideParameter]] = None
    template: Optional[List[ImplementationGuideTemplate]] = None


@dataclass
class ImplementationGuideGrouping(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None


@dataclass
class ImplementationGuideResource(XFHIR):
    reference: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    fhirVersion: Optional[List[Code]] = None
    _fhirVersion: Optional[List[Element]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    isExample: Optional[Boolean] = None
    _isExample: Optional[Element] = None
    profile: Optional[List[Canonical]] = None
    groupingId: Optional[Id] = None
    _groupingId: Optional[Element] = None


@dataclass
class ImplementationGuidePage(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sourceUrl: Optional[str] = None
    _sourceUrl: Optional[Element] = None
    sourceString: Optional[str] = None
    _sourceString: Optional[Element] = None
    sourceMarkdown: Optional[str] = None
    _sourceMarkdown: Optional[Element] = None
    name: Optional[Url] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    generation: Optional[Code] = None
    _generation: Optional[Element] = None
    page: Optional[List[ImplementationGuidePage]] = None


@dataclass
class ImplementationGuideParameter(XFHIR):
    code: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class ImplementationGuideTemplate(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    source: Optional[String] = None
    _source: Optional[Element] = None
    scope: Optional[String] = None
    _scope: Optional[Element] = None


@dataclass
class ImplementationGuideManifest(XFHIR):
    resource: List[ImplementationGuideResource1]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    rendering: Optional[Url] = None
    _rendering: Optional[Element] = None
    page: Optional[List[ImplementationGuidePage1]] = None
    image: Optional[List[String]] = None
    _image: Optional[List[Element]] = None
    other: Optional[List[String]] = None
    _other: Optional[List[Element]] = None


@dataclass
class ImplementationGuideResource1(XFHIR):
    reference: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    isExample: Optional[Boolean] = None
    _isExample: Optional[Element] = None
    profile: Optional[List[Canonical]] = None
    relativePath: Optional[Url] = None
    _relativePath: Optional[Element] = None


@dataclass
class ImplementationGuidePage1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    anchor: Optional[List[String]] = None
    _anchor: Optional[List[Element]] = None


@dataclass
class Ingredient(XFHIR):
    role: CodeableConcept
    substance: IngredientSubstance
    resourceType: str = 'Ingredient'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Identifier] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    for_: Optional[List[Reference]] = None
    function: Optional[List[CodeableConcept]] = None
    group: Optional[CodeableConcept] = None
    allergenicIndicator: Optional[Boolean] = None
    _allergenicIndicator: Optional[Element] = None
    comment: Optional[Markdown] = None
    _comment: Optional[Element] = None
    manufacturer: Optional[List[IngredientManufacturer]] = None


@dataclass
class IngredientManufacturer(XFHIR):
    manufacturer: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    role: Optional[Code] = None
    _role: Optional[Element] = None


@dataclass
class IngredientSubstance(XFHIR):
    code: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    strength: Optional[List[IngredientStrength]] = None


@dataclass
class IngredientStrength(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    presentationRatio: Optional[Ratio] = None
    presentationRatioRange: Optional[RatioRange] = None
    presentationCodeableConcept: Optional[CodeableConcept] = None
    presentationQuantity: Optional[Quantity] = None
    textPresentation: Optional[String] = None
    _textPresentation: Optional[Element] = None
    concentrationRatio: Optional[Ratio] = None
    concentrationRatioRange: Optional[RatioRange] = None
    concentrationCodeableConcept: Optional[CodeableConcept] = None
    concentrationQuantity: Optional[Quantity] = None
    textConcentration: Optional[String] = None
    _textConcentration: Optional[Element] = None
    basis: Optional[CodeableConcept] = None
    measurementPoint: Optional[String] = None
    _measurementPoint: Optional[Element] = None
    country: Optional[List[CodeableConcept]] = None
    referenceStrength: Optional[List[IngredientReferenceStrength]] = None


@dataclass
class IngredientReferenceStrength(XFHIR):
    substance: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    strengthRatio: Optional[Ratio] = None
    strengthRatioRange: Optional[RatioRange] = None
    strengthQuantity: Optional[Quantity] = None
    measurementPoint: Optional[String] = None
    _measurementPoint: Optional[Element] = None
    country: Optional[List[CodeableConcept]] = None


@dataclass
class InsurancePlan(XFHIR):
    resourceType: str = 'InsurancePlan'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    alias: Optional[List[String]] = None
    _alias: Optional[List[Element]] = None
    period: Optional[Period] = None
    ownedBy: Optional[Reference] = None
    administeredBy: Optional[Reference] = None
    coverageArea: Optional[List[Reference]] = None
    contact: Optional[List[ExtendedContactDetail]] = None
    endpoint: Optional[List[Reference]] = None
    network: Optional[List[Reference]] = None
    coverage: Optional[List[InsurancePlanCoverage]] = None
    plan: Optional[List[InsurancePlanPlan]] = None


@dataclass
class InsurancePlanCoverage(XFHIR):
    type: CodeableConcept
    benefit: List[InsurancePlanBenefit]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    network: Optional[List[Reference]] = None


@dataclass
class InsurancePlanBenefit(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    requirement: Optional[String] = None
    _requirement: Optional[Element] = None
    limit: Optional[List[InsurancePlanLimit]] = None


@dataclass
class InsurancePlanLimit(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    value: Optional[Quantity] = None
    code: Optional[CodeableConcept] = None


@dataclass
class InsurancePlanPlan(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    type: Optional[CodeableConcept] = None
    coverageArea: Optional[List[Reference]] = None
    network: Optional[List[Reference]] = None
    generalCost: Optional[List[InsurancePlanGeneralCost]] = None
    specificCost: Optional[List[InsurancePlanSpecificCost]] = None


@dataclass
class InsurancePlanGeneralCost(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    groupSize: Optional[PositiveInt] = None
    _groupSize: Optional[Element] = None
    cost: Optional[Money] = None
    comment: Optional[String] = None
    _comment: Optional[Element] = None


@dataclass
class InsurancePlanSpecificCost(XFHIR):
    category: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    benefit: Optional[List[InsurancePlanBenefit1]] = None


@dataclass
class InsurancePlanBenefit1(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    cost: Optional[List[InsurancePlanCost]] = None


@dataclass
class InsurancePlanCost(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    applicability: Optional[CodeableConcept] = None
    qualifiers: Optional[List[CodeableConcept]] = None
    value: Optional[Quantity] = None


@dataclass
class InventoryItem(XFHIR):
    resourceType: str = 'InventoryItem'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    code: Optional[List[CodeableConcept]] = None
    name: Optional[List[InventoryItemName]] = None
    responsibleOrganization: Optional[List[InventoryItemResponsibleOrganization]] = None
    description: Optional[InventoryItemDescription] = None
    inventoryStatus: Optional[List[CodeableConcept]] = None
    baseUnit: Optional[CodeableConcept] = None
    netContent: Optional[Quantity] = None
    association: Optional[List[InventoryItemAssociation]] = None
    characteristic: Optional[List[InventoryItemCharacteristic]] = None
    instance: Optional[InventoryItemInstance] = None
    productReference: Optional[Reference] = None


@dataclass
class InventoryItemName(XFHIR):
    nameType: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None


@dataclass
class InventoryItemResponsibleOrganization(XFHIR):
    role: CodeableConcept
    organization: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class InventoryItemDescription(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None


@dataclass
class InventoryItemAssociation(XFHIR):
    associationType: CodeableConcept
    relatedItem: Reference
    quantity: Ratio
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class InventoryItemCharacteristic(XFHIR):
    characteristicType: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueUrl: Optional[str] = None
    _valueUrl: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueAnnotation: Optional[Annotation] = None
    valueAddress: Optional[Address] = None
    valueDuration: Optional[Duration] = None
    valueCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class InventoryItemInstance(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    lotNumber: Optional[String] = None
    _lotNumber: Optional[Element] = None
    expiry: Optional[DateTime] = None
    _expiry: Optional[Element] = None
    subject: Optional[Reference] = None
    location: Optional[Reference] = None


@dataclass
class InventoryReport(XFHIR):
    resourceType: str = 'InventoryReport'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    countType: Optional[Code] = None
    _countType: Optional[Element] = None
    operationType: Optional[CodeableConcept] = None
    operationTypeReason: Optional[CodeableConcept] = None
    reportedDateTime: Optional[DateTime] = None
    _reportedDateTime: Optional[Element] = None
    reporter: Optional[Reference] = None
    reportingPeriod: Optional[Period] = None
    inventoryListing: Optional[List[InventoryReportInventoryListing]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class InventoryReportInventoryListing(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    location: Optional[Reference] = None
    itemStatus: Optional[CodeableConcept] = None
    countingDateTime: Optional[DateTime] = None
    _countingDateTime: Optional[Element] = None
    item: Optional[List[InventoryReportItem]] = None


@dataclass
class InventoryReportItem(XFHIR):
    quantity: Quantity
    item: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    category: Optional[CodeableConcept] = None


@dataclass
class Invoice(XFHIR):
    resourceType: str = 'Invoice'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    cancelledReason: Optional[String] = None
    _cancelledReason: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    subject: Optional[Reference] = None
    recipient: Optional[Reference] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    creation: Optional[DateTime] = None
    _creation: Optional[Element] = None
    periodDate: Optional[str] = None
    _periodDate: Optional[Element] = None
    periodPeriod: Optional[Period] = None
    participant: Optional[List[InvoiceParticipant]] = None
    issuer: Optional[Reference] = None
    account: Optional[Reference] = None
    lineItem: Optional[List[InvoiceLineItem]] = None
    totalPriceComponent: Optional[List[MonetaryComponent]] = None
    totalNet: Optional[Money] = None
    totalGross: Optional[Money] = None
    paymentTerms: Optional[Markdown] = None
    _paymentTerms: Optional[Element] = None
    note: Optional[List[Annotation]] = None


@dataclass
class InvoiceParticipant(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    role: Optional[CodeableConcept] = None


@dataclass
class InvoiceLineItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[PositiveInt] = None
    _sequence: Optional[Element] = None
    servicedDate: Optional[str] = None
    _servicedDate: Optional[Element] = None
    servicedPeriod: Optional[Period] = None
    chargeItemReference: Optional[Reference] = None
    chargeItemCodeableConcept: Optional[CodeableConcept] = None
    priceComponent: Optional[List[MonetaryComponent]] = None


@dataclass
class Library(XFHIR):
    type: CodeableConcept
    resourceType: str = 'Library'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    subtitle: Optional[String] = None
    _subtitle: Optional[Element] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    usage: Optional[Markdown] = None
    _usage: Optional[Element] = None
    parameter: Optional[List[ParameterDefinition]] = None
    dataRequirement: Optional[List[DataRequirement]] = None
    content: Optional[List[Attachment]] = None


@dataclass
class Linkage(XFHIR):
    item: List[LinkageItem]
    resourceType: str = 'Linkage'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    author: Optional[Reference] = None


@dataclass
class LinkageItem(XFHIR):
    resource: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None


@dataclass
class ListModel(XFHIR):
    resourceType: str = 'List'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    subject: Optional[List[Reference]] = None
    encounter: Optional[Reference] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    source: Optional[Reference] = None
    orderedBy: Optional[CodeableConcept] = None
    note: Optional[List[Annotation]] = None
    entry: Optional[List[ListEntry]] = None
    emptyReason: Optional[CodeableConcept] = None


@dataclass
class ListEntry(XFHIR):
    item: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    flag: Optional[CodeableConcept] = None
    deleted: Optional[Boolean] = None
    _deleted: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None


@dataclass
class Location(XFHIR):
    resourceType: str = 'Location'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    operationalStatus: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    alias: Optional[List[String]] = None
    _alias: Optional[List[Element]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    contact: Optional[List[ExtendedContactDetail]] = None
    address: Optional[Address] = None
    form: Optional[CodeableConcept] = None
    position: Optional[LocationPosition] = None
    managingOrganization: Optional[Reference] = None
    partOf: Optional[Reference] = None
    characteristic: Optional[List[CodeableConcept]] = None
    hoursOfOperation: Optional[Availability] = None
    virtualService: Optional[List[VirtualServiceDetail]] = None
    endpoint: Optional[List[Reference]] = None


@dataclass
class LocationPosition(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    longitude: Optional[Decimal] = None
    _longitude: Optional[Element] = None
    latitude: Optional[Decimal] = None
    _latitude: Optional[Element] = None
    altitude: Optional[Decimal] = None
    _altitude: Optional[Element] = None


@dataclass
class ManufacturedItemDefinition(XFHIR):
    manufacturedDoseForm: CodeableConcept
    resourceType: str = 'ManufacturedItemDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    unitOfPresentation: Optional[CodeableConcept] = None
    manufacturer: Optional[List[Reference]] = None
    marketingStatus: Optional[List[MarketingStatus]] = None
    ingredient: Optional[List[CodeableConcept]] = None
    property: Optional[List[ManufacturedItemDefinitionProperty]] = None
    component: Optional[List[ManufacturedItemDefinitionComponent]] = None


@dataclass
class ManufacturedItemDefinitionProperty(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None
    valueReference: Optional[Reference] = None


@dataclass
class ManufacturedItemDefinitionComponent(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[List[CodeableConcept]] = None
    amount: Optional[List[Quantity]] = None
    constituent: Optional[List[ManufacturedItemDefinitionConstituent]] = None
    property: Optional[List[ManufacturedItemDefinitionProperty]] = None
    component: Optional[List[ManufacturedItemDefinitionComponent]] = None


@dataclass
class ManufacturedItemDefinitionConstituent(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    amount: Optional[List[Quantity]] = None
    location: Optional[List[CodeableConcept]] = None
    function: Optional[List[CodeableConcept]] = None
    hasIngredient: Optional[List[CodeableReference]] = None


@dataclass
class Measure(XFHIR):
    resourceType: str = 'Measure'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    subtitle: Optional[String] = None
    _subtitle: Optional[Element] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    basis: Optional[Code] = None
    _basis: Optional[Element] = None
    usage: Optional[Markdown] = None
    _usage: Optional[Element] = None
    library: Optional[List[Canonical]] = None
    disclaimer: Optional[Markdown] = None
    _disclaimer: Optional[Element] = None
    scoring: Optional[CodeableConcept] = None
    scoringUnit: Optional[CodeableConcept] = None
    compositeScoring: Optional[CodeableConcept] = None
    type: Optional[List[CodeableConcept]] = None
    riskAdjustment: Optional[Markdown] = None
    _riskAdjustment: Optional[Element] = None
    rateAggregation: Optional[Markdown] = None
    _rateAggregation: Optional[Element] = None
    rationale: Optional[Markdown] = None
    _rationale: Optional[Element] = None
    clinicalRecommendationStatement: Optional[Markdown] = None
    _clinicalRecommendationStatement: Optional[Element] = None
    improvementNotation: Optional[CodeableConcept] = None
    term: Optional[List[MeasureTerm]] = None
    guidance: Optional[Markdown] = None
    _guidance: Optional[Element] = None
    group: Optional[List[MeasureGroup]] = None
    supplementalData: Optional[List[MeasureSupplementalData]] = None


@dataclass
class MeasureTerm(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[CodeableConcept] = None
    definition: Optional[Markdown] = None
    _definition: Optional[Element] = None


@dataclass
class MeasureGroup(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    basis: Optional[Code] = None
    _basis: Optional[Element] = None
    scoring: Optional[CodeableConcept] = None
    scoringUnit: Optional[CodeableConcept] = None
    rateAggregation: Optional[Markdown] = None
    _rateAggregation: Optional[Element] = None
    improvementNotation: Optional[CodeableConcept] = None
    library: Optional[List[Canonical]] = None
    population: Optional[List[MeasurePopulation]] = None
    stratifier: Optional[List[MeasureStratifier]] = None


@dataclass
class MeasurePopulation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    criteria: Optional[Expression] = None
    groupDefinition: Optional[Reference] = None
    inputPopulationId: Optional[String] = None
    _inputPopulationId: Optional[Element] = None
    aggregateMethod: Optional[CodeableConcept] = None


@dataclass
class MeasureStratifier(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    criteria: Optional[Expression] = None
    groupDefinition: Optional[Reference] = None
    component: Optional[List[MeasureComponent]] = None


@dataclass
class MeasureComponent(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    criteria: Optional[Expression] = None
    groupDefinition: Optional[Reference] = None


@dataclass
class MeasureSupplementalData(XFHIR):
    criteria: Expression
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    usage: Optional[List[CodeableConcept]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None


@dataclass
class MeasureReport(XFHIR):
    period: Period
    resourceType: str = 'MeasureReport'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    dataUpdateType: Optional[Code] = None
    _dataUpdateType: Optional[Element] = None
    measure: Optional[Canonical] = None
    subject: Optional[Reference] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    reporter: Optional[Reference] = None
    reportingVendor: Optional[Reference] = None
    location: Optional[Reference] = None
    inputParameters: Optional[Reference] = None
    scoring: Optional[CodeableConcept] = None
    improvementNotation: Optional[CodeableConcept] = None
    group: Optional[List[MeasureReportGroup]] = None
    supplementalData: Optional[List[Reference]] = None
    evaluatedResource: Optional[List[Reference]] = None


@dataclass
class MeasureReportGroup(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    subject: Optional[Reference] = None
    population: Optional[List[MeasureReportPopulation]] = None
    measureScoreQuantity: Optional[Quantity] = None
    measureScoreDateTime: Optional[str] = None
    _measureScoreDateTime: Optional[Element] = None
    measureScoreCodeableConcept: Optional[CodeableConcept] = None
    measureScorePeriod: Optional[Period] = None
    measureScoreRange: Optional[Range] = None
    measureScoreDuration: Optional[Duration] = None
    stratifier: Optional[List[MeasureReportStratifier]] = None


@dataclass
class MeasureReportPopulation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    count: Optional[Integer] = None
    _count: Optional[Element] = None
    subjectResults: Optional[Reference] = None
    subjectReport: Optional[List[Reference]] = None
    subjects: Optional[Reference] = None


@dataclass
class MeasureReportStratifier(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    stratum: Optional[List[MeasureReportStratum]] = None


@dataclass
class MeasureReportStratum(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueReference: Optional[Reference] = None
    component: Optional[List[MeasureReportComponent]] = None
    population: Optional[List[MeasureReportPopulation1]] = None
    measureScoreQuantity: Optional[Quantity] = None
    measureScoreDateTime: Optional[str] = None
    _measureScoreDateTime: Optional[Element] = None
    measureScoreCodeableConcept: Optional[CodeableConcept] = None
    measureScorePeriod: Optional[Period] = None
    measureScoreRange: Optional[Range] = None
    measureScoreDuration: Optional[Duration] = None


@dataclass
class MeasureReportComponent(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueReference: Optional[Reference] = None


@dataclass
class MeasureReportPopulation1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    count: Optional[Integer] = None
    _count: Optional[Element] = None
    subjectResults: Optional[Reference] = None
    subjectReport: Optional[List[Reference]] = None
    subjects: Optional[Reference] = None


@dataclass
class Medication(XFHIR):
    resourceType: str = 'Medication'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    code: Optional[CodeableConcept] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    marketingAuthorizationHolder: Optional[Reference] = None
    doseForm: Optional[CodeableConcept] = None
    totalVolume: Optional[Quantity] = None
    ingredient: Optional[List[MedicationIngredient]] = None
    batch: Optional[MedicationBatch] = None
    definition: Optional[Reference] = None


@dataclass
class MedicationIngredient(XFHIR):
    item: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    isActive: Optional[Boolean] = None
    _isActive: Optional[Element] = None
    strengthRatio: Optional[Ratio] = None
    strengthCodeableConcept: Optional[CodeableConcept] = None
    strengthQuantity: Optional[Quantity] = None


@dataclass
class MedicationBatch(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    lotNumber: Optional[String] = None
    _lotNumber: Optional[Element] = None
    expirationDate: Optional[DateTime] = None
    _expirationDate: Optional[Element] = None


@dataclass
class MedicationAdministration(XFHIR):
    medication: CodeableReference
    subject: Reference
    resourceType: str = 'MedicationAdministration'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[List[CodeableConcept]] = None
    category: Optional[List[CodeableConcept]] = None
    encounter: Optional[Reference] = None
    supportingInformation: Optional[List[Reference]] = None
    occurenceDateTime: Optional[str] = None
    _occurenceDateTime: Optional[Element] = None
    occurencePeriod: Optional[Period] = None
    occurenceTiming: Optional[Timing] = None
    recorded: Optional[DateTime] = None
    _recorded: Optional[Element] = None
    isSubPotent: Optional[Boolean] = None
    _isSubPotent: Optional[Element] = None
    subPotentReason: Optional[List[CodeableConcept]] = None
    performer: Optional[List[MedicationAdministrationPerformer]] = None
    reason: Optional[List[CodeableReference]] = None
    request: Optional[Reference] = None
    device: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None
    dosage: Optional[MedicationAdministrationDosage] = None
    eventHistory: Optional[List[Reference]] = None


@dataclass
class MedicationAdministrationPerformer(XFHIR):
    actor: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class MedicationAdministrationDosage(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    site: Optional[CodeableConcept] = None
    route: Optional[CodeableConcept] = None
    method: Optional[CodeableConcept] = None
    dose: Optional[Quantity] = None
    rateRatio: Optional[Ratio] = None
    rateQuantity: Optional[Quantity] = None


@dataclass
class MedicationDispense(XFHIR):
    medication: CodeableReference
    subject: Reference
    resourceType: str = 'MedicationDispense'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    notPerformedReason: Optional[CodeableReference] = None
    statusChanged: Optional[DateTime] = None
    _statusChanged: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    encounter: Optional[Reference] = None
    supportingInformation: Optional[List[Reference]] = None
    performer: Optional[List[MedicationDispensePerformer]] = None
    location: Optional[Reference] = None
    authorizingPrescription: Optional[List[Reference]] = None
    type: Optional[CodeableConcept] = None
    quantity: Optional[Quantity] = None
    daysSupply: Optional[Quantity] = None
    recorded: Optional[DateTime] = None
    _recorded: Optional[Element] = None
    whenPrepared: Optional[DateTime] = None
    _whenPrepared: Optional[Element] = None
    whenHandedOver: Optional[DateTime] = None
    _whenHandedOver: Optional[Element] = None
    destination: Optional[Reference] = None
    receiver: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    renderedDosageInstruction: Optional[Markdown] = None
    _renderedDosageInstruction: Optional[Element] = None
    dosageInstruction: Optional[List[Dosage]] = None
    substitution: Optional[MedicationDispenseSubstitution] = None
    eventHistory: Optional[List[Reference]] = None


@dataclass
class MedicationDispensePerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class MedicationDispenseSubstitution(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    wasSubstituted: Optional[Boolean] = None
    _wasSubstituted: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    reason: Optional[List[CodeableConcept]] = None
    responsibleParty: Optional[Reference] = None


@dataclass
class MedicationKnowledge(XFHIR):
    resourceType: str = 'MedicationKnowledge'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[List[String]] = None
    _name: Optional[List[Element]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[Reference] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    code: Optional[CodeableConcept] = None
    intendedJurisdiction: Optional[List[CodeableConcept]] = None
    relatedMedicationKnowledge: Optional[
        List[MedicationKnowledgeRelatedMedicationKnowledge]
    ] = None
    associatedMedication: Optional[List[Reference]] = None
    productType: Optional[List[CodeableConcept]] = None
    monograph: Optional[List[MedicationKnowledgeMonograph]] = None
    preparationInstruction: Optional[Markdown] = None
    _preparationInstruction: Optional[Element] = None
    cost: Optional[List[MedicationKnowledgeCost]] = None
    monitoringProgram: Optional[List[MedicationKnowledgeMonitoringProgram]] = None
    indicationGuideline: Optional[List[MedicationKnowledgeIndicationGuideline]] = None
    medicineClassification: Optional[
        List[MedicationKnowledgeMedicineClassification]
    ] = None
    packaging: Optional[List[MedicationKnowledgePackaging]] = None
    clinicalUseIssue: Optional[List[Reference]] = None
    storageGuideline: Optional[List[MedicationKnowledgeStorageGuideline]] = None
    regulatory: Optional[List[MedicationKnowledgeRegulatory]] = None
    definitional: Optional[MedicationKnowledgeDefinitional] = None


@dataclass
class MedicationKnowledgeRelatedMedicationKnowledge(XFHIR):
    type: CodeableConcept
    reference: List[Reference]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class MedicationKnowledgeMonograph(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    source: Optional[Reference] = None


@dataclass
class MedicationKnowledgeCost(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    effectiveDate: Optional[List[Period]] = None
    source: Optional[String] = None
    _source: Optional[Element] = None
    costMoney: Optional[Money] = None
    costCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class MedicationKnowledgeMonitoringProgram(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    name: Optional[String] = None
    _name: Optional[Element] = None


@dataclass
class MedicationKnowledgeIndicationGuideline(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    indication: Optional[List[CodeableReference]] = None
    dosingGuideline: Optional[List[MedicationKnowledgeDosingGuideline]] = None


@dataclass
class MedicationKnowledgeDosingGuideline(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    treatmentIntent: Optional[CodeableConcept] = None
    dosage: Optional[List[MedicationKnowledgeDosage]] = None
    administrationTreatment: Optional[CodeableConcept] = None
    patientCharacteristic: Optional[
        List[MedicationKnowledgePatientCharacteristic]
    ] = None


@dataclass
class MedicationKnowledgeDosage(XFHIR):
    type: CodeableConcept
    dosage: List[Dosage]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class MedicationKnowledgePatientCharacteristic(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None


@dataclass
class MedicationKnowledgeMedicineClassification(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sourceString: Optional[str] = None
    _sourceString: Optional[Element] = None
    sourceUri: Optional[str] = None
    _sourceUri: Optional[Element] = None
    classification: Optional[List[CodeableConcept]] = None


@dataclass
class MedicationKnowledgePackaging(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    cost: Optional[List[MedicationKnowledgeCost]] = None
    packagedProduct: Optional[Reference] = None


@dataclass
class MedicationKnowledgeStorageGuideline(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    reference: Optional[Uri] = None
    _reference: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    stabilityDuration: Optional[Duration] = None
    environmentalSetting: Optional[List[MedicationKnowledgeEnvironmentalSetting]] = None


@dataclass
class MedicationKnowledgeEnvironmentalSetting(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class MedicationKnowledgeRegulatory(XFHIR):
    regulatoryAuthority: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    substitution: Optional[List[MedicationKnowledgeSubstitution]] = None
    schedule: Optional[List[CodeableConcept]] = None
    maxDispense: Optional[MedicationKnowledgeMaxDispense] = None


@dataclass
class MedicationKnowledgeSubstitution(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    allowed: Optional[Boolean] = None
    _allowed: Optional[Element] = None


@dataclass
class MedicationKnowledgeMaxDispense(XFHIR):
    quantity: Quantity
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    period: Optional[Duration] = None


@dataclass
class MedicationKnowledgeDefinitional(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    definition: Optional[List[Reference]] = None
    doseForm: Optional[CodeableConcept] = None
    intendedRoute: Optional[List[CodeableConcept]] = None
    ingredient: Optional[List[MedicationKnowledgeIngredient]] = None
    drugCharacteristic: Optional[List[MedicationKnowledgeDrugCharacteristic]] = None


@dataclass
class MedicationKnowledgeIngredient(XFHIR):
    item: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    strengthRatio: Optional[Ratio] = None
    strengthCodeableConcept: Optional[CodeableConcept] = None
    strengthQuantity: Optional[Quantity] = None


@dataclass
class MedicationKnowledgeDrugCharacteristic(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None


@dataclass
class MedicationRequest(XFHIR):
    medication: CodeableReference
    subject: Reference
    resourceType: str = 'MedicationRequest'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    priorPrescription: Optional[Reference] = None
    groupIdentifier: Optional[Identifier] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableConcept] = None
    statusChanged: Optional[DateTime] = None
    _statusChanged: Optional[Element] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    doNotPerform: Optional[Boolean] = None
    _doNotPerform: Optional[Element] = None
    informationSource: Optional[List[Reference]] = None
    encounter: Optional[Reference] = None
    supportingInformation: Optional[List[Reference]] = None
    authoredOn: Optional[DateTime] = None
    _authoredOn: Optional[Element] = None
    requester: Optional[Reference] = None
    reported: Optional[Boolean] = None
    _reported: Optional[Element] = None
    performerType: Optional[CodeableConcept] = None
    performer: Optional[List[Reference]] = None
    device: Optional[List[CodeableReference]] = None
    recorder: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    courseOfTherapyType: Optional[CodeableConcept] = None
    insurance: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    renderedDosageInstruction: Optional[Markdown] = None
    _renderedDosageInstruction: Optional[Element] = None
    effectiveDosePeriod: Optional[Period] = None
    dosageInstruction: Optional[List[Dosage]] = None
    dispenseRequest: Optional[MedicationRequestDispenseRequest] = None
    substitution: Optional[MedicationRequestSubstitution] = None
    eventHistory: Optional[List[Reference]] = None


@dataclass
class MedicationRequestDispenseRequest(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    initialFill: Optional[MedicationRequestInitialFill] = None
    dispenseInterval: Optional[Duration] = None
    validityPeriod: Optional[Period] = None
    numberOfRepeatsAllowed: Optional[UnsignedInt] = None
    _numberOfRepeatsAllowed: Optional[Element] = None
    quantity: Optional[Quantity] = None
    expectedSupplyDuration: Optional[Duration] = None
    dispenser: Optional[Reference] = None
    dispenserInstruction: Optional[List[Annotation]] = None
    doseAdministrationAid: Optional[CodeableConcept] = None


@dataclass
class MedicationRequestInitialFill(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    quantity: Optional[Quantity] = None
    duration: Optional[Duration] = None


@dataclass
class MedicationRequestSubstitution(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    allowedBoolean: Optional[bool] = None
    _allowedBoolean: Optional[Element] = None
    allowedCodeableConcept: Optional[CodeableConcept] = None
    reason: Optional[CodeableConcept] = None


@dataclass
class MedicationStatement(XFHIR):
    medication: CodeableReference
    subject: Reference
    resourceType: str = 'MedicationStatement'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    encounter: Optional[Reference] = None
    effectiveDateTime: Optional[str] = None
    _effectiveDateTime: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    effectiveTiming: Optional[Timing] = None
    dateAsserted: Optional[DateTime] = None
    _dateAsserted: Optional[Element] = None
    informationSource: Optional[List[Reference]] = None
    derivedFrom: Optional[List[Reference]] = None
    reason: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None
    relatedClinicalInformation: Optional[List[Reference]] = None
    renderedDosageInstruction: Optional[Markdown] = None
    _renderedDosageInstruction: Optional[Element] = None
    dosage: Optional[List[Dosage]] = None
    adherence: Optional[MedicationStatementAdherence] = None


@dataclass
class MedicationStatementAdherence(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    reason: Optional[CodeableConcept] = None


@dataclass
class MedicinalProductDefinition(XFHIR):
    name: List[MedicinalProductDefinitionName]
    resourceType: str = 'MedicinalProductDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    type: Optional[CodeableConcept] = None
    domain: Optional[CodeableConcept] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    status: Optional[CodeableConcept] = None
    statusDate: Optional[DateTime] = None
    _statusDate: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    combinedPharmaceuticalDoseForm: Optional[CodeableConcept] = None
    route: Optional[List[CodeableConcept]] = None
    indication: Optional[Markdown] = None
    _indication: Optional[Element] = None
    legalStatusOfSupply: Optional[CodeableConcept] = None
    additionalMonitoringIndicator: Optional[CodeableConcept] = None
    specialMeasures: Optional[List[CodeableConcept]] = None
    pediatricUseIndicator: Optional[CodeableConcept] = None
    classification: Optional[List[CodeableConcept]] = None
    marketingStatus: Optional[List[MarketingStatus]] = None
    packagedMedicinalProduct: Optional[List[CodeableConcept]] = None
    comprisedOf: Optional[List[Reference]] = None
    ingredient: Optional[List[CodeableConcept]] = None
    impurity: Optional[List[CodeableReference]] = None
    attachedDocument: Optional[List[Reference]] = None
    masterFile: Optional[List[Reference]] = None
    contact: Optional[List[MedicinalProductDefinitionContact]] = None
    clinicalTrial: Optional[List[Reference]] = None
    code: Optional[List[Coding]] = None
    crossReference: Optional[List[MedicinalProductDefinitionCrossReference]] = None
    operation: Optional[List[MedicinalProductDefinitionOperation]] = None
    characteristic: Optional[List[MedicinalProductDefinitionCharacteristic]] = None


@dataclass
class MedicinalProductDefinitionContact(XFHIR):
    contact: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None


@dataclass
class MedicinalProductDefinitionName(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    productName: Optional[String] = None
    _productName: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    part: Optional[List[MedicinalProductDefinitionPart]] = None
    usage: Optional[List[MedicinalProductDefinitionUsage]] = None


@dataclass
class MedicinalProductDefinitionPart(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    part: Optional[String] = None
    _part: Optional[Element] = None


@dataclass
class MedicinalProductDefinitionUsage(XFHIR):
    country: CodeableConcept
    language: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    jurisdiction: Optional[CodeableConcept] = None


@dataclass
class MedicinalProductDefinitionCrossReference(XFHIR):
    product: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None


@dataclass
class MedicinalProductDefinitionOperation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableReference] = None
    effectiveDate: Optional[Period] = None
    organization: Optional[List[Reference]] = None
    confidentialityIndicator: Optional[CodeableConcept] = None


@dataclass
class MedicinalProductDefinitionCharacteristic(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None


@dataclass
class MessageDefinition(XFHIR):
    resourceType: str = 'MessageDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    replaces: Optional[List[Canonical]] = None
    base: Optional[Canonical] = None
    parent: Optional[List[Canonical]] = None
    eventCoding: Optional[Coding] = None
    eventUri: Optional[str] = None
    _eventUri: Optional[Element] = None
    category: Optional[Code] = None
    _category: Optional[Element] = None
    focus: Optional[List[MessageDefinitionFocus]] = None
    responseRequired: Optional[Code] = None
    _responseRequired: Optional[Element] = None
    allowedResponse: Optional[List[MessageDefinitionAllowedResponse]] = None
    graph: Optional[Canonical] = None


@dataclass
class MessageDefinitionFocus(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    profile: Optional[Canonical] = None
    min: Optional[UnsignedInt] = None
    _min: Optional[Element] = None
    max: Optional[String] = None
    _max: Optional[Element] = None


@dataclass
class MessageDefinitionAllowedResponse(XFHIR):
    message: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    situation: Optional[Markdown] = None
    _situation: Optional[Element] = None


@dataclass
class MessageHeader(XFHIR):
    source: MessageHeaderSource
    resourceType: str = 'MessageHeader'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    eventCoding: Optional[Coding] = None
    eventCanonical: Optional[str] = None
    _eventCanonical: Optional[Element] = None
    destination: Optional[List[MessageHeaderDestination]] = None
    reason: Optional[CodeableConcept] = None
    response: Optional[MessageHeaderResponse] = None
    focus: Optional[List[Reference]] = None
    definition: Optional[Canonical] = None


@dataclass
class MessageHeaderDestination(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    endpointUrl: Optional[str] = None
    _endpointUrl: Optional[Element] = None
    endpointReference: Optional[Reference] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    target: Optional[Reference] = None
    receiver: Optional[Reference] = None


@dataclass
class MessageHeaderSource(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    endpointUrl: Optional[str] = None
    _endpointUrl: Optional[Element] = None
    endpointReference: Optional[Reference] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    software: Optional[String] = None
    _software: Optional[Element] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    contact: Optional[ContactPoint] = None
    sender: Optional[Reference] = None


@dataclass
class MessageHeaderResponse(XFHIR):
    identifier: Identifier
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    details: Optional[Reference] = None


@dataclass
class MolecularSequence(XFHIR):
    resourceType: str = 'MolecularSequence'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    subject: Optional[Reference] = None
    focus: Optional[List[Reference]] = None
    specimen: Optional[Reference] = None
    device: Optional[Reference] = None
    performer: Optional[Reference] = None
    literal: Optional[String] = None
    _literal: Optional[Element] = None
    formatted: Optional[List[Attachment]] = None
    relative: Optional[List[MolecularSequenceRelative]] = None


@dataclass
class MolecularSequenceRelative(XFHIR):
    coordinateSystem: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    ordinalPosition: Optional[Integer] = None
    _ordinalPosition: Optional[Element] = None
    sequenceRange: Optional[Range] = None
    startingSequence: Optional[MolecularSequenceStartingSequence] = None
    edit: Optional[List[MolecularSequenceEdit]] = None


@dataclass
class MolecularSequenceStartingSequence(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    genomeAssembly: Optional[CodeableConcept] = None
    chromosome: Optional[CodeableConcept] = None
    sequenceCodeableConcept: Optional[CodeableConcept] = None
    sequenceString: Optional[str] = None
    _sequenceString: Optional[Element] = None
    sequenceReference: Optional[Reference] = None
    windowStart: Optional[Integer] = None
    _windowStart: Optional[Element] = None
    windowEnd: Optional[Integer] = None
    _windowEnd: Optional[Element] = None
    orientation: Optional[Code] = None
    _orientation: Optional[Element] = None
    strand: Optional[Code] = None
    _strand: Optional[Element] = None


@dataclass
class MolecularSequenceEdit(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    start: Optional[Integer] = None
    _start: Optional[Element] = None
    end: Optional[Integer] = None
    _end: Optional[Element] = None
    replacementSequence: Optional[String] = None
    _replacementSequence: Optional[Element] = None
    replacedSequence: Optional[String] = None
    _replacedSequence: Optional[Element] = None


@dataclass
class NamingSystem(XFHIR):
    uniqueId: List[NamingSystemUniqueId]
    resourceType: str = 'NamingSystem'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    responsible: Optional[String] = None
    _responsible: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    usage: Optional[String] = None
    _usage: Optional[Element] = None


@dataclass
class NamingSystemUniqueId(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None
    preferred: Optional[Boolean] = None
    _preferred: Optional[Element] = None
    comment: Optional[String] = None
    _comment: Optional[Element] = None
    period: Optional[Period] = None
    authoritative: Optional[Boolean] = None
    _authoritative: Optional[Element] = None


@dataclass
class NutritionIntake(XFHIR):
    subject: Reference
    consumedItem: List[NutritionIntakeConsumedItem]
    resourceType: str = 'NutritionIntake'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[List[CodeableConcept]] = None
    code: Optional[CodeableConcept] = None
    encounter: Optional[Reference] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    recorded: Optional[DateTime] = None
    _recorded: Optional[Element] = None
    reportedBoolean: Optional[bool] = None
    _reportedBoolean: Optional[Element] = None
    reportedReference: Optional[Reference] = None
    ingredientLabel: Optional[List[NutritionIntakeIngredientLabel]] = None
    performer: Optional[List[NutritionIntakePerformer]] = None
    location: Optional[Reference] = None
    derivedFrom: Optional[List[Reference]] = None
    reason: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class NutritionIntakeConsumedItem(XFHIR):
    type: CodeableConcept
    nutritionProduct: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    schedule: Optional[Timing] = None
    amount: Optional[Quantity] = None
    rate: Optional[Quantity] = None
    notConsumed: Optional[Boolean] = None
    _notConsumed: Optional[Element] = None
    notConsumedReason: Optional[CodeableConcept] = None


@dataclass
class NutritionIntakeIngredientLabel(XFHIR):
    nutrient: CodeableReference
    amount: Quantity
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class NutritionIntakePerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class NutritionOrder(XFHIR):
    subject: Reference
    resourceType: str = 'NutritionOrder'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    instantiates: Optional[List[Uri]] = None
    _instantiates: Optional[List[Element]] = None
    basedOn: Optional[List[Reference]] = None
    groupIdentifier: Optional[Identifier] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    encounter: Optional[Reference] = None
    supportingInformation: Optional[List[Reference]] = None
    dateTime: Optional[DateTime] = None
    _dateTime: Optional[Element] = None
    orderer: Optional[Reference] = None
    performer: Optional[List[CodeableReference]] = None
    allergyIntolerance: Optional[List[Reference]] = None
    foodPreferenceModifier: Optional[List[CodeableConcept]] = None
    excludeFoodModifier: Optional[List[CodeableConcept]] = None
    outsideFoodAllowed: Optional[Boolean] = None
    _outsideFoodAllowed: Optional[Element] = None
    oralDiet: Optional[NutritionOrderOralDiet] = None
    supplement: Optional[List[NutritionOrderSupplement]] = None
    enteralFormula: Optional[NutritionOrderEnteralFormula] = None
    note: Optional[List[Annotation]] = None


@dataclass
class NutritionOrderOralDiet(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[List[CodeableConcept]] = None
    schedule: Optional[NutritionOrderSchedule] = None
    nutrient: Optional[List[NutritionOrderNutrient]] = None
    texture: Optional[List[NutritionOrderTexture]] = None
    fluidConsistencyType: Optional[List[CodeableConcept]] = None
    instruction: Optional[String] = None
    _instruction: Optional[Element] = None


@dataclass
class NutritionOrderSchedule(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    timing: Optional[List[Timing]] = None
    asNeeded: Optional[Boolean] = None
    _asNeeded: Optional[Element] = None
    asNeededFor: Optional[CodeableConcept] = None


@dataclass
class NutritionOrderNutrient(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    modifier: Optional[CodeableConcept] = None
    amount: Optional[Quantity] = None


@dataclass
class NutritionOrderTexture(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    modifier: Optional[CodeableConcept] = None
    foodType: Optional[CodeableConcept] = None


@dataclass
class NutritionOrderSupplement(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableReference] = None
    productName: Optional[String] = None
    _productName: Optional[Element] = None
    schedule: Optional[NutritionOrderSchedule1] = None
    quantity: Optional[Quantity] = None
    instruction: Optional[String] = None
    _instruction: Optional[Element] = None


@dataclass
class NutritionOrderSchedule1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    timing: Optional[List[Timing]] = None
    asNeeded: Optional[Boolean] = None
    _asNeeded: Optional[Element] = None
    asNeededFor: Optional[CodeableConcept] = None


@dataclass
class NutritionOrderEnteralFormula(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    baseFormulaType: Optional[CodeableReference] = None
    baseFormulaProductName: Optional[String] = None
    _baseFormulaProductName: Optional[Element] = None
    deliveryDevice: Optional[List[CodeableReference]] = None
    additive: Optional[List[NutritionOrderAdditive]] = None
    caloricDensity: Optional[Quantity] = None
    routeOfAdministration: Optional[CodeableConcept] = None
    administration: Optional[List[NutritionOrderAdministration]] = None
    maxVolumeToDeliver: Optional[Quantity] = None
    administrationInstruction: Optional[Markdown] = None
    _administrationInstruction: Optional[Element] = None


@dataclass
class NutritionOrderAdditive(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableReference] = None
    productName: Optional[String] = None
    _productName: Optional[Element] = None
    quantity: Optional[Quantity] = None


@dataclass
class NutritionOrderAdministration(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    schedule: Optional[NutritionOrderSchedule2] = None
    quantity: Optional[Quantity] = None
    rateQuantity: Optional[Quantity] = None
    rateRatio: Optional[Ratio] = None


@dataclass
class NutritionOrderSchedule2(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    timing: Optional[List[Timing]] = None
    asNeeded: Optional[Boolean] = None
    _asNeeded: Optional[Element] = None
    asNeededFor: Optional[CodeableConcept] = None


@dataclass
class NutritionProduct(XFHIR):
    resourceType: str = 'NutritionProduct'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[CodeableConcept] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    manufacturer: Optional[List[Reference]] = None
    nutrient: Optional[List[NutritionProductNutrient]] = None
    ingredient: Optional[List[NutritionProductIngredient]] = None
    knownAllergen: Optional[List[CodeableReference]] = None
    characteristic: Optional[List[NutritionProductCharacteristic]] = None
    instance: Optional[List[NutritionProductInstance]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class NutritionProductNutrient(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    item: Optional[CodeableReference] = None
    amount: Optional[List[Ratio]] = None


@dataclass
class NutritionProductIngredient(XFHIR):
    item: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    amount: Optional[List[Ratio]] = None


@dataclass
class NutritionProductCharacteristic(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueQuantity: Optional[Quantity] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None


@dataclass
class NutritionProductInstance(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    quantity: Optional[Quantity] = None
    identifier: Optional[List[Identifier]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    lotNumber: Optional[String] = None
    _lotNumber: Optional[Element] = None
    expiry: Optional[DateTime] = None
    _expiry: Optional[Element] = None
    useBy: Optional[DateTime] = None
    _useBy: Optional[Element] = None
    biologicalSourceEvent: Optional[Identifier] = None


@dataclass
class Observation(XFHIR):
    code: CodeableConcept
    resourceType: str = 'Observation'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[str] = None
    _instantiatesCanonical: Optional[Element] = None
    instantiatesReference: Optional[Reference] = None
    basedOn: Optional[List[Reference]] = None
    triggeredBy: Optional[List[ObservationTriggeredBy]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    subject: Optional[Reference] = None
    focus: Optional[List[Reference]] = None
    encounter: Optional[Reference] = None
    effectiveDateTime: Optional[str] = None
    _effectiveDateTime: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    effectiveTiming: Optional[Timing] = None
    effectiveInstant: Optional[str] = None
    _effectiveInstant: Optional[Element] = None
    issued: Optional[Instant] = None
    _issued: Optional[Element] = None
    performer: Optional[List[Reference]] = None
    valueQuantity: Optional[Quantity] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueSampledData: Optional[SampledData] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valuePeriod: Optional[Period] = None
    valueAttachment: Optional[Attachment] = None
    valueReference: Optional[Reference] = None
    dataAbsentReason: Optional[CodeableConcept] = None
    interpretation: Optional[List[CodeableConcept]] = None
    note: Optional[List[Annotation]] = None
    bodySite: Optional[CodeableConcept] = None
    bodyStructure: Optional[Reference] = None
    method: Optional[CodeableConcept] = None
    specimen: Optional[Reference] = None
    device: Optional[Reference] = None
    referenceRange: Optional[List[ObservationReferenceRange]] = None
    hasMember: Optional[List[Reference]] = None
    derivedFrom: Optional[List[Reference]] = None
    component: Optional[List[ObservationComponent]] = None


@dataclass
class ObservationTriggeredBy(XFHIR):
    observation: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    reason: Optional[String] = None
    _reason: Optional[Element] = None


@dataclass
class ObservationReferenceRange(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    low: Optional[Quantity] = None
    high: Optional[Quantity] = None
    normalValue: Optional[CodeableConcept] = None
    type: Optional[CodeableConcept] = None
    appliesTo: Optional[List[CodeableConcept]] = None
    age: Optional[Range] = None
    text: Optional[Markdown] = None
    _text: Optional[Element] = None


@dataclass
class ObservationComponent(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueQuantity: Optional[Quantity] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueSampledData: Optional[SampledData] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valuePeriod: Optional[Period] = None
    valueAttachment: Optional[Attachment] = None
    valueReference: Optional[Reference] = None
    dataAbsentReason: Optional[CodeableConcept] = None
    interpretation: Optional[List[CodeableConcept]] = None
    referenceRange: Optional[List[ObservationReferenceRange]] = None


@dataclass
class ObservationDefinition(XFHIR):
    code: CodeableConcept
    resourceType: str = 'ObservationDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[Identifier] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    derivedFromCanonical: Optional[List[Canonical]] = None
    derivedFromUri: Optional[List[Uri]] = None
    _derivedFromUri: Optional[List[Element]] = None
    subject: Optional[List[CodeableConcept]] = None
    performerType: Optional[CodeableConcept] = None
    category: Optional[List[CodeableConcept]] = None
    permittedDataType: Optional[List[Code]] = None
    _permittedDataType: Optional[List[Element]] = None
    multipleResultsAllowed: Optional[Boolean] = None
    _multipleResultsAllowed: Optional[Element] = None
    bodySite: Optional[CodeableConcept] = None
    method: Optional[CodeableConcept] = None
    specimen: Optional[List[Reference]] = None
    device: Optional[List[Reference]] = None
    preferredReportName: Optional[String] = None
    _preferredReportName: Optional[Element] = None
    permittedUnit: Optional[List[Coding]] = None
    qualifiedValue: Optional[List[ObservationDefinitionQualifiedValue]] = None
    hasMember: Optional[List[Reference]] = None
    component: Optional[List[ObservationDefinitionComponent]] = None


@dataclass
class ObservationDefinitionQualifiedValue(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    context: Optional[CodeableConcept] = None
    appliesTo: Optional[List[CodeableConcept]] = None
    gender: Optional[Code] = None
    _gender: Optional[Element] = None
    age: Optional[Range] = None
    gestationalAge: Optional[Range] = None
    condition: Optional[String] = None
    _condition: Optional[Element] = None
    rangeCategory: Optional[Code] = None
    _rangeCategory: Optional[Element] = None
    range: Optional[Range] = None
    validCodedValueSet: Optional[Canonical] = None
    normalCodedValueSet: Optional[Canonical] = None
    abnormalCodedValueSet: Optional[Canonical] = None
    criticalCodedValueSet: Optional[Canonical] = None


@dataclass
class ObservationDefinitionComponent(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    permittedDataType: Optional[List[Code]] = None
    _permittedDataType: Optional[List[Element]] = None
    permittedUnit: Optional[List[Coding]] = None
    qualifiedValue: Optional[List[ObservationDefinitionQualifiedValue]] = None


@dataclass
class OperationDefinition(XFHIR):
    resourceType: str = 'OperationDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    affectsState: Optional[Boolean] = None
    _affectsState: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    comment: Optional[Markdown] = None
    _comment: Optional[Element] = None
    base: Optional[Canonical] = None
    resource: Optional[List[Code]] = None
    _resource: Optional[List[Element]] = None
    system: Optional[Boolean] = None
    _system: Optional[Element] = None
    type: Optional[Boolean] = None
    _type: Optional[Element] = None
    instance: Optional[Boolean] = None
    _instance: Optional[Element] = None
    inputProfile: Optional[Canonical] = None
    outputProfile: Optional[Canonical] = None
    parameter: Optional[List[OperationDefinitionParameter]] = None
    overload: Optional[List[OperationDefinitionOverload]] = None


@dataclass
class OperationDefinitionParameter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[Code] = None
    _name: Optional[Element] = None
    use: Optional[Code] = None
    _use: Optional[Element] = None
    scope: Optional[List[Code]] = None
    _scope: Optional[List[Element]] = None
    min: Optional[Integer] = None
    _min: Optional[Element] = None
    max: Optional[String] = None
    _max: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    allowedType: Optional[List[Code]] = None
    _allowedType: Optional[List[Element]] = None
    targetProfile: Optional[List[Canonical]] = None
    searchType: Optional[Code] = None
    _searchType: Optional[Element] = None
    binding: Optional[OperationDefinitionBinding] = None
    referencedFrom: Optional[List[OperationDefinitionReferencedFrom]] = None
    part: Optional[List[OperationDefinitionParameter]] = None


@dataclass
class OperationDefinitionBinding(XFHIR):
    valueSet: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    strength: Optional[Code] = None
    _strength: Optional[Element] = None


@dataclass
class OperationDefinitionReferencedFrom(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    source: Optional[String] = None
    _source: Optional[Element] = None
    sourceId: Optional[String] = None
    _sourceId: Optional[Element] = None


@dataclass
class OperationDefinitionOverload(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    parameterName: Optional[List[String]] = None
    _parameterName: Optional[List[Element]] = None
    comment: Optional[String] = None
    _comment: Optional[Element] = None


@dataclass
class OperationOutcome(XFHIR):
    issue: List[OperationOutcomeIssue]
    resourceType: str = 'OperationOutcome'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class OperationOutcomeIssue(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    severity: Optional[Code] = None
    _severity: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    details: Optional[CodeableConcept] = None
    diagnostics: Optional[String] = None
    _diagnostics: Optional[Element] = None
    location: Optional[List[String]] = None
    _location: Optional[List[Element]] = None
    expression: Optional[List[String]] = None
    _expression: Optional[List[Element]] = None


@dataclass
class Organization(XFHIR):
    resourceType: str = 'Organization'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    alias: Optional[List[String]] = None
    _alias: Optional[List[Element]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    contact: Optional[List[ExtendedContactDetail]] = None
    partOf: Optional[Reference] = None
    endpoint: Optional[List[Reference]] = None
    qualification: Optional[List[OrganizationQualification]] = None


@dataclass
class OrganizationQualification(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    period: Optional[Period] = None
    issuer: Optional[Reference] = None


@dataclass
class OrganizationAffiliation(XFHIR):
    resourceType: str = 'OrganizationAffiliation'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    period: Optional[Period] = None
    organization: Optional[Reference] = None
    participatingOrganization: Optional[Reference] = None
    network: Optional[List[Reference]] = None
    code: Optional[List[CodeableConcept]] = None
    specialty: Optional[List[CodeableConcept]] = None
    location: Optional[List[Reference]] = None
    healthcareService: Optional[List[Reference]] = None
    contact: Optional[List[ExtendedContactDetail]] = None
    endpoint: Optional[List[Reference]] = None


@dataclass
class PackagedProductDefinition(XFHIR):
    resourceType: str = 'PackagedProductDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    packageFor: Optional[List[Reference]] = None
    status: Optional[CodeableConcept] = None
    statusDate: Optional[DateTime] = None
    _statusDate: Optional[Element] = None
    containedItemQuantity: Optional[List[Quantity]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    legalStatusOfSupply: Optional[
        List[PackagedProductDefinitionLegalStatusOfSupply]
    ] = None
    marketingStatus: Optional[List[MarketingStatus]] = None
    copackagedIndicator: Optional[Boolean] = None
    _copackagedIndicator: Optional[Element] = None
    manufacturer: Optional[List[Reference]] = None
    attachedDocument: Optional[List[Reference]] = None
    packaging: Optional[PackagedProductDefinitionPackaging] = None
    characteristic: Optional[List[PackagedProductDefinitionProperty]] = None


@dataclass
class PackagedProductDefinitionLegalStatusOfSupply(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[CodeableConcept] = None
    jurisdiction: Optional[CodeableConcept] = None


@dataclass
class PackagedProductDefinitionPackaging(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    type: Optional[CodeableConcept] = None
    componentPart: Optional[Boolean] = None
    _componentPart: Optional[Element] = None
    quantity: Optional[Integer] = None
    _quantity: Optional[Element] = None
    material: Optional[List[CodeableConcept]] = None
    alternateMaterial: Optional[List[CodeableConcept]] = None
    shelfLifeStorage: Optional[List[ProductShelfLife]] = None
    manufacturer: Optional[List[Reference]] = None
    property: Optional[List[PackagedProductDefinitionProperty]] = None
    containedItem: Optional[List[PackagedProductDefinitionContainedItem]] = None
    packaging: Optional[List[PackagedProductDefinitionPackaging]] = None


@dataclass
class PackagedProductDefinitionProperty(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None


@dataclass
class PackagedProductDefinitionContainedItem(XFHIR):
    item: CodeableReference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    amount: Optional[Quantity] = None


@dataclass
class Parameters(XFHIR):
    resourceType: str = 'Parameters'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    parameter: Optional[List[ParametersParameter]] = None


@dataclass
class ParametersParameter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueCanonical: Optional[str] = None
    _valueCanonical: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueId: Optional[str] = None
    _valueId: Optional[Element] = None
    valueInstant: Optional[str] = None
    _valueInstant: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueInteger64: Optional[str] = None
    _valueInteger64: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueOid: Optional[str] = None
    _valueOid: Optional[Element] = None
    valuePositiveInt: Optional[float] = None
    _valuePositiveInt: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueUnsignedInt: Optional[float] = None
    _valueUnsignedInt: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueUrl: Optional[str] = None
    _valueUrl: Optional[Element] = None
    valueUuid: Optional[str] = None
    _valueUuid: Optional[Element] = None
    valueAddress: Optional[Address] = None
    valueAge: Optional[Age] = None
    valueAnnotation: Optional[Annotation] = None
    valueAttachment: Optional[Attachment] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueCodeableReference: Optional[CodeableReference] = None
    valueCoding: Optional[Coding] = None
    valueContactPoint: Optional[ContactPoint] = None
    valueCount: Optional[Count] = None
    valueDistance: Optional[Distance] = None
    valueDuration: Optional[Duration] = None
    valueHumanName: Optional[HumanName] = None
    valueIdentifier: Optional[Identifier] = None
    valueMoney: Optional[Money] = None
    valuePeriod: Optional[Period] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueRatioRange: Optional[RatioRange] = None
    valueReference: Optional[Reference] = None
    valueSampledData: Optional[SampledData] = None
    valueSignature: Optional[Signature] = None
    valueTiming: Optional[Timing] = None
    valueContactDetail: Optional[ContactDetail] = None
    valueDataRequirement: Optional[DataRequirement] = None
    valueExpression: Optional[Expression] = None
    valueParameterDefinition: Optional[ParameterDefinition] = None
    valueRelatedArtifact: Optional[RelatedArtifact] = None
    valueTriggerDefinition: Optional[TriggerDefinition] = None
    valueUsageContext: Optional[UsageContext] = None
    valueAvailability: Optional[Availability] = None
    valueExtendedContactDetail: Optional[ExtendedContactDetail] = None
    valueDosage: Optional[Dosage] = None
    valueMeta: Optional[Meta] = None
    resource: Optional[ResourceList] = None
    part: Optional[List[ParametersParameter]] = None


@dataclass
class Patient(XFHIR):
    resourceType: str = 'Patient'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    name: Optional[List[HumanName]] = None
    telecom: Optional[List[ContactPoint]] = None
    gender: Optional[Code] = None
    _gender: Optional[Element] = None
    birthDate: Optional[Date] = None
    _birthDate: Optional[Element] = None
    deceasedBoolean: Optional[bool] = None
    _deceasedBoolean: Optional[Element] = None
    deceasedDateTime: Optional[str] = None
    _deceasedDateTime: Optional[Element] = None
    address: Optional[List[Address]] = None
    maritalStatus: Optional[CodeableConcept] = None
    multipleBirthBoolean: Optional[bool] = None
    _multipleBirthBoolean: Optional[Element] = None
    multipleBirthInteger: Optional[float] = None
    _multipleBirthInteger: Optional[Element] = None
    photo: Optional[List[Attachment]] = None
    contact: Optional[List[PatientContact]] = None
    communication: Optional[List[PatientCommunication]] = None
    generalPractitioner: Optional[List[Reference]] = None
    managingOrganization: Optional[Reference] = None
    link: Optional[List[PatientLink]] = None


@dataclass
class PatientContact(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    relationship: Optional[List[CodeableConcept]] = None
    name: Optional[HumanName] = None
    telecom: Optional[List[ContactPoint]] = None
    address: Optional[Address] = None
    gender: Optional[Code] = None
    _gender: Optional[Element] = None
    organization: Optional[Reference] = None
    period: Optional[Period] = None


@dataclass
class PatientCommunication(XFHIR):
    language: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    preferred: Optional[Boolean] = None
    _preferred: Optional[Element] = None


@dataclass
class PatientLink(XFHIR):
    other: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None


@dataclass
class PaymentNotice(XFHIR):
    recipient: Reference
    amount: Money
    resourceType: str = 'PaymentNotice'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    request: Optional[Reference] = None
    response: Optional[Reference] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    reporter: Optional[Reference] = None
    payment: Optional[Reference] = None
    paymentDate: Optional[Date] = None
    _paymentDate: Optional[Element] = None
    payee: Optional[Reference] = None
    paymentStatus: Optional[CodeableConcept] = None


@dataclass
class PaymentReconciliation(XFHIR):
    type: CodeableConcept
    amount: Money
    resourceType: str = 'PaymentReconciliation'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    kind: Optional[CodeableConcept] = None
    period: Optional[Period] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    enterer: Optional[Reference] = None
    issuerType: Optional[CodeableConcept] = None
    paymentIssuer: Optional[Reference] = None
    request: Optional[Reference] = None
    requestor: Optional[Reference] = None
    outcome: Optional[Code] = None
    _outcome: Optional[Element] = None
    disposition: Optional[String] = None
    _disposition: Optional[Element] = None
    date: Optional[Date] = None
    _date: Optional[Element] = None
    location: Optional[Reference] = None
    method: Optional[CodeableConcept] = None
    cardBrand: Optional[String] = None
    _cardBrand: Optional[Element] = None
    accountNumber: Optional[String] = None
    _accountNumber: Optional[Element] = None
    expirationDate: Optional[Date] = None
    _expirationDate: Optional[Element] = None
    processor: Optional[String] = None
    _processor: Optional[Element] = None
    referenceNumber: Optional[String] = None
    _referenceNumber: Optional[Element] = None
    authorization: Optional[String] = None
    _authorization: Optional[Element] = None
    tenderedAmount: Optional[Money] = None
    returnedAmount: Optional[Money] = None
    paymentIdentifier: Optional[Identifier] = None
    allocation: Optional[List[PaymentReconciliationAllocation]] = None
    formCode: Optional[CodeableConcept] = None
    processNote: Optional[List[PaymentReconciliationProcessNote]] = None


@dataclass
class PaymentReconciliationAllocation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Identifier] = None
    predecessor: Optional[Identifier] = None
    target: Optional[Reference] = None
    targetItemString: Optional[str] = None
    _targetItemString: Optional[Element] = None
    targetItemIdentifier: Optional[Identifier] = None
    targetItemPositiveInt: Optional[float] = None
    _targetItemPositiveInt: Optional[Element] = None
    encounter: Optional[Reference] = None
    account: Optional[Reference] = None
    type: Optional[CodeableConcept] = None
    submitter: Optional[Reference] = None
    response: Optional[Reference] = None
    date: Optional[Date] = None
    _date: Optional[Element] = None
    responsible: Optional[Reference] = None
    payee: Optional[Reference] = None
    amount: Optional[Money] = None


@dataclass
class PaymentReconciliationProcessNote(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    text: Optional[String] = None
    _text: Optional[Element] = None


@dataclass
class Permission(XFHIR):
    resourceType: str = 'Permission'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    asserter: Optional[Reference] = None
    date: Optional[List[DateTime]] = None
    _date: Optional[List[Element]] = None
    validity: Optional[Period] = None
    justification: Optional[PermissionJustification] = None
    combining: Optional[Code] = None
    _combining: Optional[Element] = None
    rule: Optional[List[PermissionRule]] = None


@dataclass
class PermissionJustification(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    basis: Optional[List[CodeableConcept]] = None
    evidence: Optional[List[Reference]] = None


@dataclass
class PermissionRule(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    data: Optional[List[PermissionData]] = None
    activity: Optional[List[PermissionActivity]] = None
    limit: Optional[List[CodeableConcept]] = None


@dataclass
class PermissionData(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    resource: Optional[List[PermissionResource]] = None
    security: Optional[List[Coding]] = None
    period: Optional[List[Period]] = None
    expression: Optional[Expression] = None


@dataclass
class PermissionResource(XFHIR):
    reference: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    meaning: Optional[Code] = None
    _meaning: Optional[Element] = None


@dataclass
class PermissionActivity(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    actor: Optional[List[Reference]] = None
    action: Optional[List[CodeableConcept]] = None
    purpose: Optional[List[CodeableConcept]] = None


@dataclass
class Person(XFHIR):
    resourceType: str = 'Person'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    name: Optional[List[HumanName]] = None
    telecom: Optional[List[ContactPoint]] = None
    gender: Optional[Code] = None
    _gender: Optional[Element] = None
    birthDate: Optional[Date] = None
    _birthDate: Optional[Element] = None
    deceasedBoolean: Optional[bool] = None
    _deceasedBoolean: Optional[Element] = None
    deceasedDateTime: Optional[str] = None
    _deceasedDateTime: Optional[Element] = None
    address: Optional[List[Address]] = None
    maritalStatus: Optional[CodeableConcept] = None
    photo: Optional[List[Attachment]] = None
    communication: Optional[List[PersonCommunication]] = None
    managingOrganization: Optional[Reference] = None
    link: Optional[List[PersonLink]] = None


@dataclass
class PersonCommunication(XFHIR):
    language: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    preferred: Optional[Boolean] = None
    _preferred: Optional[Element] = None


@dataclass
class PersonLink(XFHIR):
    target: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    assurance: Optional[Code] = None
    _assurance: Optional[Element] = None


@dataclass
class PlanDefinition(XFHIR):
    resourceType: str = 'PlanDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    subtitle: Optional[String] = None
    _subtitle: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    subjectCanonical: Optional[str] = None
    _subjectCanonical: Optional[Element] = None
    usage: Optional[Markdown] = None
    _usage: Optional[Element] = None
    library: Optional[List[Canonical]] = None
    goal: Optional[List[PlanDefinitionGoal]] = None
    actor: Optional[List[PlanDefinitionActor]] = None
    action: Optional[List[PlanDefinitionAction]] = None
    asNeededBoolean: Optional[bool] = None
    _asNeededBoolean: Optional[Element] = None
    asNeededCodeableConcept: Optional[CodeableConcept] = None


@dataclass
class PlanDefinitionGoal(XFHIR):
    description: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    category: Optional[CodeableConcept] = None
    priority: Optional[CodeableConcept] = None
    start: Optional[CodeableConcept] = None
    addresses: Optional[List[CodeableConcept]] = None
    documentation: Optional[List[RelatedArtifact]] = None
    target: Optional[List[PlanDefinitionTarget]] = None


@dataclass
class PlanDefinitionTarget(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    measure: Optional[CodeableConcept] = None
    detailQuantity: Optional[Quantity] = None
    detailRange: Optional[Range] = None
    detailCodeableConcept: Optional[CodeableConcept] = None
    detailString: Optional[str] = None
    _detailString: Optional[Element] = None
    detailBoolean: Optional[bool] = None
    _detailBoolean: Optional[Element] = None
    detailInteger: Optional[float] = None
    _detailInteger: Optional[Element] = None
    detailRatio: Optional[Ratio] = None
    due: Optional[Duration] = None


@dataclass
class PlanDefinitionActor(XFHIR):
    option: List[PlanDefinitionOption]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None


@dataclass
class PlanDefinitionOption(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    typeCanonical: Optional[Canonical] = None
    typeReference: Optional[Reference] = None
    role: Optional[CodeableConcept] = None


@dataclass
class PlanDefinitionAction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    prefix: Optional[String] = None
    _prefix: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    textEquivalent: Optional[Markdown] = None
    _textEquivalent: Optional[Element] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    reason: Optional[List[CodeableConcept]] = None
    documentation: Optional[List[RelatedArtifact]] = None
    goalId: Optional[List[Id]] = None
    _goalId: Optional[List[Element]] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    subjectCanonical: Optional[str] = None
    _subjectCanonical: Optional[Element] = None
    trigger: Optional[List[TriggerDefinition]] = None
    condition: Optional[List[PlanDefinitionCondition]] = None
    input: Optional[List[PlanDefinitionInput]] = None
    output: Optional[List[PlanDefinitionOutput]] = None
    relatedAction: Optional[List[PlanDefinitionRelatedAction]] = None
    timingAge: Optional[Age] = None
    timingDuration: Optional[Duration] = None
    timingRange: Optional[Range] = None
    timingTiming: Optional[Timing] = None
    location: Optional[CodeableReference] = None
    participant: Optional[List[PlanDefinitionParticipant]] = None
    type: Optional[CodeableConcept] = None
    groupingBehavior: Optional[Code] = None
    _groupingBehavior: Optional[Element] = None
    selectionBehavior: Optional[Code] = None
    _selectionBehavior: Optional[Element] = None
    requiredBehavior: Optional[Code] = None
    _requiredBehavior: Optional[Element] = None
    precheckBehavior: Optional[Code] = None
    _precheckBehavior: Optional[Element] = None
    cardinalityBehavior: Optional[Code] = None
    _cardinalityBehavior: Optional[Element] = None
    definitionCanonical: Optional[str] = None
    _definitionCanonical: Optional[Element] = None
    definitionUri: Optional[str] = None
    _definitionUri: Optional[Element] = None
    transform: Optional[Canonical] = None
    dynamicValue: Optional[List[PlanDefinitionDynamicValue]] = None
    action: Optional[List[PlanDefinitionAction]] = None


@dataclass
class PlanDefinitionCondition(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    expression: Optional[Expression] = None


@dataclass
class PlanDefinitionInput(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    requirement: Optional[DataRequirement] = None
    relatedData: Optional[Id] = None
    _relatedData: Optional[Element] = None


@dataclass
class PlanDefinitionOutput(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    requirement: Optional[DataRequirement] = None
    relatedData: Optional[String] = None
    _relatedData: Optional[Element] = None


@dataclass
class PlanDefinitionRelatedAction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    targetId: Optional[Id] = None
    _targetId: Optional[Element] = None
    relationship: Optional[Code] = None
    _relationship: Optional[Element] = None
    endRelationship: Optional[Code] = None
    _endRelationship: Optional[Element] = None
    offsetDuration: Optional[Duration] = None
    offsetRange: Optional[Range] = None


@dataclass
class PlanDefinitionParticipant(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    actorId: Optional[String] = None
    _actorId: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    typeCanonical: Optional[Canonical] = None
    typeReference: Optional[Reference] = None
    role: Optional[CodeableConcept] = None
    function: Optional[CodeableConcept] = None


@dataclass
class PlanDefinitionDynamicValue(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    expression: Optional[Expression] = None


@dataclass
class Practitioner(XFHIR):
    resourceType: str = 'Practitioner'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    name: Optional[List[HumanName]] = None
    telecom: Optional[List[ContactPoint]] = None
    gender: Optional[Code] = None
    _gender: Optional[Element] = None
    birthDate: Optional[Date] = None
    _birthDate: Optional[Element] = None
    deceasedBoolean: Optional[bool] = None
    _deceasedBoolean: Optional[Element] = None
    deceasedDateTime: Optional[str] = None
    _deceasedDateTime: Optional[Element] = None
    address: Optional[List[Address]] = None
    photo: Optional[List[Attachment]] = None
    qualification: Optional[List[PractitionerQualification]] = None
    communication: Optional[List[PractitionerCommunication]] = None


@dataclass
class PractitionerQualification(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    period: Optional[Period] = None
    issuer: Optional[Reference] = None


@dataclass
class PractitionerCommunication(XFHIR):
    language: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    preferred: Optional[Boolean] = None
    _preferred: Optional[Element] = None


@dataclass
class PractitionerRole(XFHIR):
    resourceType: str = 'PractitionerRole'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    period: Optional[Period] = None
    practitioner: Optional[Reference] = None
    organization: Optional[Reference] = None
    code: Optional[List[CodeableConcept]] = None
    specialty: Optional[List[CodeableConcept]] = None
    location: Optional[List[Reference]] = None
    healthcareService: Optional[List[Reference]] = None
    contact: Optional[List[ExtendedContactDetail]] = None
    characteristic: Optional[List[CodeableConcept]] = None
    communication: Optional[List[CodeableConcept]] = None
    availability: Optional[Availability] = None
    endpoint: Optional[List[Reference]] = None


@dataclass
class Procedure(XFHIR):
    subject: Reference
    resourceType: str = 'Procedure'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableConcept] = None
    category: Optional[List[CodeableConcept]] = None
    code: Optional[CodeableConcept] = None
    focus: Optional[Reference] = None
    encounter: Optional[Reference] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    occurrenceString: Optional[str] = None
    _occurrenceString: Optional[Element] = None
    occurrenceAge: Optional[Age] = None
    occurrenceRange: Optional[Range] = None
    occurrenceTiming: Optional[Timing] = None
    recorded: Optional[DateTime] = None
    _recorded: Optional[Element] = None
    recorder: Optional[Reference] = None
    reportedBoolean: Optional[bool] = None
    _reportedBoolean: Optional[Element] = None
    reportedReference: Optional[Reference] = None
    performer: Optional[List[ProcedurePerformer]] = None
    location: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    bodySite: Optional[List[CodeableConcept]] = None
    bodyStructure: Optional[Reference] = None
    outcome: Optional[CodeableConcept] = None
    report: Optional[List[Reference]] = None
    complication: Optional[List[CodeableReference]] = None
    followUp: Optional[List[CodeableReference]] = None
    note: Optional[List[Annotation]] = None
    focalDevice: Optional[List[ProcedureFocalDevice]] = None
    used: Optional[List[CodeableReference]] = None
    supportingInfo: Optional[List[Reference]] = None


@dataclass
class ProcedurePerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None
    onBehalfOf: Optional[Reference] = None
    period: Optional[Period] = None


@dataclass
class ProcedureFocalDevice(XFHIR):
    manipulated: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    action: Optional[CodeableConcept] = None


@dataclass
class Provenance(XFHIR):
    target: List[Reference]
    agent: List[ProvenanceAgent]
    resourceType: str = 'Provenance'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    occurredPeriod: Optional[Period] = None
    occurredDateTime: Optional[str] = None
    _occurredDateTime: Optional[Element] = None
    recorded: Optional[Instant] = None
    _recorded: Optional[Element] = None
    policy: Optional[List[Uri]] = None
    _policy: Optional[List[Element]] = None
    location: Optional[Reference] = None
    authorization: Optional[List[CodeableReference]] = None
    activity: Optional[CodeableConcept] = None
    basedOn: Optional[List[Reference]] = None
    patient: Optional[Reference] = None
    encounter: Optional[Reference] = None
    entity: Optional[List[ProvenanceEntity]] = None
    signature: Optional[List[Signature]] = None


@dataclass
class ProvenanceAgent(XFHIR):
    who: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    role: Optional[List[CodeableConcept]] = None
    onBehalfOf: Optional[Reference] = None


@dataclass
class ProvenanceEntity(XFHIR):
    what: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    role: Optional[Code] = None
    _role: Optional[Element] = None
    agent: Optional[List[ProvenanceAgent]] = None


@dataclass
class Questionnaire(XFHIR):
    resourceType: str = 'Questionnaire'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    derivedFrom: Optional[List[Canonical]] = None
    subjectType: Optional[List[Code]] = None
    _subjectType: Optional[List[Element]] = None
    code: Optional[List[Coding]] = None
    item: Optional[List[QuestionnaireItem]] = None


@dataclass
class QuestionnaireItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    definition: Optional[Uri] = None
    _definition: Optional[Element] = None
    code: Optional[List[Coding]] = None
    prefix: Optional[String] = None
    _prefix: Optional[Element] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    enableWhen: Optional[List[QuestionnaireEnableWhen]] = None
    enableBehavior: Optional[Code] = None
    _enableBehavior: Optional[Element] = None
    disabledDisplay: Optional[Code] = None
    _disabledDisplay: Optional[Element] = None
    required: Optional[Boolean] = None
    _required: Optional[Element] = None
    repeats: Optional[Boolean] = None
    _repeats: Optional[Element] = None
    readOnly: Optional[Boolean] = None
    _readOnly: Optional[Element] = None
    maxLength: Optional[Integer] = None
    _maxLength: Optional[Element] = None
    answerConstraint: Optional[Code] = None
    _answerConstraint: Optional[Element] = None
    answerValueSet: Optional[Canonical] = None
    answerOption: Optional[List[QuestionnaireAnswerOption]] = None
    initial: Optional[List[QuestionnaireInitial]] = None
    item: Optional[List[QuestionnaireItem]] = None


@dataclass
class QuestionnaireEnableWhen(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    question: Optional[String] = None
    _question: Optional[Element] = None
    operator: Optional[Code] = None
    _operator: Optional[Element] = None
    answerBoolean: Optional[bool] = None
    _answerBoolean: Optional[Element] = None
    answerDecimal: Optional[float] = None
    _answerDecimal: Optional[Element] = None
    answerInteger: Optional[float] = None
    _answerInteger: Optional[Element] = None
    answerDate: Optional[str] = None
    _answerDate: Optional[Element] = None
    answerDateTime: Optional[str] = None
    _answerDateTime: Optional[Element] = None
    answerTime: Optional[str] = None
    _answerTime: Optional[Element] = None
    answerString: Optional[str] = None
    _answerString: Optional[Element] = None
    answerCoding: Optional[Coding] = None
    answerQuantity: Optional[Quantity] = None
    answerReference: Optional[Reference] = None


@dataclass
class QuestionnaireAnswerOption(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueCoding: Optional[Coding] = None
    valueReference: Optional[Reference] = None
    initialSelected: Optional[Boolean] = None
    _initialSelected: Optional[Element] = None


@dataclass
class QuestionnaireInitial(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None
    valueCoding: Optional[Coding] = None
    valueQuantity: Optional[Quantity] = None
    valueReference: Optional[Reference] = None


@dataclass
class QuestionnaireResponse(XFHIR):
    questionnaire: Canonical
    resourceType: str = 'QuestionnaireResponse'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    subject: Optional[Reference] = None
    encounter: Optional[Reference] = None
    authored: Optional[DateTime] = None
    _authored: Optional[Element] = None
    author: Optional[Reference] = None
    source: Optional[Reference] = None
    item: Optional[List[QuestionnaireResponseItem]] = None


@dataclass
class QuestionnaireResponseItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    definition: Optional[Uri] = None
    _definition: Optional[Element] = None
    text: Optional[String] = None
    _text: Optional[Element] = None
    answer: Optional[List[QuestionnaireResponseAnswer]] = None
    item: Optional[List[QuestionnaireResponseItem]] = None


@dataclass
class QuestionnaireResponseAnswer(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None
    valueCoding: Optional[Coding] = None
    valueQuantity: Optional[Quantity] = None
    valueReference: Optional[Reference] = None
    item: Optional[List[QuestionnaireResponseItem]] = None


@dataclass
class RegulatedAuthorization(XFHIR):
    resourceType: str = 'RegulatedAuthorization'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    subject: Optional[List[Reference]] = None
    type: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    region: Optional[List[CodeableConcept]] = None
    status: Optional[CodeableConcept] = None
    statusDate: Optional[DateTime] = None
    _statusDate: Optional[Element] = None
    validityPeriod: Optional[Period] = None
    indication: Optional[List[CodeableReference]] = None
    intendedUse: Optional[CodeableConcept] = None
    basis: Optional[List[CodeableConcept]] = None
    holder: Optional[Reference] = None
    regulator: Optional[Reference] = None
    attachedDocument: Optional[List[Reference]] = None
    case: Optional[RegulatedAuthorizationCase] = None


@dataclass
class RegulatedAuthorizationCase(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Identifier] = None
    type: Optional[CodeableConcept] = None
    status: Optional[CodeableConcept] = None
    datePeriod: Optional[Period] = None
    dateDateTime: Optional[str] = None
    _dateDateTime: Optional[Element] = None
    application: Optional[List[RegulatedAuthorizationCase]] = None


@dataclass
class RelatedPerson(XFHIR):
    patient: Reference
    resourceType: str = 'RelatedPerson'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    relationship: Optional[List[CodeableConcept]] = None
    name: Optional[List[HumanName]] = None
    telecom: Optional[List[ContactPoint]] = None
    gender: Optional[Code] = None
    _gender: Optional[Element] = None
    birthDate: Optional[Date] = None
    _birthDate: Optional[Element] = None
    address: Optional[List[Address]] = None
    photo: Optional[List[Attachment]] = None
    period: Optional[Period] = None
    communication: Optional[List[RelatedPersonCommunication]] = None


@dataclass
class RelatedPersonCommunication(XFHIR):
    language: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    preferred: Optional[Boolean] = None
    _preferred: Optional[Element] = None


@dataclass
class RequestOrchestration(XFHIR):
    resourceType: str = 'RequestOrchestration'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    _instantiatesCanonical: Optional[List[Element]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    basedOn: Optional[List[Reference]] = None
    replaces: Optional[List[Reference]] = None
    groupIdentifier: Optional[Identifier] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    subject: Optional[Reference] = None
    encounter: Optional[Reference] = None
    authoredOn: Optional[DateTime] = None
    _authoredOn: Optional[Element] = None
    author: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    goal: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    action: Optional[List[RequestOrchestrationAction]] = None


@dataclass
class RequestOrchestrationAction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[String] = None
    _linkId: Optional[Element] = None
    prefix: Optional[String] = None
    _prefix: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    textEquivalent: Optional[Markdown] = None
    _textEquivalent: Optional[Element] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    code: Optional[List[CodeableConcept]] = None
    documentation: Optional[List[RelatedArtifact]] = None
    goal: Optional[List[Reference]] = None
    condition: Optional[List[RequestOrchestrationCondition]] = None
    input: Optional[List[RequestOrchestrationInput]] = None
    output: Optional[List[RequestOrchestrationOutput]] = None
    relatedAction: Optional[List[RequestOrchestrationRelatedAction]] = None
    timingDateTime: Optional[str] = None
    _timingDateTime: Optional[Element] = None
    timingAge: Optional[Age] = None
    timingPeriod: Optional[Period] = None
    timingDuration: Optional[Duration] = None
    timingRange: Optional[Range] = None
    timingTiming: Optional[Timing] = None
    location: Optional[CodeableReference] = None
    participant: Optional[List[RequestOrchestrationParticipant]] = None
    type: Optional[CodeableConcept] = None
    groupingBehavior: Optional[Code] = None
    _groupingBehavior: Optional[Element] = None
    selectionBehavior: Optional[Code] = None
    _selectionBehavior: Optional[Element] = None
    requiredBehavior: Optional[Code] = None
    _requiredBehavior: Optional[Element] = None
    precheckBehavior: Optional[Code] = None
    _precheckBehavior: Optional[Element] = None
    cardinalityBehavior: Optional[Code] = None
    _cardinalityBehavior: Optional[Element] = None
    resource: Optional[Reference] = None
    definitionCanonical: Optional[str] = None
    _definitionCanonical: Optional[Element] = None
    definitionUri: Optional[str] = None
    _definitionUri: Optional[Element] = None
    transform: Optional[Canonical] = None
    dynamicValue: Optional[List[RequestOrchestrationDynamicValue]] = None
    action: Optional[List[RequestOrchestrationAction]] = None


@dataclass
class RequestOrchestrationCondition(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    expression: Optional[Expression] = None


@dataclass
class RequestOrchestrationInput(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    requirement: Optional[DataRequirement] = None
    relatedData: Optional[Id] = None
    _relatedData: Optional[Element] = None


@dataclass
class RequestOrchestrationOutput(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    requirement: Optional[DataRequirement] = None
    relatedData: Optional[String] = None
    _relatedData: Optional[Element] = None


@dataclass
class RequestOrchestrationRelatedAction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    targetId: Optional[Id] = None
    _targetId: Optional[Element] = None
    relationship: Optional[Code] = None
    _relationship: Optional[Element] = None
    endRelationship: Optional[Code] = None
    _endRelationship: Optional[Element] = None
    offsetDuration: Optional[Duration] = None
    offsetRange: Optional[Range] = None


@dataclass
class RequestOrchestrationParticipant(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    typeCanonical: Optional[Canonical] = None
    typeReference: Optional[Reference] = None
    role: Optional[CodeableConcept] = None
    function: Optional[CodeableConcept] = None
    actorCanonical: Optional[str] = None
    _actorCanonical: Optional[Element] = None
    actorReference: Optional[Reference] = None


@dataclass
class RequestOrchestrationDynamicValue(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    expression: Optional[Expression] = None


@dataclass
class Requirements(XFHIR):
    resourceType: str = 'Requirements'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    derivedFrom: Optional[List[Canonical]] = None
    reference: Optional[List[Url]] = None
    _reference: Optional[List[Element]] = None
    actor: Optional[List[Canonical]] = None
    statement: Optional[List[RequirementsStatement]] = None


@dataclass
class RequirementsStatement(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    key: Optional[Id] = None
    _key: Optional[Element] = None
    label: Optional[String] = None
    _label: Optional[Element] = None
    conformance: Optional[List[Code]] = None
    _conformance: Optional[List[Element]] = None
    conditionality: Optional[Boolean] = None
    _conditionality: Optional[Element] = None
    requirement: Optional[Markdown] = None
    _requirement: Optional[Element] = None
    derivedFrom: Optional[String] = None
    _derivedFrom: Optional[Element] = None
    parent: Optional[String] = None
    _parent: Optional[Element] = None
    satisfiedBy: Optional[List[Url]] = None
    _satisfiedBy: Optional[List[Element]] = None
    reference: Optional[List[Url]] = None
    _reference: Optional[List[Element]] = None
    source: Optional[List[Reference]] = None


@dataclass
class ResearchStudy(XFHIR):
    resourceType: str = 'ResearchStudy'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    label: Optional[List[ResearchStudyLabel]] = None
    protocol: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    primaryPurposeType: Optional[CodeableConcept] = None
    phase: Optional[CodeableConcept] = None
    studyDesign: Optional[List[CodeableConcept]] = None
    focus: Optional[List[CodeableReference]] = None
    condition: Optional[List[CodeableConcept]] = None
    keyword: Optional[List[CodeableConcept]] = None
    region: Optional[List[CodeableConcept]] = None
    descriptionSummary: Optional[Markdown] = None
    _descriptionSummary: Optional[Element] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    period: Optional[Period] = None
    site: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    classifier: Optional[List[CodeableConcept]] = None
    associatedParty: Optional[List[ResearchStudyAssociatedParty]] = None
    progressStatus: Optional[List[ResearchStudyProgressStatus]] = None
    whyStopped: Optional[CodeableConcept] = None
    recruitment: Optional[ResearchStudyRecruitment] = None
    comparisonGroup: Optional[List[ResearchStudyComparisonGroup]] = None
    objective: Optional[List[ResearchStudyObjective]] = None
    outcomeMeasure: Optional[List[ResearchStudyOutcomeMeasure]] = None
    result: Optional[List[Reference]] = None


@dataclass
class ResearchStudyLabel(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class ResearchStudyAssociatedParty(XFHIR):
    role: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    period: Optional[List[Period]] = None
    classifier: Optional[List[CodeableConcept]] = None
    party: Optional[Reference] = None


@dataclass
class ResearchStudyProgressStatus(XFHIR):
    state: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    actual: Optional[Boolean] = None
    _actual: Optional[Element] = None
    period: Optional[Period] = None


@dataclass
class ResearchStudyRecruitment(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    targetNumber: Optional[UnsignedInt] = None
    _targetNumber: Optional[Element] = None
    actualNumber: Optional[UnsignedInt] = None
    _actualNumber: Optional[Element] = None
    eligibility: Optional[Reference] = None
    actualGroup: Optional[Reference] = None


@dataclass
class ResearchStudyComparisonGroup(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkId: Optional[Id] = None
    _linkId: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    intendedExposure: Optional[List[Reference]] = None
    observedGroup: Optional[Reference] = None


@dataclass
class ResearchStudyObjective(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None


@dataclass
class ResearchStudyOutcomeMeasure(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    type: Optional[List[CodeableConcept]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    reference: Optional[Reference] = None


@dataclass
class ResearchSubject(XFHIR):
    study: Reference
    subject: Reference
    resourceType: str = 'ResearchSubject'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    progress: Optional[List[ResearchSubjectProgress]] = None
    period: Optional[Period] = None
    assignedComparisonGroup: Optional[Id] = None
    _assignedComparisonGroup: Optional[Element] = None
    actualComparisonGroup: Optional[Id] = None
    _actualComparisonGroup: Optional[Element] = None
    consent: Optional[List[Reference]] = None


@dataclass
class ResearchSubjectProgress(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    subjectState: Optional[CodeableConcept] = None
    milestone: Optional[CodeableConcept] = None
    reason: Optional[CodeableConcept] = None
    startDate: Optional[DateTime] = None
    _startDate: Optional[Element] = None
    endDate: Optional[DateTime] = None
    _endDate: Optional[Element] = None


@dataclass
class RiskAssessment(XFHIR):
    subject: Reference
    resourceType: str = 'RiskAssessment'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[Reference] = None
    parent: Optional[Reference] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    method: Optional[CodeableConcept] = None
    code: Optional[CodeableConcept] = None
    encounter: Optional[Reference] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    condition: Optional[Reference] = None
    performer: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    basis: Optional[List[Reference]] = None
    prediction: Optional[List[RiskAssessmentPrediction]] = None
    mitigation: Optional[String] = None
    _mitigation: Optional[Element] = None
    note: Optional[List[Annotation]] = None


@dataclass
class RiskAssessmentPrediction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    outcome: Optional[CodeableConcept] = None
    probabilityDecimal: Optional[float] = None
    _probabilityDecimal: Optional[Element] = None
    probabilityRange: Optional[Range] = None
    qualitativeRisk: Optional[CodeableConcept] = None
    relativeRisk: Optional[Decimal] = None
    _relativeRisk: Optional[Element] = None
    whenPeriod: Optional[Period] = None
    whenRange: Optional[Range] = None
    rationale: Optional[String] = None
    _rationale: Optional[Element] = None


@dataclass
class Schedule(XFHIR):
    actor: List[Reference]
    resourceType: str = 'Schedule'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    active: Optional[Boolean] = None
    _active: Optional[Element] = None
    serviceCategory: Optional[List[CodeableConcept]] = None
    serviceType: Optional[List[CodeableReference]] = None
    specialty: Optional[List[CodeableConcept]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    planningHorizon: Optional[Period] = None
    comment: Optional[Markdown] = None
    _comment: Optional[Element] = None


@dataclass
class SearchParameter(XFHIR):
    resourceType: str = 'SearchParameter'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    derivedFrom: Optional[Canonical] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    base: Optional[List[Code]] = None
    _base: Optional[List[Element]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    expression: Optional[String] = None
    _expression: Optional[Element] = None
    processingMode: Optional[Code] = None
    _processingMode: Optional[Element] = None
    constraint: Optional[String] = None
    _constraint: Optional[Element] = None
    target: Optional[List[Code]] = None
    _target: Optional[List[Element]] = None
    multipleOr: Optional[Boolean] = None
    _multipleOr: Optional[Element] = None
    multipleAnd: Optional[Boolean] = None
    _multipleAnd: Optional[Element] = None
    comparator: Optional[List[Code]] = None
    _comparator: Optional[List[Element]] = None
    modifier: Optional[List[Code]] = None
    _modifier: Optional[List[Element]] = None
    chain: Optional[List[String]] = None
    _chain: Optional[List[Element]] = None
    component: Optional[List[SearchParameterComponent]] = None


@dataclass
class SearchParameterComponent(XFHIR):
    definition: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    expression: Optional[String] = None
    _expression: Optional[Element] = None


@dataclass
class ServiceRequest(XFHIR):
    subject: Reference
    resourceType: str = 'ServiceRequest'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[List[Canonical]] = None
    instantiatesUri: Optional[List[Uri]] = None
    _instantiatesUri: Optional[List[Element]] = None
    basedOn: Optional[List[Reference]] = None
    replaces: Optional[List[Reference]] = None
    requisition: Optional[Identifier] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    doNotPerform: Optional[Boolean] = None
    _doNotPerform: Optional[Element] = None
    code: Optional[CodeableReference] = None
    orderDetail: Optional[List[ServiceRequestOrderDetail]] = None
    quantityQuantity: Optional[Quantity] = None
    quantityRatio: Optional[Ratio] = None
    quantityRange: Optional[Range] = None
    focus: Optional[List[Reference]] = None
    encounter: Optional[Reference] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    occurrenceTiming: Optional[Timing] = None
    asNeededBoolean: Optional[bool] = None
    _asNeededBoolean: Optional[Element] = None
    asNeededCodeableConcept: Optional[CodeableConcept] = None
    authoredOn: Optional[DateTime] = None
    _authoredOn: Optional[Element] = None
    requester: Optional[Reference] = None
    performerType: Optional[CodeableConcept] = None
    performer: Optional[List[Reference]] = None
    location: Optional[List[CodeableReference]] = None
    reason: Optional[List[CodeableReference]] = None
    insurance: Optional[List[Reference]] = None
    supportingInfo: Optional[List[CodeableReference]] = None
    specimen: Optional[List[Reference]] = None
    bodySite: Optional[List[CodeableConcept]] = None
    bodyStructure: Optional[Reference] = None
    note: Optional[List[Annotation]] = None
    patientInstruction: Optional[List[ServiceRequestPatientInstruction]] = None
    relevantHistory: Optional[List[Reference]] = None


@dataclass
class ServiceRequestOrderDetail(XFHIR):
    parameter: List[ServiceRequestParameter]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    parameterFocus: Optional[CodeableReference] = None


@dataclass
class ServiceRequestParameter(XFHIR):
    code: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueQuantity: Optional[Quantity] = None
    valueRatio: Optional[Ratio] = None
    valueRange: Optional[Range] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valuePeriod: Optional[Period] = None


@dataclass
class ServiceRequestPatientInstruction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    instructionMarkdown: Optional[str] = None
    _instructionMarkdown: Optional[Element] = None
    instructionReference: Optional[Reference] = None


@dataclass
class Slot(XFHIR):
    schedule: Reference
    resourceType: str = 'Slot'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    serviceCategory: Optional[List[CodeableConcept]] = None
    serviceType: Optional[List[CodeableReference]] = None
    specialty: Optional[List[CodeableConcept]] = None
    appointmentType: Optional[List[CodeableConcept]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    start: Optional[Instant] = None
    _start: Optional[Element] = None
    end: Optional[Instant] = None
    _end: Optional[Element] = None
    overbooked: Optional[Boolean] = None
    _overbooked: Optional[Element] = None
    comment: Optional[String] = None
    _comment: Optional[Element] = None


@dataclass
class Specimen(XFHIR):
    resourceType: str = 'Specimen'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    accessionIdentifier: Optional[Identifier] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    subject: Optional[Reference] = None
    receivedTime: Optional[DateTime] = None
    _receivedTime: Optional[Element] = None
    parent: Optional[List[Reference]] = None
    request: Optional[List[Reference]] = None
    combined: Optional[Code] = None
    _combined: Optional[Element] = None
    role: Optional[List[CodeableConcept]] = None
    feature: Optional[List[SpecimenFeature]] = None
    collection: Optional[SpecimenCollection] = None
    processing: Optional[List[SpecimenProcessing]] = None
    container: Optional[List[SpecimenContainer]] = None
    condition: Optional[List[CodeableConcept]] = None
    note: Optional[List[Annotation]] = None


@dataclass
class SpecimenFeature(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[String] = None
    _description: Optional[Element] = None


@dataclass
class SpecimenCollection(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    collector: Optional[Reference] = None
    collectedDateTime: Optional[str] = None
    _collectedDateTime: Optional[Element] = None
    collectedPeriod: Optional[Period] = None
    duration: Optional[Duration] = None
    quantity: Optional[Quantity] = None
    method: Optional[CodeableConcept] = None
    device: Optional[CodeableReference] = None
    procedure: Optional[Reference] = None
    bodySite: Optional[CodeableReference] = None
    fastingStatusCodeableConcept: Optional[CodeableConcept] = None
    fastingStatusDuration: Optional[Duration] = None


@dataclass
class SpecimenProcessing(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    method: Optional[CodeableConcept] = None
    additive: Optional[List[Reference]] = None
    timeDateTime: Optional[str] = None
    _timeDateTime: Optional[Element] = None
    timePeriod: Optional[Period] = None


@dataclass
class SpecimenContainer(XFHIR):
    device: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    location: Optional[Reference] = None
    specimenQuantity: Optional[Quantity] = None


@dataclass
class SpecimenDefinition(XFHIR):
    resourceType: str = 'SpecimenDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[Identifier] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    derivedFromCanonical: Optional[List[Canonical]] = None
    derivedFromUri: Optional[List[Uri]] = None
    _derivedFromUri: Optional[List[Element]] = None
    subjectCodeableConcept: Optional[CodeableConcept] = None
    subjectReference: Optional[Reference] = None
    typeCollected: Optional[CodeableConcept] = None
    patientPreparation: Optional[List[CodeableConcept]] = None
    timeAspect: Optional[String] = None
    _timeAspect: Optional[Element] = None
    collection: Optional[List[CodeableConcept]] = None
    typeTested: Optional[List[SpecimenDefinitionTypeTested]] = None


@dataclass
class SpecimenDefinitionTypeTested(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    isDerived: Optional[Boolean] = None
    _isDerived: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    preference: Optional[Code] = None
    _preference: Optional[Element] = None
    container: Optional[SpecimenDefinitionContainer] = None
    requirement: Optional[Markdown] = None
    _requirement: Optional[Element] = None
    retentionTime: Optional[Duration] = None
    singleUse: Optional[Boolean] = None
    _singleUse: Optional[Element] = None
    rejectionCriterion: Optional[List[CodeableConcept]] = None
    handling: Optional[List[SpecimenDefinitionHandling]] = None
    testingDestination: Optional[List[CodeableConcept]] = None


@dataclass
class SpecimenDefinitionContainer(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    material: Optional[CodeableConcept] = None
    type: Optional[CodeableConcept] = None
    cap: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    capacity: Optional[Quantity] = None
    minimumVolumeQuantity: Optional[Quantity] = None
    minimumVolumeString: Optional[str] = None
    _minimumVolumeString: Optional[Element] = None
    additive: Optional[List[SpecimenDefinitionAdditive]] = None
    preparation: Optional[Markdown] = None
    _preparation: Optional[Element] = None


@dataclass
class SpecimenDefinitionAdditive(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    additiveCodeableConcept: Optional[CodeableConcept] = None
    additiveReference: Optional[Reference] = None


@dataclass
class SpecimenDefinitionHandling(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    temperatureQualifier: Optional[CodeableConcept] = None
    temperatureRange: Optional[Range] = None
    maxDuration: Optional[Duration] = None
    instruction: Optional[Markdown] = None
    _instruction: Optional[Element] = None


@dataclass
class StructureDefinition(XFHIR):
    resourceType: str = 'StructureDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    keyword: Optional[List[Coding]] = None
    fhirVersion: Optional[Code] = None
    _fhirVersion: Optional[Element] = None
    mapping: Optional[List[StructureDefinitionMapping]] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    abstract: Optional[Boolean] = None
    _abstract: Optional[Element] = None
    context: Optional[List[StructureDefinitionContext]] = None
    contextInvariant: Optional[List[String]] = None
    _contextInvariant: Optional[List[Element]] = None
    type: Optional[Uri] = None
    _type: Optional[Element] = None
    baseDefinition: Optional[Canonical] = None
    derivation: Optional[Code] = None
    _derivation: Optional[Element] = None
    snapshot: Optional[StructureDefinitionSnapshot] = None
    differential: Optional[StructureDefinitionDifferential] = None


@dataclass
class StructureDefinitionMapping(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identity: Optional[Id] = None
    _identity: Optional[Element] = None
    uri: Optional[Uri] = None
    _uri: Optional[Element] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    comment: Optional[String] = None
    _comment: Optional[Element] = None


@dataclass
class StructureDefinitionContext(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    expression: Optional[String] = None
    _expression: Optional[Element] = None


@dataclass
class StructureDefinitionSnapshot(XFHIR):
    element: List[ElementDefinition]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class StructureDefinitionDifferential(XFHIR):
    element: List[ElementDefinition]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class StructureMap(XFHIR):
    group: List[StructureMapGroup]
    resourceType: str = 'StructureMap'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    structure: Optional[List[StructureMapStructure]] = None
    import_: Optional[List[Canonical]] = None
    const: Optional[List[StructureMapConst]] = None


@dataclass
class StructureMapStructure(XFHIR):
    url: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    alias: Optional[String] = None
    _alias: Optional[Element] = None
    documentation: Optional[String] = None
    _documentation: Optional[Element] = None


@dataclass
class StructureMapConst(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[Id] = None
    _name: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class StructureMapGroup(XFHIR):
    input: List[StructureMapInput]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[Id] = None
    _name: Optional[Element] = None
    extends: Optional[Id] = None
    _extends: Optional[Element] = None
    typeMode: Optional[Code] = None
    _typeMode: Optional[Element] = None
    documentation: Optional[String] = None
    _documentation: Optional[Element] = None
    rule: Optional[List[StructureMapRule]] = None


@dataclass
class StructureMapInput(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[Id] = None
    _name: Optional[Element] = None
    type: Optional[String] = None
    _type: Optional[Element] = None
    mode: Optional[Code] = None
    _mode: Optional[Element] = None
    documentation: Optional[String] = None
    _documentation: Optional[Element] = None


@dataclass
class StructureMapRule(XFHIR):
    source: List[StructureMapSource]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[Id] = None
    _name: Optional[Element] = None
    target: Optional[List[StructureMapTarget]] = None
    rule: Optional[List[StructureMapRule]] = None
    dependent: Optional[List[StructureMapDependent]] = None
    documentation: Optional[String] = None
    _documentation: Optional[Element] = None


@dataclass
class StructureMapSource(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    context: Optional[Id] = None
    _context: Optional[Element] = None
    min: Optional[Integer] = None
    _min: Optional[Element] = None
    max: Optional[String] = None
    _max: Optional[Element] = None
    type: Optional[String] = None
    _type: Optional[Element] = None
    defaultValue: Optional[String] = None
    _defaultValue: Optional[Element] = None
    element: Optional[String] = None
    _element: Optional[Element] = None
    listMode: Optional[Code] = None
    _listMode: Optional[Element] = None
    variable: Optional[Id] = None
    _variable: Optional[Element] = None
    condition: Optional[String] = None
    _condition: Optional[Element] = None
    check: Optional[String] = None
    _check: Optional[Element] = None
    logMessage: Optional[String] = None
    _logMessage: Optional[Element] = None


@dataclass
class StructureMapTarget(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    context: Optional[String] = None
    _context: Optional[Element] = None
    element: Optional[String] = None
    _element: Optional[Element] = None
    variable: Optional[Id] = None
    _variable: Optional[Element] = None
    listMode: Optional[List[Code]] = None
    _listMode: Optional[List[Element]] = None
    listRuleId: Optional[Id] = None
    _listRuleId: Optional[Element] = None
    transform: Optional[Code] = None
    _transform: Optional[Element] = None
    parameter: Optional[List[StructureMapParameter]] = None


@dataclass
class StructureMapParameter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueId: Optional[str] = None
    _valueId: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None


@dataclass
class StructureMapDependent(XFHIR):
    parameter: List[StructureMapParameter]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[Id] = None
    _name: Optional[Element] = None


@dataclass
class Subscription(XFHIR):
    topic: Canonical
    channelType: Coding
    resourceType: str = 'Subscription'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    contact: Optional[List[ContactPoint]] = None
    end: Optional[Instant] = None
    _end: Optional[Element] = None
    managingEntity: Optional[Reference] = None
    reason: Optional[String] = None
    _reason: Optional[Element] = None
    filterBy: Optional[List[SubscriptionFilterBy]] = None
    endpoint: Optional[Url] = None
    _endpoint: Optional[Element] = None
    parameter: Optional[List[SubscriptionParameter]] = None
    heartbeatPeriod: Optional[UnsignedInt] = None
    _heartbeatPeriod: Optional[Element] = None
    timeout: Optional[UnsignedInt] = None
    _timeout: Optional[Element] = None
    contentType: Optional[Code] = None
    _contentType: Optional[Element] = None
    content: Optional[Code] = None
    _content: Optional[Element] = None
    maxCount: Optional[PositiveInt] = None
    _maxCount: Optional[Element] = None


@dataclass
class SubscriptionFilterBy(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    resourceType: Optional[Uri] = None
    _resourceType: Optional[Element] = None
    filterParameter: Optional[String] = None
    _filterParameter: Optional[Element] = None
    comparator: Optional[Code] = None
    _comparator: Optional[Element] = None
    modifier: Optional[Code] = None
    _modifier: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class SubscriptionParameter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class SubscriptionStatus(XFHIR):
    subscription: Reference
    resourceType: str = 'SubscriptionStatus'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    eventsSinceSubscriptionStart: Optional[Integer64] = None
    _eventsSinceSubscriptionStart: Optional[Element] = None
    notificationEvent: Optional[List[SubscriptionStatusNotificationEvent]] = None
    topic: Optional[Canonical] = None
    error: Optional[List[CodeableConcept]] = None


@dataclass
class SubscriptionStatusNotificationEvent(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    eventNumber: Optional[Integer64] = None
    _eventNumber: Optional[Element] = None
    timestamp: Optional[Instant] = None
    _timestamp: Optional[Element] = None
    focus: Optional[Reference] = None
    additionalContext: Optional[List[Reference]] = None


@dataclass
class SubscriptionTopic(XFHIR):
    resourceType: str = 'SubscriptionTopic'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    derivedFrom: Optional[List[Canonical]] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    resourceTrigger: Optional[List[SubscriptionTopicResourceTrigger]] = None
    eventTrigger: Optional[List[SubscriptionTopicEventTrigger]] = None
    canFilterBy: Optional[List[SubscriptionTopicCanFilterBy]] = None
    notificationShape: Optional[List[SubscriptionTopicNotificationShape]] = None


@dataclass
class SubscriptionTopicResourceTrigger(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    resource: Optional[Uri] = None
    _resource: Optional[Element] = None
    supportedInteraction: Optional[List[Code]] = None
    _supportedInteraction: Optional[List[Element]] = None
    queryCriteria: Optional[SubscriptionTopicQueryCriteria] = None
    fhirPathCriteria: Optional[String] = None
    _fhirPathCriteria: Optional[Element] = None


@dataclass
class SubscriptionTopicQueryCriteria(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    previous: Optional[String] = None
    _previous: Optional[Element] = None
    resultForCreate: Optional[Code] = None
    _resultForCreate: Optional[Element] = None
    current: Optional[String] = None
    _current: Optional[Element] = None
    resultForDelete: Optional[Code] = None
    _resultForDelete: Optional[Element] = None
    requireBoth: Optional[Boolean] = None
    _requireBoth: Optional[Element] = None


@dataclass
class SubscriptionTopicEventTrigger(XFHIR):
    event: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    resource: Optional[Uri] = None
    _resource: Optional[Element] = None


@dataclass
class SubscriptionTopicCanFilterBy(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    resource: Optional[Uri] = None
    _resource: Optional[Element] = None
    filterParameter: Optional[String] = None
    _filterParameter: Optional[Element] = None
    filterDefinition: Optional[Uri] = None
    _filterDefinition: Optional[Element] = None
    comparator: Optional[List[Code]] = None
    _comparator: Optional[List[Element]] = None
    modifier: Optional[List[Code]] = None
    _modifier: Optional[List[Element]] = None


@dataclass
class SubscriptionTopicNotificationShape(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    resource: Optional[Uri] = None
    _resource: Optional[Element] = None
    include: Optional[List[String]] = None
    _include: Optional[List[Element]] = None
    revInclude: Optional[List[String]] = None
    _revInclude: Optional[List[Element]] = None


@dataclass
class Substance(XFHIR):
    code: CodeableReference
    resourceType: str = 'Substance'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instance: Optional[Boolean] = None
    _instance: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    expiry: Optional[DateTime] = None
    _expiry: Optional[Element] = None
    quantity: Optional[Quantity] = None
    ingredient: Optional[List[SubstanceIngredient]] = None


@dataclass
class SubstanceIngredient(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    quantity: Optional[Ratio] = None
    substanceCodeableConcept: Optional[CodeableConcept] = None
    substanceReference: Optional[Reference] = None


@dataclass
class SubstanceDefinition(XFHIR):
    resourceType: str = 'SubstanceDefinition'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    status: Optional[CodeableConcept] = None
    classification: Optional[List[CodeableConcept]] = None
    domain: Optional[CodeableConcept] = None
    grade: Optional[List[CodeableConcept]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    informationSource: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    manufacturer: Optional[List[Reference]] = None
    supplier: Optional[List[Reference]] = None
    moiety: Optional[List[SubstanceDefinitionMoiety]] = None
    characterization: Optional[List[SubstanceDefinitionCharacterization]] = None
    property: Optional[List[SubstanceDefinitionProperty]] = None
    referenceInformation: Optional[Reference] = None
    molecularWeight: Optional[List[SubstanceDefinitionMolecularWeight]] = None
    structure: Optional[SubstanceDefinitionStructure] = None
    code: Optional[List[SubstanceDefinitionCode]] = None
    name: Optional[List[SubstanceDefinitionName]] = None
    relationship: Optional[List[SubstanceDefinitionRelationship]] = None
    nucleicAcid: Optional[Reference] = None
    polymer: Optional[Reference] = None
    protein: Optional[Reference] = None
    sourceMaterial: Optional[SubstanceDefinitionSourceMaterial] = None


@dataclass
class SubstanceDefinitionMoiety(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    role: Optional[CodeableConcept] = None
    identifier: Optional[Identifier] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    stereochemistry: Optional[CodeableConcept] = None
    opticalActivity: Optional[CodeableConcept] = None
    molecularFormula: Optional[String] = None
    _molecularFormula: Optional[Element] = None
    amountQuantity: Optional[Quantity] = None
    amountString: Optional[str] = None
    _amountString: Optional[Element] = None
    measurementType: Optional[CodeableConcept] = None


@dataclass
class SubstanceDefinitionCharacterization(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    technique: Optional[CodeableConcept] = None
    form: Optional[CodeableConcept] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    file: Optional[List[Attachment]] = None


@dataclass
class SubstanceDefinitionProperty(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueAttachment: Optional[Attachment] = None


@dataclass
class SubstanceDefinitionMolecularWeight(XFHIR):
    amount: Quantity
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    method: Optional[CodeableConcept] = None
    type: Optional[CodeableConcept] = None


@dataclass
class SubstanceDefinitionStructure(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    stereochemistry: Optional[CodeableConcept] = None
    opticalActivity: Optional[CodeableConcept] = None
    molecularFormula: Optional[String] = None
    _molecularFormula: Optional[Element] = None
    molecularFormulaByMoiety: Optional[String] = None
    _molecularFormulaByMoiety: Optional[Element] = None
    molecularWeight: Optional[SubstanceDefinitionMolecularWeight] = None
    technique: Optional[List[CodeableConcept]] = None
    sourceDocument: Optional[List[Reference]] = None
    representation: Optional[List[SubstanceDefinitionRepresentation]] = None


@dataclass
class SubstanceDefinitionRepresentation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    representation: Optional[String] = None
    _representation: Optional[Element] = None
    format: Optional[CodeableConcept] = None
    document: Optional[Reference] = None


@dataclass
class SubstanceDefinitionCode(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[CodeableConcept] = None
    status: Optional[CodeableConcept] = None
    statusDate: Optional[DateTime] = None
    _statusDate: Optional[Element] = None
    note: Optional[List[Annotation]] = None
    source: Optional[List[Reference]] = None


@dataclass
class SubstanceDefinitionName(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    type: Optional[CodeableConcept] = None
    status: Optional[CodeableConcept] = None
    preferred: Optional[Boolean] = None
    _preferred: Optional[Element] = None
    language: Optional[List[CodeableConcept]] = None
    domain: Optional[List[CodeableConcept]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    synonym: Optional[List[SubstanceDefinitionName]] = None
    translation: Optional[List[SubstanceDefinitionName]] = None
    official: Optional[List[SubstanceDefinitionOfficial]] = None
    source: Optional[List[Reference]] = None


@dataclass
class SubstanceDefinitionOfficial(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    authority: Optional[CodeableConcept] = None
    status: Optional[CodeableConcept] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None


@dataclass
class SubstanceDefinitionRelationship(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    substanceDefinitionReference: Optional[Reference] = None
    substanceDefinitionCodeableConcept: Optional[CodeableConcept] = None
    isDefining: Optional[Boolean] = None
    _isDefining: Optional[Element] = None
    amountQuantity: Optional[Quantity] = None
    amountRatio: Optional[Ratio] = None
    amountString: Optional[str] = None
    _amountString: Optional[Element] = None
    ratioHighLimitAmount: Optional[Ratio] = None
    comparator: Optional[CodeableConcept] = None
    source: Optional[List[Reference]] = None


@dataclass
class SubstanceDefinitionSourceMaterial(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    genus: Optional[CodeableConcept] = None
    species: Optional[CodeableConcept] = None
    part: Optional[CodeableConcept] = None
    countryOfOrigin: Optional[List[CodeableConcept]] = None


@dataclass
class SubstanceNucleicAcid(XFHIR):
    resourceType: str = 'SubstanceNucleicAcid'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequenceType: Optional[CodeableConcept] = None
    numberOfSubunits: Optional[Integer] = None
    _numberOfSubunits: Optional[Element] = None
    areaOfHybridisation: Optional[String] = None
    _areaOfHybridisation: Optional[Element] = None
    oligoNucleotideType: Optional[CodeableConcept] = None
    subunit: Optional[List[SubstanceNucleicAcidSubunit]] = None


@dataclass
class SubstanceNucleicAcidSubunit(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subunit: Optional[Integer] = None
    _subunit: Optional[Element] = None
    sequence: Optional[String] = None
    _sequence: Optional[Element] = None
    length: Optional[Integer] = None
    _length: Optional[Element] = None
    sequenceAttachment: Optional[Attachment] = None
    fivePrime: Optional[CodeableConcept] = None
    threePrime: Optional[CodeableConcept] = None
    linkage: Optional[List[SubstanceNucleicAcidLinkage]] = None
    sugar: Optional[List[SubstanceNucleicAcidSugar]] = None


@dataclass
class SubstanceNucleicAcidLinkage(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    connectivity: Optional[String] = None
    _connectivity: Optional[Element] = None
    identifier: Optional[Identifier] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    residueSite: Optional[String] = None
    _residueSite: Optional[Element] = None


@dataclass
class SubstanceNucleicAcidSugar(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Identifier] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    residueSite: Optional[String] = None
    _residueSite: Optional[Element] = None


@dataclass
class SubstancePolymer(XFHIR):
    resourceType: str = 'SubstancePolymer'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Identifier] = None
    class_: Optional[CodeableConcept] = None
    geometry: Optional[CodeableConcept] = None
    copolymerConnectivity: Optional[List[CodeableConcept]] = None
    modification: Optional[String] = None
    _modification: Optional[Element] = None
    monomerSet: Optional[List[SubstancePolymerMonomerSet]] = None
    repeat: Optional[List[SubstancePolymerRepeat]] = None


@dataclass
class SubstancePolymerMonomerSet(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    ratioType: Optional[CodeableConcept] = None
    startingMaterial: Optional[List[SubstancePolymerStartingMaterial]] = None


@dataclass
class SubstancePolymerStartingMaterial(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[CodeableConcept] = None
    category: Optional[CodeableConcept] = None
    isDefining: Optional[Boolean] = None
    _isDefining: Optional[Element] = None
    amount: Optional[Quantity] = None


@dataclass
class SubstancePolymerRepeat(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    averageMolecularFormula: Optional[String] = None
    _averageMolecularFormula: Optional[Element] = None
    repeatUnitAmountType: Optional[CodeableConcept] = None
    repeatUnit: Optional[List[SubstancePolymerRepeatUnit]] = None


@dataclass
class SubstancePolymerRepeatUnit(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    unit: Optional[String] = None
    _unit: Optional[Element] = None
    orientation: Optional[CodeableConcept] = None
    amount: Optional[Integer] = None
    _amount: Optional[Element] = None
    degreeOfPolymerisation: Optional[
        List[SubstancePolymerDegreeOfPolymerisation]
    ] = None
    structuralRepresentation: Optional[
        List[SubstancePolymerStructuralRepresentation]
    ] = None


@dataclass
class SubstancePolymerDegreeOfPolymerisation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    average: Optional[Integer] = None
    _average: Optional[Element] = None
    low: Optional[Integer] = None
    _low: Optional[Element] = None
    high: Optional[Integer] = None
    _high: Optional[Element] = None


@dataclass
class SubstancePolymerStructuralRepresentation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    representation: Optional[String] = None
    _representation: Optional[Element] = None
    format: Optional[CodeableConcept] = None
    attachment: Optional[Attachment] = None


@dataclass
class SubstanceProtein(XFHIR):
    resourceType: str = 'SubstanceProtein'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequenceType: Optional[CodeableConcept] = None
    numberOfSubunits: Optional[Integer] = None
    _numberOfSubunits: Optional[Element] = None
    disulfideLinkage: Optional[List[String]] = None
    _disulfideLinkage: Optional[List[Element]] = None
    subunit: Optional[List[SubstanceProteinSubunit]] = None


@dataclass
class SubstanceProteinSubunit(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    subunit: Optional[Integer] = None
    _subunit: Optional[Element] = None
    sequence: Optional[String] = None
    _sequence: Optional[Element] = None
    length: Optional[Integer] = None
    _length: Optional[Element] = None
    sequenceAttachment: Optional[Attachment] = None
    nTerminalModificationId: Optional[Identifier] = None
    nTerminalModification: Optional[String] = None
    _nTerminalModification: Optional[Element] = None
    cTerminalModificationId: Optional[Identifier] = None
    cTerminalModification: Optional[String] = None
    _cTerminalModification: Optional[Element] = None


@dataclass
class SubstanceReferenceInformation(XFHIR):
    resourceType: str = 'SubstanceReferenceInformation'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    comment: Optional[String] = None
    _comment: Optional[Element] = None
    gene: Optional[List[SubstanceReferenceInformationGene]] = None
    geneElement: Optional[List[SubstanceReferenceInformationGeneElement]] = None
    target: Optional[List[SubstanceReferenceInformationTarget]] = None


@dataclass
class SubstanceReferenceInformationGene(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    geneSequenceOrigin: Optional[CodeableConcept] = None
    gene: Optional[CodeableConcept] = None
    source: Optional[List[Reference]] = None


@dataclass
class SubstanceReferenceInformationGeneElement(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[CodeableConcept] = None
    element: Optional[Identifier] = None
    source: Optional[List[Reference]] = None


@dataclass
class SubstanceReferenceInformationTarget(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    target: Optional[Identifier] = None
    type: Optional[CodeableConcept] = None
    interaction: Optional[CodeableConcept] = None
    organism: Optional[CodeableConcept] = None
    organismType: Optional[CodeableConcept] = None
    amountQuantity: Optional[Quantity] = None
    amountRange: Optional[Range] = None
    amountString: Optional[str] = None
    _amountString: Optional[Element] = None
    amountType: Optional[CodeableConcept] = None
    source: Optional[List[Reference]] = None


@dataclass
class SubstanceSourceMaterial(XFHIR):
    resourceType: str = 'SubstanceSourceMaterial'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sourceMaterialClass: Optional[CodeableConcept] = None
    sourceMaterialType: Optional[CodeableConcept] = None
    sourceMaterialState: Optional[CodeableConcept] = None
    organismId: Optional[Identifier] = None
    organismName: Optional[String] = None
    _organismName: Optional[Element] = None
    parentSubstanceId: Optional[List[Identifier]] = None
    parentSubstanceName: Optional[List[String]] = None
    _parentSubstanceName: Optional[List[Element]] = None
    countryOfOrigin: Optional[List[CodeableConcept]] = None
    geographicalLocation: Optional[List[String]] = None
    _geographicalLocation: Optional[List[Element]] = None
    developmentStage: Optional[CodeableConcept] = None
    fractionDescription: Optional[
        List[SubstanceSourceMaterialFractionDescription]
    ] = None
    organism: Optional[SubstanceSourceMaterialOrganism] = None
    partDescription: Optional[List[SubstanceSourceMaterialPartDescription]] = None


@dataclass
class SubstanceSourceMaterialFractionDescription(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    fraction: Optional[String] = None
    _fraction: Optional[Element] = None
    materialType: Optional[CodeableConcept] = None


@dataclass
class SubstanceSourceMaterialOrganism(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    family: Optional[CodeableConcept] = None
    genus: Optional[CodeableConcept] = None
    species: Optional[CodeableConcept] = None
    intraspecificType: Optional[CodeableConcept] = None
    intraspecificDescription: Optional[String] = None
    _intraspecificDescription: Optional[Element] = None
    author: Optional[List[SubstanceSourceMaterialAuthor]] = None
    hybrid: Optional[SubstanceSourceMaterialHybrid] = None
    organismGeneral: Optional[SubstanceSourceMaterialOrganismGeneral] = None


@dataclass
class SubstanceSourceMaterialAuthor(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    authorType: Optional[CodeableConcept] = None
    authorDescription: Optional[String] = None
    _authorDescription: Optional[Element] = None


@dataclass
class SubstanceSourceMaterialHybrid(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    maternalOrganismId: Optional[String] = None
    _maternalOrganismId: Optional[Element] = None
    maternalOrganismName: Optional[String] = None
    _maternalOrganismName: Optional[Element] = None
    paternalOrganismId: Optional[String] = None
    _paternalOrganismId: Optional[Element] = None
    paternalOrganismName: Optional[String] = None
    _paternalOrganismName: Optional[Element] = None
    hybridType: Optional[CodeableConcept] = None


@dataclass
class SubstanceSourceMaterialOrganismGeneral(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    kingdom: Optional[CodeableConcept] = None
    phylum: Optional[CodeableConcept] = None
    class_: Optional[CodeableConcept] = None
    order: Optional[CodeableConcept] = None


@dataclass
class SubstanceSourceMaterialPartDescription(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    part: Optional[CodeableConcept] = None
    partLocation: Optional[CodeableConcept] = None


@dataclass
class SupplyDelivery(XFHIR):
    resourceType: str = 'SupplyDelivery'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    basedOn: Optional[List[Reference]] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    patient: Optional[Reference] = None
    type: Optional[CodeableConcept] = None
    suppliedItem: Optional[List[SupplyDeliverySuppliedItem]] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    occurrenceTiming: Optional[Timing] = None
    supplier: Optional[Reference] = None
    destination: Optional[Reference] = None
    receiver: Optional[List[Reference]] = None


@dataclass
class SupplyDeliverySuppliedItem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    quantity: Optional[Quantity] = None
    itemCodeableConcept: Optional[CodeableConcept] = None
    itemReference: Optional[Reference] = None


@dataclass
class SupplyRequest(XFHIR):
    item: CodeableReference
    quantity: Quantity
    resourceType: str = 'SupplyRequest'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    basedOn: Optional[List[Reference]] = None
    category: Optional[CodeableConcept] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    deliverFor: Optional[Reference] = None
    parameter: Optional[List[SupplyRequestParameter]] = None
    occurrenceDateTime: Optional[str] = None
    _occurrenceDateTime: Optional[Element] = None
    occurrencePeriod: Optional[Period] = None
    occurrenceTiming: Optional[Timing] = None
    authoredOn: Optional[DateTime] = None
    _authoredOn: Optional[Element] = None
    requester: Optional[Reference] = None
    supplier: Optional[List[Reference]] = None
    reason: Optional[List[CodeableReference]] = None
    deliverFrom: Optional[Reference] = None
    deliverTo: Optional[Reference] = None


@dataclass
class SupplyRequestParameter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[CodeableConcept] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None


@dataclass
class Task(XFHIR):
    resourceType: str = 'Task'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[Canonical] = None
    instantiatesUri: Optional[Uri] = None
    _instantiatesUri: Optional[Element] = None
    basedOn: Optional[List[Reference]] = None
    groupIdentifier: Optional[Identifier] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableReference] = None
    businessStatus: Optional[CodeableConcept] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    doNotPerform: Optional[Boolean] = None
    _doNotPerform: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    focus: Optional[Reference] = None
    for_: Optional[Reference] = None
    encounter: Optional[Reference] = None
    requestedPeriod: Optional[Period] = None
    executionPeriod: Optional[Period] = None
    authoredOn: Optional[DateTime] = None
    _authoredOn: Optional[Element] = None
    lastModified: Optional[DateTime] = None
    _lastModified: Optional[Element] = None
    requester: Optional[Reference] = None
    requestedPerformer: Optional[List[CodeableReference]] = None
    owner: Optional[Reference] = None
    performer: Optional[List[TaskPerformer]] = None
    location: Optional[Reference] = None
    reason: Optional[List[CodeableReference]] = None
    insurance: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    relevantHistory: Optional[List[Reference]] = None
    restriction: Optional[TaskRestriction] = None
    input: Optional[List[TaskInput]] = None
    output: Optional[List[TaskOutput]] = None


@dataclass
class TaskPerformer(XFHIR):
    actor: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    function: Optional[CodeableConcept] = None


@dataclass
class TaskRestriction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    repetitions: Optional[PositiveInt] = None
    _repetitions: Optional[Element] = None
    period: Optional[Period] = None
    recipient: Optional[List[Reference]] = None


@dataclass
class TaskInput(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueCanonical: Optional[str] = None
    _valueCanonical: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueId: Optional[str] = None
    _valueId: Optional[Element] = None
    valueInstant: Optional[str] = None
    _valueInstant: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueInteger64: Optional[str] = None
    _valueInteger64: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueOid: Optional[str] = None
    _valueOid: Optional[Element] = None
    valuePositiveInt: Optional[float] = None
    _valuePositiveInt: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueUnsignedInt: Optional[float] = None
    _valueUnsignedInt: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueUrl: Optional[str] = None
    _valueUrl: Optional[Element] = None
    valueUuid: Optional[str] = None
    _valueUuid: Optional[Element] = None
    valueAddress: Optional[Address] = None
    valueAge: Optional[Age] = None
    valueAnnotation: Optional[Annotation] = None
    valueAttachment: Optional[Attachment] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueCodeableReference: Optional[CodeableReference] = None
    valueCoding: Optional[Coding] = None
    valueContactPoint: Optional[ContactPoint] = None
    valueCount: Optional[Count] = None
    valueDistance: Optional[Distance] = None
    valueDuration: Optional[Duration] = None
    valueHumanName: Optional[HumanName] = None
    valueIdentifier: Optional[Identifier] = None
    valueMoney: Optional[Money] = None
    valuePeriod: Optional[Period] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueRatioRange: Optional[RatioRange] = None
    valueReference: Optional[Reference] = None
    valueSampledData: Optional[SampledData] = None
    valueSignature: Optional[Signature] = None
    valueTiming: Optional[Timing] = None
    valueContactDetail: Optional[ContactDetail] = None
    valueDataRequirement: Optional[DataRequirement] = None
    valueExpression: Optional[Expression] = None
    valueParameterDefinition: Optional[ParameterDefinition] = None
    valueRelatedArtifact: Optional[RelatedArtifact] = None
    valueTriggerDefinition: Optional[TriggerDefinition] = None
    valueUsageContext: Optional[UsageContext] = None
    valueAvailability: Optional[Availability] = None
    valueExtendedContactDetail: Optional[ExtendedContactDetail] = None
    valueDosage: Optional[Dosage] = None
    valueMeta: Optional[Meta] = None


@dataclass
class TaskOutput(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueCanonical: Optional[str] = None
    _valueCanonical: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueId: Optional[str] = None
    _valueId: Optional[Element] = None
    valueInstant: Optional[str] = None
    _valueInstant: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueInteger64: Optional[str] = None
    _valueInteger64: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueOid: Optional[str] = None
    _valueOid: Optional[Element] = None
    valuePositiveInt: Optional[float] = None
    _valuePositiveInt: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueUnsignedInt: Optional[float] = None
    _valueUnsignedInt: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueUrl: Optional[str] = None
    _valueUrl: Optional[Element] = None
    valueUuid: Optional[str] = None
    _valueUuid: Optional[Element] = None
    valueAddress: Optional[Address] = None
    valueAge: Optional[Age] = None
    valueAnnotation: Optional[Annotation] = None
    valueAttachment: Optional[Attachment] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueCodeableReference: Optional[CodeableReference] = None
    valueCoding: Optional[Coding] = None
    valueContactPoint: Optional[ContactPoint] = None
    valueCount: Optional[Count] = None
    valueDistance: Optional[Distance] = None
    valueDuration: Optional[Duration] = None
    valueHumanName: Optional[HumanName] = None
    valueIdentifier: Optional[Identifier] = None
    valueMoney: Optional[Money] = None
    valuePeriod: Optional[Period] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueRatioRange: Optional[RatioRange] = None
    valueReference: Optional[Reference] = None
    valueSampledData: Optional[SampledData] = None
    valueSignature: Optional[Signature] = None
    valueTiming: Optional[Timing] = None
    valueContactDetail: Optional[ContactDetail] = None
    valueDataRequirement: Optional[DataRequirement] = None
    valueExpression: Optional[Expression] = None
    valueParameterDefinition: Optional[ParameterDefinition] = None
    valueRelatedArtifact: Optional[RelatedArtifact] = None
    valueTriggerDefinition: Optional[TriggerDefinition] = None
    valueUsageContext: Optional[UsageContext] = None
    valueAvailability: Optional[Availability] = None
    valueExtendedContactDetail: Optional[ExtendedContactDetail] = None
    valueDosage: Optional[Dosage] = None
    valueMeta: Optional[Meta] = None


@dataclass
class TerminologyCapabilities(XFHIR):
    resourceType: str = 'TerminologyCapabilities'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    kind: Optional[Code] = None
    _kind: Optional[Element] = None
    software: Optional[TerminologyCapabilitiesSoftware] = None
    implementation: Optional[TerminologyCapabilitiesImplementation] = None
    lockedDate: Optional[Boolean] = None
    _lockedDate: Optional[Element] = None
    codeSystem: Optional[List[TerminologyCapabilitiesCodeSystem]] = None
    expansion: Optional[TerminologyCapabilitiesExpansion] = None
    codeSearch: Optional[Code] = None
    _codeSearch: Optional[Element] = None
    validateCode: Optional[TerminologyCapabilitiesValidateCode] = None
    translation: Optional[TerminologyCapabilitiesTranslation] = None
    closure: Optional[TerminologyCapabilitiesClosure] = None


@dataclass
class TerminologyCapabilitiesSoftware(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    version: Optional[String] = None
    _version: Optional[Element] = None


@dataclass
class TerminologyCapabilitiesImplementation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    url: Optional[Url] = None
    _url: Optional[Element] = None


@dataclass
class TerminologyCapabilitiesCodeSystem(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    uri: Optional[Canonical] = None
    version: Optional[List[TerminologyCapabilitiesVersion]] = None
    content: Optional[Code] = None
    _content: Optional[Element] = None
    subsumption: Optional[Boolean] = None
    _subsumption: Optional[Element] = None


@dataclass
class TerminologyCapabilitiesVersion(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[String] = None
    _code: Optional[Element] = None
    isDefault: Optional[Boolean] = None
    _isDefault: Optional[Element] = None
    compositional: Optional[Boolean] = None
    _compositional: Optional[Element] = None
    language: Optional[List[Code]] = None
    _language: Optional[List[Element]] = None
    filter: Optional[List[TerminologyCapabilitiesFilter]] = None
    property: Optional[List[Code]] = None
    _property: Optional[List[Element]] = None


@dataclass
class TerminologyCapabilitiesFilter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    op: Optional[List[Code]] = None
    _op: Optional[List[Element]] = None


@dataclass
class TerminologyCapabilitiesExpansion(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    hierarchical: Optional[Boolean] = None
    _hierarchical: Optional[Element] = None
    paging: Optional[Boolean] = None
    _paging: Optional[Element] = None
    incomplete: Optional[Boolean] = None
    _incomplete: Optional[Element] = None
    parameter: Optional[List[TerminologyCapabilitiesParameter]] = None
    textFilter: Optional[Markdown] = None
    _textFilter: Optional[Element] = None


@dataclass
class TerminologyCapabilitiesParameter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[Code] = None
    _name: Optional[Element] = None
    documentation: Optional[Markdown] = None
    _documentation: Optional[Element] = None


@dataclass
class TerminologyCapabilitiesValidateCode(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    translations: Optional[Boolean] = None
    _translations: Optional[Element] = None


@dataclass
class TerminologyCapabilitiesTranslation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    needsMap: Optional[Boolean] = None
    _needsMap: Optional[Element] = None


@dataclass
class TerminologyCapabilitiesClosure(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    translation: Optional[Boolean] = None
    _translation: Optional[Element] = None


@dataclass
class TestPlan(XFHIR):
    resourceType: str = 'TestPlan'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    category: Optional[List[CodeableConcept]] = None
    scope: Optional[List[Reference]] = None
    testTools: Optional[Markdown] = None
    _testTools: Optional[Element] = None
    dependency: Optional[List[TestPlanDependency]] = None
    exitCriteria: Optional[Markdown] = None
    _exitCriteria: Optional[Element] = None
    testCase: Optional[List[TestPlanTestCase]] = None


@dataclass
class TestPlanDependency(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    predecessor: Optional[Reference] = None


@dataclass
class TestPlanTestCase(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    sequence: Optional[Integer] = None
    _sequence: Optional[Element] = None
    scope: Optional[List[Reference]] = None
    dependency: Optional[List[TestPlanDependency1]] = None
    testRun: Optional[List[TestPlanTestRun]] = None
    testData: Optional[List[TestPlanTestData]] = None
    assertion: Optional[List[TestPlanAssertion]] = None


@dataclass
class TestPlanDependency1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    predecessor: Optional[Reference] = None


@dataclass
class TestPlanTestRun(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    narrative: Optional[Markdown] = None
    _narrative: Optional[Element] = None
    script: Optional[TestPlanScript] = None


@dataclass
class TestPlanScript(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    language: Optional[CodeableConcept] = None
    sourceString: Optional[str] = None
    _sourceString: Optional[Element] = None
    sourceReference: Optional[Reference] = None


@dataclass
class TestPlanTestData(XFHIR):
    type: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    content: Optional[Reference] = None
    sourceString: Optional[str] = None
    _sourceString: Optional[Element] = None
    sourceReference: Optional[Reference] = None


@dataclass
class TestPlanAssertion(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[List[CodeableConcept]] = None
    object: Optional[List[CodeableReference]] = None
    result: Optional[List[CodeableReference]] = None


@dataclass
class TestReport(XFHIR):
    testScript: Canonical
    resourceType: str = 'TestReport'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Identifier] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    result: Optional[Code] = None
    _result: Optional[Element] = None
    score: Optional[Decimal] = None
    _score: Optional[Element] = None
    tester: Optional[String] = None
    _tester: Optional[Element] = None
    issued: Optional[DateTime] = None
    _issued: Optional[Element] = None
    participant: Optional[List[TestReportParticipant]] = None
    setup: Optional[TestReportSetup] = None
    test: Optional[List[TestReportTest]] = None
    teardown: Optional[TestReportTeardown] = None


@dataclass
class TestReportParticipant(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Code] = None
    _type: Optional[Element] = None
    uri: Optional[Uri] = None
    _uri: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None


@dataclass
class TestReportSetup(XFHIR):
    action: List[TestReportAction]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class TestReportAction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    operation: Optional[TestReportOperation] = None
    assert_: Optional[TestReportAssert] = None


@dataclass
class TestReportOperation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    result: Optional[Code] = None
    _result: Optional[Element] = None
    message: Optional[Markdown] = None
    _message: Optional[Element] = None
    detail: Optional[Uri] = None
    _detail: Optional[Element] = None


@dataclass
class TestReportAssert(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    result: Optional[Code] = None
    _result: Optional[Element] = None
    message: Optional[Markdown] = None
    _message: Optional[Element] = None
    detail: Optional[String] = None
    _detail: Optional[Element] = None
    requirement: Optional[List[TestReportRequirement]] = None


@dataclass
class TestReportRequirement(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkUri: Optional[str] = None
    _linkUri: Optional[Element] = None
    linkCanonical: Optional[str] = None
    _linkCanonical: Optional[Element] = None


@dataclass
class TestReportTest(XFHIR):
    action: List[TestReportAction1]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None


@dataclass
class TestReportAction1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    operation: Optional[TestReportOperation] = None
    assert_: Optional[TestReportAssert] = None


@dataclass
class TestReportTeardown(XFHIR):
    action: List[TestReportAction2]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class TestReportAction2(XFHIR):
    operation: TestReportOperation
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class TestScript(XFHIR):
    resourceType: str = 'TestScript'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    origin: Optional[List[TestScriptOrigin]] = None
    destination: Optional[List[TestScriptDestination]] = None
    metadata: Optional[TestScriptMetadata] = None
    scope: Optional[List[TestScriptScope]] = None
    fixture: Optional[List[TestScriptFixture]] = None
    profile: Optional[List[Canonical]] = None
    variable: Optional[List[TestScriptVariable]] = None
    setup: Optional[TestScriptSetup] = None
    test: Optional[List[TestScriptTest]] = None
    teardown: Optional[TestScriptTeardown] = None


@dataclass
class TestScriptOrigin(XFHIR):
    profile: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    index: Optional[Integer] = None
    _index: Optional[Element] = None
    url: Optional[Url] = None
    _url: Optional[Element] = None


@dataclass
class TestScriptDestination(XFHIR):
    profile: Coding
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    index: Optional[Integer] = None
    _index: Optional[Element] = None
    url: Optional[Url] = None
    _url: Optional[Element] = None


@dataclass
class TestScriptMetadata(XFHIR):
    capability: List[TestScriptCapability]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    link: Optional[List[TestScriptLink]] = None


@dataclass
class TestScriptLink(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None


@dataclass
class TestScriptCapability(XFHIR):
    capabilities: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    required: Optional[Boolean] = None
    _required: Optional[Element] = None
    validated: Optional[Boolean] = None
    _validated: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    origin: Optional[List[Integer]] = None
    _origin: Optional[List[Element]] = None
    destination: Optional[Integer] = None
    _destination: Optional[Element] = None
    link: Optional[List[Uri]] = None
    _link: Optional[List[Element]] = None


@dataclass
class TestScriptScope(XFHIR):
    artifact: Canonical
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    conformance: Optional[CodeableConcept] = None
    phase: Optional[CodeableConcept] = None


@dataclass
class TestScriptFixture(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    autocreate: Optional[Boolean] = None
    _autocreate: Optional[Element] = None
    autodelete: Optional[Boolean] = None
    _autodelete: Optional[Element] = None
    resource: Optional[Reference] = None


@dataclass
class TestScriptVariable(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    defaultValue: Optional[String] = None
    _defaultValue: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    expression: Optional[String] = None
    _expression: Optional[Element] = None
    headerField: Optional[String] = None
    _headerField: Optional[Element] = None
    hint: Optional[String] = None
    _hint: Optional[Element] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    sourceId: Optional[Id] = None
    _sourceId: Optional[Element] = None


@dataclass
class TestScriptSetup(XFHIR):
    action: List[TestScriptAction]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class TestScriptAction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    operation: Optional[TestScriptOperation] = None
    assert_: Optional[TestScriptAssert] = None


@dataclass
class TestScriptOperation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    type: Optional[Coding] = None
    resource: Optional[Uri] = None
    _resource: Optional[Element] = None
    label: Optional[String] = None
    _label: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    accept: Optional[Code] = None
    _accept: Optional[Element] = None
    contentType: Optional[Code] = None
    _contentType: Optional[Element] = None
    destination: Optional[Integer] = None
    _destination: Optional[Element] = None
    encodeRequestUrl: Optional[Boolean] = None
    _encodeRequestUrl: Optional[Element] = None
    method: Optional[Code] = None
    _method: Optional[Element] = None
    origin: Optional[Integer] = None
    _origin: Optional[Element] = None
    params: Optional[String] = None
    _params: Optional[Element] = None
    requestHeader: Optional[List[TestScriptRequestHeader]] = None
    requestId: Optional[Id] = None
    _requestId: Optional[Element] = None
    responseId: Optional[Id] = None
    _responseId: Optional[Element] = None
    sourceId: Optional[Id] = None
    _sourceId: Optional[Element] = None
    targetId: Optional[Id] = None
    _targetId: Optional[Element] = None
    url: Optional[String] = None
    _url: Optional[Element] = None


@dataclass
class TestScriptRequestHeader(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    field: Optional[String] = None
    _field: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class TestScriptAssert(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    label: Optional[String] = None
    _label: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    direction: Optional[Code] = None
    _direction: Optional[Element] = None
    compareToSourceId: Optional[String] = None
    _compareToSourceId: Optional[Element] = None
    compareToSourceExpression: Optional[String] = None
    _compareToSourceExpression: Optional[Element] = None
    compareToSourcePath: Optional[String] = None
    _compareToSourcePath: Optional[Element] = None
    contentType: Optional[Code] = None
    _contentType: Optional[Element] = None
    defaultManualCompletion: Optional[Code] = None
    _defaultManualCompletion: Optional[Element] = None
    expression: Optional[String] = None
    _expression: Optional[Element] = None
    headerField: Optional[String] = None
    _headerField: Optional[Element] = None
    minimumId: Optional[String] = None
    _minimumId: Optional[Element] = None
    navigationLinks: Optional[Boolean] = None
    _navigationLinks: Optional[Element] = None
    operator: Optional[Code] = None
    _operator: Optional[Element] = None
    path: Optional[String] = None
    _path: Optional[Element] = None
    requestMethod: Optional[Code] = None
    _requestMethod: Optional[Element] = None
    requestURL: Optional[String] = None
    _requestURL: Optional[Element] = None
    resource: Optional[Uri] = None
    _resource: Optional[Element] = None
    response: Optional[Code] = None
    _response: Optional[Element] = None
    responseCode: Optional[String] = None
    _responseCode: Optional[Element] = None
    sourceId: Optional[Id] = None
    _sourceId: Optional[Element] = None
    stopTestOnFail: Optional[Boolean] = None
    _stopTestOnFail: Optional[Element] = None
    validateProfileId: Optional[Id] = None
    _validateProfileId: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None
    warningOnly: Optional[Boolean] = None
    _warningOnly: Optional[Element] = None
    requirement: Optional[List[TestScriptRequirement]] = None


@dataclass
class TestScriptRequirement(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    linkUri: Optional[str] = None
    _linkUri: Optional[Element] = None
    linkCanonical: Optional[str] = None
    _linkCanonical: Optional[Element] = None


@dataclass
class TestScriptTest(XFHIR):
    action: List[TestScriptAction1]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    description: Optional[String] = None
    _description: Optional[Element] = None


@dataclass
class TestScriptAction1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    operation: Optional[TestScriptOperation] = None
    assert_: Optional[TestScriptAssert] = None


@dataclass
class TestScriptTeardown(XFHIR):
    action: List[TestScriptAction2]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class TestScriptAction2(XFHIR):
    operation: TestScriptOperation
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None


@dataclass
class Transport(XFHIR):
    requestedLocation: Reference
    currentLocation: Reference
    resourceType: str = 'Transport'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    instantiatesCanonical: Optional[Canonical] = None
    instantiatesUri: Optional[Uri] = None
    _instantiatesUri: Optional[Element] = None
    basedOn: Optional[List[Reference]] = None
    groupIdentifier: Optional[Identifier] = None
    partOf: Optional[List[Reference]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusReason: Optional[CodeableConcept] = None
    intent: Optional[Code] = None
    _intent: Optional[Element] = None
    priority: Optional[Code] = None
    _priority: Optional[Element] = None
    code: Optional[CodeableConcept] = None
    description: Optional[String] = None
    _description: Optional[Element] = None
    focus: Optional[Reference] = None
    for_: Optional[Reference] = None
    encounter: Optional[Reference] = None
    completionTime: Optional[DateTime] = None
    _completionTime: Optional[Element] = None
    authoredOn: Optional[DateTime] = None
    _authoredOn: Optional[Element] = None
    lastModified: Optional[DateTime] = None
    _lastModified: Optional[Element] = None
    requester: Optional[Reference] = None
    performerType: Optional[List[CodeableConcept]] = None
    owner: Optional[Reference] = None
    location: Optional[Reference] = None
    insurance: Optional[List[Reference]] = None
    note: Optional[List[Annotation]] = None
    relevantHistory: Optional[List[Reference]] = None
    restriction: Optional[TransportRestriction] = None
    input: Optional[List[TransportInput]] = None
    output: Optional[List[TransportOutput]] = None
    reason: Optional[CodeableReference] = None
    history: Optional[Reference] = None


@dataclass
class TransportRestriction(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    repetitions: Optional[PositiveInt] = None
    _repetitions: Optional[Element] = None
    period: Optional[Period] = None
    recipient: Optional[List[Reference]] = None


@dataclass
class TransportInput(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueCanonical: Optional[str] = None
    _valueCanonical: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueId: Optional[str] = None
    _valueId: Optional[Element] = None
    valueInstant: Optional[str] = None
    _valueInstant: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueInteger64: Optional[str] = None
    _valueInteger64: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueOid: Optional[str] = None
    _valueOid: Optional[Element] = None
    valuePositiveInt: Optional[float] = None
    _valuePositiveInt: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueUnsignedInt: Optional[float] = None
    _valueUnsignedInt: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueUrl: Optional[str] = None
    _valueUrl: Optional[Element] = None
    valueUuid: Optional[str] = None
    _valueUuid: Optional[Element] = None
    valueAddress: Optional[Address] = None
    valueAge: Optional[Age] = None
    valueAnnotation: Optional[Annotation] = None
    valueAttachment: Optional[Attachment] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueCodeableReference: Optional[CodeableReference] = None
    valueCoding: Optional[Coding] = None
    valueContactPoint: Optional[ContactPoint] = None
    valueCount: Optional[Count] = None
    valueDistance: Optional[Distance] = None
    valueDuration: Optional[Duration] = None
    valueHumanName: Optional[HumanName] = None
    valueIdentifier: Optional[Identifier] = None
    valueMoney: Optional[Money] = None
    valuePeriod: Optional[Period] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueRatioRange: Optional[RatioRange] = None
    valueReference: Optional[Reference] = None
    valueSampledData: Optional[SampledData] = None
    valueSignature: Optional[Signature] = None
    valueTiming: Optional[Timing] = None
    valueContactDetail: Optional[ContactDetail] = None
    valueDataRequirement: Optional[DataRequirement] = None
    valueExpression: Optional[Expression] = None
    valueParameterDefinition: Optional[ParameterDefinition] = None
    valueRelatedArtifact: Optional[RelatedArtifact] = None
    valueTriggerDefinition: Optional[TriggerDefinition] = None
    valueUsageContext: Optional[UsageContext] = None
    valueAvailability: Optional[Availability] = None
    valueExtendedContactDetail: Optional[ExtendedContactDetail] = None
    valueDosage: Optional[Dosage] = None
    valueMeta: Optional[Meta] = None


@dataclass
class TransportOutput(XFHIR):
    type: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    valueBase64Binary: Optional[str] = None
    _valueBase64Binary: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueCanonical: Optional[str] = None
    _valueCanonical: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueDate: Optional[str] = None
    _valueDate: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueId: Optional[str] = None
    _valueId: Optional[Element] = None
    valueInstant: Optional[str] = None
    _valueInstant: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueInteger64: Optional[str] = None
    _valueInteger64: Optional[Element] = None
    valueMarkdown: Optional[str] = None
    _valueMarkdown: Optional[Element] = None
    valueOid: Optional[str] = None
    _valueOid: Optional[Element] = None
    valuePositiveInt: Optional[float] = None
    _valuePositiveInt: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueTime: Optional[str] = None
    _valueTime: Optional[Element] = None
    valueUnsignedInt: Optional[float] = None
    _valueUnsignedInt: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueUrl: Optional[str] = None
    _valueUrl: Optional[Element] = None
    valueUuid: Optional[str] = None
    _valueUuid: Optional[Element] = None
    valueAddress: Optional[Address] = None
    valueAge: Optional[Age] = None
    valueAnnotation: Optional[Annotation] = None
    valueAttachment: Optional[Attachment] = None
    valueCodeableConcept: Optional[CodeableConcept] = None
    valueCodeableReference: Optional[CodeableReference] = None
    valueCoding: Optional[Coding] = None
    valueContactPoint: Optional[ContactPoint] = None
    valueCount: Optional[Count] = None
    valueDistance: Optional[Distance] = None
    valueDuration: Optional[Duration] = None
    valueHumanName: Optional[HumanName] = None
    valueIdentifier: Optional[Identifier] = None
    valueMoney: Optional[Money] = None
    valuePeriod: Optional[Period] = None
    valueQuantity: Optional[Quantity] = None
    valueRange: Optional[Range] = None
    valueRatio: Optional[Ratio] = None
    valueRatioRange: Optional[RatioRange] = None
    valueReference: Optional[Reference] = None
    valueSampledData: Optional[SampledData] = None
    valueSignature: Optional[Signature] = None
    valueTiming: Optional[Timing] = None
    valueContactDetail: Optional[ContactDetail] = None
    valueDataRequirement: Optional[DataRequirement] = None
    valueExpression: Optional[Expression] = None
    valueParameterDefinition: Optional[ParameterDefinition] = None
    valueRelatedArtifact: Optional[RelatedArtifact] = None
    valueTriggerDefinition: Optional[TriggerDefinition] = None
    valueUsageContext: Optional[UsageContext] = None
    valueAvailability: Optional[Availability] = None
    valueExtendedContactDetail: Optional[ExtendedContactDetail] = None
    valueDosage: Optional[Dosage] = None
    valueMeta: Optional[Meta] = None


@dataclass
class ValueSet(XFHIR):
    resourceType: str = 'ValueSet'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    url: Optional[Uri] = None
    _url: Optional[Element] = None
    identifier: Optional[List[Identifier]] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    versionAlgorithmString: Optional[str] = None
    _versionAlgorithmString: Optional[Element] = None
    versionAlgorithmCoding: Optional[Coding] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    title: Optional[String] = None
    _title: Optional[Element] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    experimental: Optional[Boolean] = None
    _experimental: Optional[Element] = None
    date: Optional[DateTime] = None
    _date: Optional[Element] = None
    publisher: Optional[String] = None
    _publisher: Optional[Element] = None
    contact: Optional[List[ContactDetail]] = None
    description: Optional[Markdown] = None
    _description: Optional[Element] = None
    useContext: Optional[List[UsageContext]] = None
    jurisdiction: Optional[List[CodeableConcept]] = None
    purpose: Optional[Markdown] = None
    _purpose: Optional[Element] = None
    copyright: Optional[Markdown] = None
    _copyright: Optional[Element] = None
    copyrightLabel: Optional[String] = None
    _copyrightLabel: Optional[Element] = None
    approvalDate: Optional[Date] = None
    _approvalDate: Optional[Element] = None
    lastReviewDate: Optional[Date] = None
    _lastReviewDate: Optional[Element] = None
    effectivePeriod: Optional[Period] = None
    topic: Optional[List[CodeableConcept]] = None
    author: Optional[List[ContactDetail]] = None
    editor: Optional[List[ContactDetail]] = None
    reviewer: Optional[List[ContactDetail]] = None
    endorser: Optional[List[ContactDetail]] = None
    relatedArtifact: Optional[List[RelatedArtifact]] = None
    immutable: Optional[Boolean] = None
    _immutable: Optional[Element] = None
    compose: Optional[ValueSetCompose] = None
    expansion: Optional[ValueSetExpansion] = None
    scope: Optional[ValueSetScope] = None


@dataclass
class ValueSetCompose(XFHIR):
    include: List[ValueSetInclude]
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    lockedDate: Optional[Date] = None
    _lockedDate: Optional[Element] = None
    inactive: Optional[Boolean] = None
    _inactive: Optional[Element] = None
    exclude: Optional[List[ValueSetInclude]] = None
    property: Optional[List[String]] = None
    _property: Optional[List[Element]] = None


@dataclass
class ValueSetInclude(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    concept: Optional[List[ValueSetConcept]] = None
    filter: Optional[List[ValueSetFilter]] = None
    valueSet: Optional[List[Canonical]] = None
    copyright: Optional[String] = None
    _copyright: Optional[Element] = None


@dataclass
class ValueSetConcept(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    designation: Optional[List[ValueSetDesignation]] = None


@dataclass
class ValueSetDesignation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    use: Optional[Coding] = None
    additionalUse: Optional[List[Coding]] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class ValueSetFilter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    property: Optional[Code] = None
    _property: Optional[Element] = None
    op: Optional[Code] = None
    _op: Optional[Element] = None
    value: Optional[String] = None
    _value: Optional[Element] = None


@dataclass
class ValueSetExpansion(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[Uri] = None
    _identifier: Optional[Element] = None
    next: Optional[Uri] = None
    _next: Optional[Element] = None
    timestamp: Optional[DateTime] = None
    _timestamp: Optional[Element] = None
    total: Optional[Integer] = None
    _total: Optional[Element] = None
    offset: Optional[Integer] = None
    _offset: Optional[Element] = None
    parameter: Optional[List[ValueSetParameter]] = None
    property: Optional[List[ValueSetProperty]] = None
    contains: Optional[List[ValueSetContains]] = None


@dataclass
class ValueSetParameter(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    name: Optional[String] = None
    _name: Optional[Element] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    valueUri: Optional[str] = None
    _valueUri: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None


@dataclass
class ValueSetProperty(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    uri: Optional[Uri] = None
    _uri: Optional[Element] = None


@dataclass
class ValueSetContains(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    system: Optional[Uri] = None
    _system: Optional[Element] = None
    abstract: Optional[Boolean] = None
    _abstract: Optional[Element] = None
    inactive: Optional[Boolean] = None
    _inactive: Optional[Element] = None
    version: Optional[String] = None
    _version: Optional[Element] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    display: Optional[String] = None
    _display: Optional[Element] = None
    designation: Optional[List[ValueSetDesignation]] = None
    property: Optional[List[ValueSetProperty1]] = None
    contains: Optional[List[ValueSetContains]] = None


@dataclass
class ValueSetProperty1(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueCoding: Optional[Coding] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None
    subProperty: Optional[List[ValueSetSubProperty]] = None


@dataclass
class ValueSetSubProperty(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    code: Optional[Code] = None
    _code: Optional[Element] = None
    valueCode: Optional[str] = None
    _valueCode: Optional[Element] = None
    valueCoding: Optional[Coding] = None
    valueString: Optional[str] = None
    _valueString: Optional[Element] = None
    valueInteger: Optional[float] = None
    _valueInteger: Optional[Element] = None
    valueBoolean: Optional[bool] = None
    _valueBoolean: Optional[Element] = None
    valueDateTime: Optional[str] = None
    _valueDateTime: Optional[Element] = None
    valueDecimal: Optional[float] = None
    _valueDecimal: Optional[Element] = None


@dataclass
class ValueSetScope(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    inclusionCriteria: Optional[String] = None
    _inclusionCriteria: Optional[Element] = None
    exclusionCriteria: Optional[String] = None
    _exclusionCriteria: Optional[Element] = None


@dataclass
class VerificationResult(XFHIR):
    resourceType: str = 'VerificationResult'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    target: Optional[List[Reference]] = None
    targetLocation: Optional[List[String]] = None
    _targetLocation: Optional[List[Element]] = None
    need: Optional[CodeableConcept] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    statusDate: Optional[DateTime] = None
    _statusDate: Optional[Element] = None
    validationType: Optional[CodeableConcept] = None
    validationProcess: Optional[List[CodeableConcept]] = None
    frequency: Optional[Timing] = None
    lastPerformed: Optional[DateTime] = None
    _lastPerformed: Optional[Element] = None
    nextScheduled: Optional[Date] = None
    _nextScheduled: Optional[Element] = None
    failureAction: Optional[CodeableConcept] = None
    primarySource: Optional[List[VerificationResultPrimarySource]] = None
    attestation: Optional[VerificationResultAttestation] = None
    validator: Optional[List[VerificationResultValidator]] = None


@dataclass
class VerificationResultPrimarySource(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    who: Optional[Reference] = None
    type: Optional[List[CodeableConcept]] = None
    communicationMethod: Optional[List[CodeableConcept]] = None
    validationStatus: Optional[CodeableConcept] = None
    validationDate: Optional[DateTime] = None
    _validationDate: Optional[Element] = None
    canPushUpdates: Optional[CodeableConcept] = None
    pushTypeAvailable: Optional[List[CodeableConcept]] = None


@dataclass
class VerificationResultAttestation(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    who: Optional[Reference] = None
    onBehalfOf: Optional[Reference] = None
    communicationMethod: Optional[CodeableConcept] = None
    date: Optional[Date] = None
    _date: Optional[Element] = None
    sourceIdentityCertificate: Optional[String] = None
    _sourceIdentityCertificate: Optional[Element] = None
    proxyIdentityCertificate: Optional[String] = None
    _proxyIdentityCertificate: Optional[Element] = None
    proxySignature: Optional[Signature] = None
    sourceSignature: Optional[Signature] = None


@dataclass
class VerificationResultValidator(XFHIR):
    organization: Reference
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identityCertificate: Optional[String] = None
    _identityCertificate: Optional[Element] = None
    attestationSignature: Optional[Signature] = None


@dataclass
class VisionPrescription(XFHIR):
    patient: Reference
    prescriber: Reference
    lensSpecification: List[VisionPrescriptionLensSpecification]
    resourceType: str = 'VisionPrescription'
    id: Optional[Id] = None
    meta: Optional[Meta] = None
    implicitRules: Optional[Uri] = None
    _implicitRules: Optional[Element] = None
    language: Optional[Code] = None
    _language: Optional[Element] = None
    text: Optional[Narrative] = None
    contained: Optional[List[ResourceList]] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    identifier: Optional[List[Identifier]] = None
    status: Optional[Code] = None
    _status: Optional[Element] = None
    created: Optional[DateTime] = None
    _created: Optional[Element] = None
    encounter: Optional[Reference] = None
    dateWritten: Optional[DateTime] = None
    _dateWritten: Optional[Element] = None


@dataclass
class VisionPrescriptionLensSpecification(XFHIR):
    product: CodeableConcept
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    eye: Optional[Code] = None
    _eye: Optional[Element] = None
    sphere: Optional[Decimal] = None
    _sphere: Optional[Element] = None
    cylinder: Optional[Decimal] = None
    _cylinder: Optional[Element] = None
    axis: Optional[Integer] = None
    _axis: Optional[Element] = None
    prism: Optional[List[VisionPrescriptionPrism]] = None
    add: Optional[Decimal] = None
    _add: Optional[Element] = None
    power: Optional[Decimal] = None
    _power: Optional[Element] = None
    backCurve: Optional[Decimal] = None
    _backCurve: Optional[Element] = None
    diameter: Optional[Decimal] = None
    _diameter: Optional[Element] = None
    duration: Optional[Quantity] = None
    color: Optional[String] = None
    _color: Optional[Element] = None
    brand: Optional[String] = None
    _brand: Optional[Element] = None
    note: Optional[List[Annotation]] = None


@dataclass
class VisionPrescriptionPrism(XFHIR):
    id: Optional[String] = None
    extension: Optional[List[Extension]] = None
    modifierExtension: Optional[List[Extension]] = None
    amount: Optional[Decimal] = None
    _amount: Optional[Element] = None
    base: Optional[Code] = None
    _base: Optional[Element] = None



Model = Union[
    Account,
    ActivityDefinition,
    ActorDefinition,
    AdministrableProductDefinition,
    AdverseEvent,
    AllergyIntolerance,
    Appointment,
    AppointmentResponse,
    ArtifactAssessment,
    AuditEvent,
    Basic,
    Binary,
    BiologicallyDerivedProduct,
    BiologicallyDerivedProductDispense,
    BodyStructure,
    Bundle,
    CapabilityStatement,
    CarePlan,
    CareTeam,
    ChargeItem,
    ChargeItemDefinition,
    Citation,
    Claim,
    ClaimResponse,
    ClinicalImpression,
    ClinicalUseDefinition,
    CodeSystem,
    Communication,
    CommunicationRequest,
    CompartmentDefinition,
    Composition,
    ConceptMap,
    Condition,
    ConditionDefinition,
    Consent,
    Contract,
    Coverage,
    CoverageEligibilityRequest,
    CoverageEligibilityResponse,
    DetectedIssue,
    Device,
    DeviceAssociation,
    DeviceDefinition,
    DeviceDispense,
    DeviceMetric,
    DeviceRequest,
    DeviceUsage,
    DiagnosticReport,
    DocumentReference,
    Encounter,
    EncounterHistory,
    Endpoint,
    EnrollmentRequest,
    EnrollmentResponse,
    EpisodeOfCare,
    EventDefinition,
    Evidence,
    EvidenceReport,
    EvidenceVariableModel,
    ExampleScenario,
    ExplanationOfBenefit,
    FamilyMemberHistory,
    Flag,
    FormularyItem,
    GenomicStudy,
    Goal,
    GraphDefinition,
    Group,
    GuidanceResponse,
    HealthcareService,
    ImagingSelection,
    ImagingStudy,
    Immunization,
    ImmunizationEvaluation,
    ImmunizationRecommendation,
    ImplementationGuide,
    Ingredient,
    InsurancePlan,
    InventoryItem,
    InventoryReport,
    Invoice,
    Library,
    Linkage,
    ListModel,
    Location,
    ManufacturedItemDefinition,
    Measure,
    MeasureReport,
    Medication,
    MedicationAdministration,
    MedicationDispense,
    MedicationKnowledge,
    MedicationRequest,
    MedicationStatement,
    MedicinalProductDefinition,
    MessageDefinition,
    MessageHeader,
    MolecularSequence,
    NamingSystem,
    NutritionIntake,
    NutritionOrder,
    NutritionProduct,
    Observation,
    ObservationDefinition,
    OperationDefinition,
    OperationOutcome,
    Organization,
    OrganizationAffiliation,
    PackagedProductDefinition,
    Parameters,
    Patient,
    PaymentNotice,
    PaymentReconciliation,
    Permission,
    Person,
    PlanDefinition,
    Practitioner,
    PractitionerRole,
    Procedure,
    Provenance,
    Questionnaire,
    QuestionnaireResponse,
    RegulatedAuthorization,
    RelatedPerson,
    RequestOrchestration,
    Requirements,
    ResearchStudy,
    ResearchSubject,
    RiskAssessment,
    Schedule,
    SearchParameter,
    ServiceRequest,
    Slot,
    Specimen,
    SpecimenDefinition,
    StructureDefinition,
    StructureMap,
    Subscription,
    SubscriptionStatus,
    SubscriptionTopic,
    Substance,
    SubstanceDefinition,
    SubstanceNucleicAcid,
    SubstancePolymer,
    SubstanceProtein,
    SubstanceReferenceInformation,
    SubstanceSourceMaterial,
    SupplyDelivery,
    SupplyRequest,
    Task,
    TerminologyCapabilities,
    TestPlan,
    TestReport,
    TestScript,
    Transport,
    ValueSet,
    VerificationResult,
    VisionPrescription,
]


ResourceList = Union[
    Account,
    ActivityDefinition,
    ActorDefinition,
    AdministrableProductDefinition,
    AdverseEvent,
    AllergyIntolerance,
    Appointment,
    AppointmentResponse,
    ArtifactAssessment,
    AuditEvent,
    Basic,
    Binary,
    BiologicallyDerivedProduct,
    BiologicallyDerivedProductDispense,
    BodyStructure,
    Bundle,
    CapabilityStatement,
    CarePlan,
    CareTeam,
    ChargeItem,
    ChargeItemDefinition,
    Citation,
    Claim,
    ClaimResponse,
    ClinicalImpression,
    ClinicalUseDefinition,
    CodeSystem,
    Communication,
    CommunicationRequest,
    CompartmentDefinition,
    Composition,
    ConceptMap,
    Condition,
    ConditionDefinition,
    Consent,
    Contract,
    Coverage,
    CoverageEligibilityRequest,
    CoverageEligibilityResponse,
    DetectedIssue,
    Device,
    DeviceAssociation,
    DeviceDefinition,
    DeviceDispense,
    DeviceMetric,
    DeviceRequest,
    DeviceUsage,
    DiagnosticReport,
    DocumentReference,
    Encounter,
    EncounterHistory,
    Endpoint,
    EnrollmentRequest,
    EnrollmentResponse,
    EpisodeOfCare,
    EventDefinition,
    Evidence,
    EvidenceReport,
    EvidenceVariableModel,
    ExampleScenario,
    ExplanationOfBenefit,
    FamilyMemberHistory,
    Flag,
    FormularyItem,
    GenomicStudy,
    Goal,
    GraphDefinition,
    Group,
    GuidanceResponse,
    HealthcareService,
    ImagingSelection,
    ImagingStudy,
    Immunization,
    ImmunizationEvaluation,
    ImmunizationRecommendation,
    ImplementationGuide,
    Ingredient,
    InsurancePlan,
    InventoryItem,
    InventoryReport,
    Invoice,
    Library,
    Linkage,
    ListModel,
    Location,
    ManufacturedItemDefinition,
    Measure,
    MeasureReport,
    Medication,
    MedicationAdministration,
    MedicationDispense,
    MedicationKnowledge,
    MedicationRequest,
    MedicationStatement,
    MedicinalProductDefinition,
    MessageDefinition,
    MessageHeader,
    MolecularSequence,
    NamingSystem,
    NutritionIntake,
    NutritionOrder,
    NutritionProduct,
    Observation,
    ObservationDefinition,
    OperationDefinition,
    OperationOutcome,
    Organization,
    OrganizationAffiliation,
    PackagedProductDefinition,
    Parameters,
    Patient,
    PaymentNotice,
    PaymentReconciliation,
    Permission,
    Person,
    PlanDefinition,
    Practitioner,
    PractitionerRole,
    Procedure,
    Provenance,
    Questionnaire,
    QuestionnaireResponse,
    RegulatedAuthorization,
    RelatedPerson,
    RequestOrchestration,
    Requirements,
    ResearchStudy,
    ResearchSubject,
    RiskAssessment,
    Schedule,
    SearchParameter,
    ServiceRequest,
    Slot,
    Specimen,
    SpecimenDefinition,
    StructureDefinition,
    StructureMap,
    Subscription,
    SubscriptionStatus,
    SubscriptionTopic,
    Substance,
    SubstanceDefinition,
    SubstanceNucleicAcid,
    SubstancePolymer,
    SubstanceProtein,
    SubstanceReferenceInformation,
    SubstanceSourceMaterial,
    SupplyDelivery,
    SupplyRequest,
    Task,
    TerminologyCapabilities,
    TestPlan,
    TestReport,
    TestScript,
    Transport,
    ValueSet,
    VerificationResult,
    VisionPrescription,
]
